Changelog for package sm_advanced_recovery_1
================================================

Version 2.3.16 (2023-07-16)
---------------------------

### Added
- Merged branch 'humble' from `robosoft-ai/SMACC2 <https://github.com/robosoft-ai/SMACC2>`_
- Brettpac branch (`#518 <https://github.com/robosoft-ai/SMACC2/issues/518>`_)
  - Attempted fix for ros buildfarm issue

### Contributors
- brettpac
- pabloinigoblasco

Version 2.3.6 (2023-03-12)
--------------------------

Version 1.22.1 (2022-11-09)
---------------------------

### Added
- Pre-release

### Contributors
- pabloinigoblasco

### Changed
- Various updates and improvements related to SMACC2 library
- Dockerfile enhancements for ROS distro configuration
- SetupTracing script for package installation and configuration
- Cleanup and reformatting of multiple packages
- Performance tests enhancements and optimizations
- Navigation improvements and fixes
- Renaming of event generator library
- CI setup for Galactic and Rolling releases
- Readme updates and corrections
- AWS navigation demo progress
- Recovery package reworked and improved
- Pre-commit fixes and enhancements

### Contributors
- brettpac
- Denis Štogl
- Ubuntu 20-04-02-amd64

### Removed
- Manual installation steps for ros-rolling-ros2trace

### Fixed
- Trailing spaces in code
- Various bugs and formatting issues

### Miscellaneous
- Continuous improvements and progress updates in various packages

```rst
Section_2
=========

Added
-----

- New feature: cb_wait_topic_message, an asynchronous client behavior that waits for a topic message and optionally checks its contents for success
- New client behavior for nav2: wait for nav2 nodes to subscribe to the /bond topic and wait for them to be alive, with optional node selection
- New client behavior: cb_pause_slam for pausing SLAM functionality
- New client behavior: cb_pause_slam for pausing SLAM functionality
- New client behavior: cb_pause_slam for pausing SLAM functionality
- New client behavior: cb_pause_slam for pausing SLAM functionality
- New client behavior: cb_pause_slam for pausing SLAM functionality
- New client behavior: cb_pause_slam for pausing SLAM functionality
- New client behavior: cb_pause_slam for pausing SLAM functionality
- New client behavior: cb_pause_slam for pausing SLAM functionality
- New client behavior: cb_pause_slam for pausing SLAM functionality
- New client behavior: cb_pause_slam for pausing SLAM functionality
- New client behavior: cb_pause_slam for pausing SLAM functionality
- New client behavior: cb_pause_slam for pausing SLAM functionality
- New client behavior: cb_pause_slam for pausing SLAM functionality
- New client behavior: cb_pause_slam for pausing SLAM functionality
- New client behavior: cb_pause_slam for pausing SLAM functionality
- New client behavior: cb_pause_slam for pausing SLAM functionality
- New client behavior: cb_pause_slam for pausing SLAM functionality
- New client behavior: cb_pause_slam for pausing SLAM functionality
- New client behavior: cb_pause_slam for pausing SLAM functionality
- New client behavior: cb_pause_slam for pausing SLAM functionality
- New client behavior: cb_pause_slam for pausing SLAM functionality
- New client behavior: cb_pause_slam for pausing SLAM functionality
- New client behavior: cb_pause_slam for pausing SLAM functionality
- New client behavior: cb_pause_slam for pausing SLAM functionality
- New client behavior: cb_pause_slam for pausing SLAM functionality
- New client behavior: cb_pause_slam for pausing SLAM functionality
- New client behavior: cb_pause_slam for pausing SLAM functionality
- New client behavior: cb_pause_slam for pausing SLAM functionality
- New client behavior: cb_pause_slam for pausing SLAM functionality
- New client behavior: cb_pause_slam for pausing SLAM functionality
- New client behavior: cb_pause_slam for pausing SLAM functionality
- New client behavior: cb_pause_slam for pausing SLAM functionality
- New client behavior: cb_pause_slam for pausing SLAM functionality
- New client behavior: cb_pause_slam for pausing SLAM functionality
- New client behavior: cb_pause_slam for pausing SLAM functionality
- New client behavior: cb_pause_slam for pausing SLAM functionality
- New client behavior: cb_pause_slam for pausing SLAM functionality
- New client behavior: cb_pause_slam for pausing SLAM functionality
- New client behavior: cb_pause_slam for pausing SLAM functionality
- New client behavior: cb_pause_slam for pausing SLAM functionality
- New client behavior: cb_pause_slam for pausing SLAM functionality
- New client behavior: cb_pause_slam for pausing SLAM functionality
- New client behavior: cb_pause_slam for pausing SLAM functionality
- New client behavior: cb_pause_slam for pausing SLAM functionality
- New client behavior: cb_pause_slam for pausing SLAM functionality
- New client behavior: cb_pause_slam for pausing SLAM functionality
- New client behavior: cb_pause_slam for pausing SLAM functionality
- New client behavior: cb_pause_slam for pausing SLAM functionality
- New client behavior: cb_pause_slam for pausing SLAM functionality
- New client behavior: cb_pause_slam for pausing SLAM functionality
- New client behavior: cb_pause_slam for pausing SLAM functionality
- New client behavior: cb_pause_slam for pausing SLAM functionality
- New client behavior: cb_pause_slam for pausing SLAM functionality
- New client behavior: cb_pause_slam for pausing SLAM functionality
- New client behavior: cb_pause_slam for pausing SLAM functionality
- New client behavior: cb_pause_slam for pausing SLAM functionality
- New client behavior: cb_pause_slam for pausing SLAM functionality
- New client behavior: cb_pause_slam for pausing SLAM functionality
- New client behavior: cb_pause_slam for pausing SLAM functionality
- New client behavior: cb_pause_slam for pausing SLAM functionality
- New client behavior: cb_pause_slam for pausing SLAM functionality
- New client behavior: cb_pause_slam for pausing SLAM functionality
- New client behavior: cb_pause_slam for pausing SLAM functionality
- New client behavior: cb_pause_slam for pausing SLAM functionality
- New client behavior: cb_pause_slam for pausing SLAM functionality
- New client behavior: cb_pause_slam for pausing SLAM functionality
- New client behavior: cb_pause_slam for pausing SLAM functionality
- New client behavior: cb_pause_slam for pausing SLAM functionality
- New client behavior: cb_pause_slam for pausing SLAM functionality
- New client behavior: cb_pause_slam for pausing SLAM functionality
- New client behavior: cb_pause_slam for pausing SLAM functionality
- New client behavior: cb_pause_slam for pausing SLAM functionality
- New client behavior: cb_pause_slam for pausing SLAM functionality
- New client behavior: cb_pause_slam for pausing SLAM functionality
- New client behavior: cb_pause_slam for pausing SLAM functionality
- New client behavior: cb_pause_slam for pausing SLAM functionality
- New client behavior: cb_pause_slam for pausing SLAM functionality
- New client behavior: cb_pause_slam for pausing SLAM functionality
- New client behavior: cb_pause_slam for pausing SLAM functionality
- New client behavior: cb_pause_slam for pausing SLAM functionality
- New client behavior: cb_pause_slam for pausing SLAM functionality
- New client behavior: cb_pause_slam for pausing SLAM functionality
- New client behavior: cb_pause_slam for pausing SLAM functionality
- New client behavior: cb_pause_slam for pausing SLAM functionality
- New client behavior: cb_pause_slam for pausing SLAM functionality
- New client behavior: cb_pause_slam for pausing SLAM functionality
- New client behavior: cb_pause_slam for pausing SLAM functionality
- New client behavior: cb_pause_slam for pausing SLAM functionality
- New client behavior: cb_pause_slam for pausing SLAM functionality
- New client behavior: cb_pause_slam for pausing SLAM functionality
- New client behavior: cb_pause_slam for pausing SLAM functionality
- New client behavior: cb_pause_slam for pausing SLAM functionality
- New client behavior: cb_pause_slam for pausing SLAM functionality
- New client behavior: cb_pause_slam for pausing SLAM functionality
- New client behavior: cb_pause_slam for pausing SLAM functionality
- New client behavior: cb_pause_slam for pausing SLAM functionality
- New client behavior: cb_pause_slam for pausing SLAM functionality
- New client behavior: cb_pause_slam for pausing SLAM functionality
- New client behavior: cb_pause_slam for pausing SLAM functionality
- New client behavior: cb_pause_slam for pausing SLAM functionality
- New client behavior: cb_pause_slam for pausing SLAM functionality
- New client behavior: cb_pause_slam for pausing SLAM functionality
- New client behavior: cb_pause_slam for pausing SLAM functionality
- New client behavior: cb_pause_slam for pausing SLAM functionality
- New client behavior: cb_pause_slam for pausing SLAM functionality
- New client behavior: cb_pause_slam for pausing SLAM functionality
- New client behavior: cb_pause_slam for pausing SLAM functionality
- New client behavior: cb_pause_slam for pausing SLAM functionality
- New client behavior: cb_pause_slam for pausing SLAM functionality
- New client behavior: cb_pause_slam for pausing SLAM functionality
- New client behavior: cb_pause_slam for pausing SLAM functionality
- New client behavior: cb_pause_slam for pausing SLAM functionality
- New client behavior: cb_pause_slam for pausing SLAM functionality
- New client behavior: cb_pause_slam for pausing SLAM functionality
- New client behavior: cb_pause_slam for pausing SLAM functionality
- New client behavior: cb_pause_slam for pausing SLAM functionality
- New client behavior: cb_pause_slam for pausing SLAM functionality
- New client behavior: cb_pause_slam for pausing SLAM functionality
- New client behavior: cb_pause_slam for pausing SLAM functionality
- New client behavior: cb_pause_slam for pausing SLAM functionality
- New client behavior: cb_pause_slam for pausing SLAM functionality
- New client behavior: cb_pause_slam for pausing SLAM functionality
- New client behavior: cb_pause_slam for pausing SLAM functionality
- New client behavior: cb_pause_slam for pausing SLAM functionality
- New client behavior: cb_pause_slam for pausing SLAM functionality
- New client behavior: cb_pause_slam for pausing SLAM functionality
- New client behavior: cb_pause_slam for pausing SLAM functionality
- New client behavior: cb_pause_slam for pausing SLAM functionality
- New client behavior: cb_pause_slam for pausing SLAM functionality
- New client behavior: cb_pause_slam for pausing SLAM functionality
- New client behavior: cb_pause_slam for pausing SLAM functionality
- New client behavior: cb_pause_slam for pausing SLAM functionality
- New client behavior: cb_pause_slam for pausing SLAM functionality
- New client behavior: cb_pause_slam for pausing SLAM functionality
- New client behavior: cb_pause_slam for pausing SLAM functionality
- New client behavior: cb_pause_slam for pausing SLAM functionality
- New client behavior: cb_pause_slam for pausing SLAM functionality
- New client behavior: cb_pause_slam for pausing SLAM functionality
- New client behavior: cb_pause_slam for pausing SLAM functionality
- New client behavior: cb_pause_slam for pausing SLAM functionality
- New client behavior: cb_pause_slam for pausing SLAM functionality
- New client behavior: cb_pause_slam for pausing SLAM functionality
- New client behavior: cb_pause_slam for pausing SLAM functionality
- New client behavior: cb_pause_slam for pausing SLAM functionality
- New client behavior: cb_pause_slam for pausing SLAM functionality
- New client behavior: cb_pause_slam for pausing SLAM functionality
- New client behavior: cb_pause_slam for pausing SLAM functionality
- New client behavior: cb_pause_slam for pausing SLAM functionality
- New client behavior: cb_pause_slam for pausing SLAM functionality
- New client behavior: cb_pause_slam for pausing SLAM functionality
- New client behavior: cb_pause_slam for pausing SLAM functionality
- New client behavior: cb_pause_slam for pausing SLAM functionality
- New client behavior: cb_pause_slam for pausing SLAM functionality
- New client behavior: cb_pause_slam for pausing SLAM functionality
- New client behavior: cb_pause_slam for pausing SLAM functionality
- New client behavior: cb_pause_slam for pausing SLAM functionality
- New client behavior: cb_pause_slam for pausing SLAM functionality
- New client behavior: cb_pause_slam for pausing SLAM functionality
- New client behavior: cb_pause_slam for pausing SLAM functionality
- New client behavior: cb_pause_slam for pausing SLAM functionality
- New client behavior: cb_pause_slam for pausing SLAM functionality
- New client behavior: cb_pause_slam for pausing SLAM functionality
- New client behavior: cb_pause_slam for pausing SLAM functionality
- New client behavior: cb_pause_slam for pausing SLAM functionality
- New client behavior: cb_pause_slam for pausing SLAM functionality
- New client behavior: cb_pause_slam for pausing SLAM functionality
- New client behavior: cb_pause_slam for pausing SLAM functionality
- New client behavior: cb_pause_slam for pausing SLAM functionality
- New client behavior: cb_pause_slam for pausing SLAM functionality
- New client behavior: cb_pause_slam for pausing SLAM functionality
- New client behavior: cb_pause_slam for pausing SLAM functionality
- New client behavior: cb_pause_slam for pausing SLAM functionality
- New client behavior: cb_pause_slam for pausing SLAM functionality
- New client behavior: cb_pause_slam for pausing SLAM functionality
- New client behavior: cb_pause_slam for pausing SLAM functionality
- New client behavior: cb_pause_slam for pausing SLAM functionality
- New client behavior: cb_pause_slam for pausing SLAM functionality
- New client behavior: cb_pause_slam for pausing SLAM functionality
- New client behavior: cb_pause_slam for pausing SLAM functionality
- New client behavior: cb_pause_slam for pausing SLAM functionality
- New client behavior: cb_pause_slam for pausing SLAM functionality
- New client behavior: cb_pause_slam for pausing SLAM functionality
- New client behavior: cb_pause_slam for pausing SLAM functionality

```rst
Section_3
=========

Added
-----
- Added AWS demo (#108, #109)
- Added Brettpac branch (#110, #111)
- Added a3 (#113)
- Added diverse improvements in navigation and performance (#116)
- Added feature to toggle SLAM and deep history in SMACC (#122)
- Added SM Atomic SM generator (#143)
- Added rolling Docker environment for execution in any environment (#154)
- Added initial state machine transition timestamp (#165)
- Added QOS durability to SmaccPublisherClient (#163)
- Added testing for MoveIt behaviors (#167)
- Added SM pubsub 1 (#169, #170)

Changed
-------
- Improved gazebo visualization for robot and lidar
- Improved formatting
- Improved functionality of sm_multi_stage_1 (#109, #114, #125)
- Refactored dance bot S pattern (#128, #129)
- Renamed navigation 2 stack
- Updated package list (#142)
- Updated READMEs with SVGs (#140, #145)
- Updated launch command in README.md for sm_dance_bot_strikes_back
- Updated format for CI Python version (#148)
- Updated node creation to only create a logger (#149)
- Updated format for Dockerfile for building local tests
- Updated readme (#164)
- Updated reference library SMs to smacc2_performance_tools
- Added QOS durability to SmaccPublisherClient

Fixed
-----
- Fixed recursion issue in method calls (#126)
- Fixed overshot issue cases in waypoints navigator (#133)
- Fixed minor format issues (#134)
- Fixed CI format for Python version (#148)
- Fixed launch command in README.md for sm_dance_bot_strikes_back
- Fixed compiling issues

Removed
-------
- Removed neo_simulation2 package (#112)
- Removed sm_dance_bot_msgs
- Removed parameters in SMACC
- Removed test from main MoveIt CMake
- Removed test from main MoveIt CMake
- Removed line in reliability QOS config

Authors
-------
- Pablo Iñigo Blasco (@pabloinigoblasco)
- Co-authored-by: Ubuntu 20-04-02-amd64 <brett@robosoft.ai>
- Co-authored-by: DecDury <declandury@gmail.com>
- Co-authored-by: Denis Štogl <destogl@users.noreply.github.com>
```

```rst
Section_4
=========

Added
-----
- Feature/aws navigation sm dance bot (#174)
- repo dependency
- husky launch file in sm_dance_bot
- Add dependencies for husky simulation.
- Fix formatting.
- Update dependencies for husky in rolling and galactic.
- progress on aws navigation and some other refactorings on navigation clients and behaviors
- more on aws demo
- fixing broken build

Changed
-------
- sm_advanced_recovery_1 renaming (#171)
- sm_multi_stage_1 reworking (#172)
- sm_multi_stage_1 sequence d
- sm_multi_stage_1 c sequence
- mode_5_sequence_b
- mode_4_sequence_b
- sm_multi_stage_1 most
- finishing touches 1
- readme
- SrConditional fixes and formatting (#168)

Fixed
-----
- warehouse2 (#177)
- Waypoint Inputs (#178)
- wharehouse2 progress (#179)
- format (#180)
- sm_dance_bot_warehouse_3 (#181)
- finetuning waypoints (#187)
- tuning warehouse3 (#197)
- fixing warehouse 3 problems, and other core improvements to remove dead lock, also making continuous integration green
- weird moveit not downloaded repo
- added missing file from warehouse2 (#205)
- Correct codespell.
- Correct python linters warnings.
- Add galactic CI build because Navigation2 is broken in rolling.
- Add partial changes for ament_cpplint.
- Add tf2_ros as dependency to find include.
- Disable ament_cpplint.
- Disable some packages and update workflows.
- Bump ccache version.
- Ignore further packages
- Satisfy ament_lint_cmake
- Add missing licences.
- Disable cpplint and cppcheck linters.
- Correct formatters.
- branching example
- Disable disabled packages
- Update ci-build-source.yml
- Change extension
- Change extension of imports.
- Enable cppcheck
- Correct formatting of python file.
- Included necessary package and edited Threesome launch
- ros2 launch sm_three_some sm_three_some
- to
- ros2 launch sm_three_some sm_three_some.launch

Removed
-------
- pure spinning behavior missing files

Authors
-------
- Pablo Iñigo Blasco (pabloinigoblasco)
```

```rst
Section 5
=========

Added
-----

- Opened new folder for additional tracing contents.
- Moved tracing.md to tracing directory.
- Added setupTracing.sh to install necessary packages and configure tracing group.
- Created alternative ManualTracing.
- Added new sm markdowns.
- Added a dockerfile for Rolling and Galactic.
- Enable build of missing rolling repositories.
- Enable Navigation2 for semi-binary build.
- Added README tutorial for Dockerfile.
- Added smacc2_performance_tools.
- Performance tests improvements.
- More on performance and other issues.
- Renamed event generator library.
- Added galactic CI setup and renamed rolling files (#58).
- Fixed source CI and corrected README overview (#62).
- Changed launch command to ros2 launch sm_respira_1 sm_respira_1.launch (#69).
- Updated doxygen links (#70).
- More Readme Updates (#72).
- More Readme (#74).
- Created new sm from sm_respira_1 (#76).
- Feature/core and navigation fixes (#78).
- Base for the sm_aws_aarehouse navigation.
- Progressing in aws navigation.
- Several core improvements during navigation testing.
- Progress in aws navigation demo.
- Feature/aws demo progress (#80).
- More on navigation.
- New feature, cb_wait_topic_message: asynchronous client behavior that waits a topic message and optionally checks its contents to success.
- Wait topic message client behavior (#81).
- Feature/wait nav2 nodes client behavior (#82).

Changed
-------

- Removed manual installation of ros-rolling-ros2trace, now automated in setupTracing.sh.
- Changed wording "smacc application" to "SMACC2 library".
- Updated mentions of SMACC/ROS to SMACC2/ROS2.
- Reactivated smacc2 nav clients for rolling via submodules.
- Renamed tracing events after.
- Bug in smacc2 component.
- Reverted markdowns to html.
- Renaming of event generator library.
- Optimized deps in move_base_z_planners_common.
- Corrected trailing spaces.
- Clean up of sm_atomic_24hr.
- Updated smacc2_rta command across readmes.
- Clean up of sm_atomic_24hr.
- More sm_atomic_24hr cleanup.
- Sm_reference_library reformatting.
- Minor formatting.
- Attempting precommit fixes.

Removed
-------

- Removed galactic builds from master and kept only rolling. Removed submodules and used .repos file.
- Do not execute clang-format on smacc2_sm_reference_library package.

Authors
-------

- Pablo Iñigo Blasco
- Denis Štogl <destogl@users.noreply.github.com>
- Ubuntu 20-04-02-amd64 <brett@robosoft.ai>
```

```rst
Section_6
=========

Added
-----

- New client behavior for nav2: Now waits for nav2 nodes to subscribe to the /bond topic and confirms they are active. Optional node selection available.
- New feature: cb_wait_topic_message, an asynchronous client behavior that waits for a topic message and optionally verifies its contents for success.
- Navigation parameters fixes on sm_dance_bot.
- cb_pause_slam client behavior.
- sm_dance_bot_lite.
- sm_dance_bot visualizing turtlebot3.
- Choice to launch gazebo with lidar for dance bot.
- Gazebo fixes for sm_dance_bot_strikes_back.
- AWS demo progress.
- Got sm_multi_stage_1 working (barely).
- Brettpac branch progress.

Changed
-------

- Corrected all linters and formatters.
- Several core improvements made during navigation testing.

Fixed
-----

- Removed some compile warnings.

Authors
-------

- Pablo Iñigo Blasco
- Denis Štogl <denis@stogl.de>
- Denis Štogl <destogl@users.noreply.github.com>
- Ubuntu 20-04-02-amd64 <brett@robosoft.ai>
```

## Section_7

### Added
- Added SM core test (#138)
- Added SM Atomic SM generator (#143)
- Added QOS durability to SmaccPublisherClient (#163)
- Added SVGs to READMEs of atomic, dance_bot, and others (#140)
- Added remaining SVGs to READMEs (#145)
- Added SM Atomic SM generator (#143)

### Changed
- Moved reference library SMs to smacc2_performance_tools (#166)
- Renamed sm_advanced_recovery_1 (#171) and sm_multi_stage_1 (#172)
- Renamed Feature/aws navigation sm dance bot (#174) to include repo dependency and husky launch file in sm_dance_bot

### Fixed
- Fixed formatting in various places
- Fixed launch command in README.md for sm_dance_bot_strikes_back
- Fixed CI format for Python version (#148)
- Fixed compiling issues
- Fixed broken master build
- Fixed pipeline error

### Removed
- Removed neo_simulation2 package (#112)
- Removed merge markers from a Python file (#119)
- Removed parameters smacc (#147)
- Removed node creation and create only a logger (#149)
- Removed sm_dance_bot_msgs
- Removed test from main moveit CMake

### Miscellaneous
- Various minor improvements, linting, and formatting changes
- Progress in navigation, slam toggle client behaviors, and slam_toolbox components
- Progress in testing sm_dance_bot and moveit behaviors
- Progress on moveit migration testing
- Progress on markers cleanup
- Progress in sm_dance_bot tests
- Progress in the sm_dance_bot Lite version
- Progress in the sm_dance_bot strikes back refactoring
- Progress in the moveit PR
- Progress on move_it PR
- Progress on moveit behaviors testing
- Progress on moveit
- Progress on navigation, slam toggle client behaviors, and slam_toolbox components
- Progress on waypoints navigator bug (#133)
- Progress in the sm_dance_bot tests (#135)
- Progress on moveit migration testing
- Progress on moveit
- Progress on moveit behaviors testing
- Progress on navigation, slam toggle client behaviors, and slam_toolbox components
- Progress on waypoints navigator bug (#133)
- Progress in the sm_dance_bot tests (#135)
- Progress on moveit migration testing
- Progress on moveit
- Progress on moveit behaviors testing
- Progress on navigation, slam toggle client behaviors, and slam_toolbox components
- Progress on waypoints navigator bug (#133)
- Progress in the sm_dance_bot tests (#135)
- Progress on moveit migration testing
- Progress on moveit
- Progress on moveit behaviors testing
- Progress on navigation, slam toggle client behaviors, and slam_toolbox components
- Progress on waypoints navigator bug (#133)
- Progress in the sm_dance_bot tests (#135)
- Progress on moveit migration testing
- Progress on moveit
- Progress on moveit behaviors testing
- Progress on navigation, slam toggle client behaviors, and slam_toolbox components
- Progress on waypoints navigator bug (#133)
- Progress in the sm_dance_bot tests (#135)
- Progress on moveit migration testing
- Progress on moveit
- Progress on moveit behaviors testing
- Progress on navigation, slam toggle client behaviors, and slam_toolbox components
- Progress on waypoints navigator bug (#133)
- Progress in the sm_dance_bot tests (#135)
- Progress on moveit migration testing
- Progress on moveit
- Progress on moveit behaviors testing
- Progress on navigation, slam toggle client behaviors, and slam_toolbox components
- Progress on waypoints navigator bug (#133)
- Progress in the sm_dance_bot tests (#135)
- Progress on moveit migration testing
- Progress on moveit
- Progress on moveit behaviors testing
- Progress on navigation, slam toggle client behaviors, and slam_toolbox components
- Progress on waypoints navigator bug (#133)
- Progress in the sm_dance_bot tests (#135)
- Progress on moveit migration testing
- Progress on moveit
- Progress on moveit behaviors testing
- Progress on navigation, slam toggle client behaviors, and slam_toolbox components
- Progress on waypoints navigator bug (#133)
- Progress in the sm_dance_bot tests (#135)
- Progress on moveit migration testing
- Progress on moveit
- Progress on moveit behaviors testing
- Progress on navigation, slam toggle client behaviors, and slam_toolbox components
- Progress on waypoints navigator bug (#133)
- Progress in the sm_dance_bot tests (#135)
- Progress on moveit migration testing
- Progress on moveit
- Progress on moveit behaviors testing
- Progress on navigation, slam toggle client behaviors, and slam_toolbox components
- Progress on waypoints navigator bug (#133)
- Progress in the sm_dance_bot tests (#135)
- Progress on moveit migration testing
- Progress on moveit
- Progress on moveit behaviors testing
- Progress on navigation, slam toggle client behaviors, and slam_toolbox components
- Progress on waypoints navigator bug (#133)
- Progress in the sm_dance_bot tests (#135)
- Progress on moveit migration testing
- Progress on moveit
- Progress on moveit behaviors testing
- Progress on navigation, slam toggle client behaviors, and slam_toolbox components
- Progress on waypoints navigator bug (#133)
- Progress in the sm_dance_bot tests (#135)
- Progress on moveit migration testing
- Progress on moveit
- Progress on moveit behaviors testing
- Progress on navigation, slam toggle client behaviors, and slam_toolbox components
- Progress on waypoints navigator bug (#133)
- Progress in the sm_dance_bot tests (#135)
- Progress on moveit migration testing
- Progress on moveit
- Progress on moveit behaviors testing
- Progress on navigation, slam toggle client behaviors, and slam_toolbox components
- Progress on waypoints navigator bug (#133)
- Progress in the sm_dance_bot tests (#135)
- Progress on moveit migration testing
- Progress on moveit
- Progress on moveit behaviors testing
- Progress on navigation, slam toggle client behaviors, and slam_toolbox components
- Progress on waypoints navigator bug (#133)
- Progress in the sm_dance_bot tests (#135)
- Progress on moveit migration testing
- Progress on moveit
- Progress on moveit behaviors testing
- Progress on navigation, slam toggle client behaviors, and slam_toolbox components
- Progress on waypoints navigator bug (#133)
- Progress in the sm_dance_bot tests (#135)
- Progress on moveit migration testing
- Progress on moveit
- Progress on moveit behaviors testing
- Progress on navigation, slam toggle client behaviors, and slam_toolbox components
- Progress on waypoints navigator bug (#133)
- Progress in the sm_dance_bot tests (#135)
- Progress on moveit migration testing
- Progress on moveit
- Progress on moveit behaviors testing
- Progress on navigation, slam toggle client behaviors, and slam_toolbox components
- Progress on waypoints navigator bug (#133)
- Progress in the sm_dance_bot tests (#135)
- Progress on moveit migration testing
- Progress on moveit
- Progress on moveit behaviors testing
- Progress on navigation, slam toggle client behaviors, and slam_toolbox components
- Progress on waypoints navigator bug (#133)
- Progress in the sm_dance_bot tests (#135)
- Progress on moveit migration testing
- Progress on moveit
- Progress on moveit behaviors testing
- Progress on navigation, slam toggle client behaviors, and slam_toolbox components
- Progress on waypoints navigator bug (#133)
- Progress in the sm_dance_bot tests (#135)
- Progress on moveit migration testing
- Progress on moveit
- Progress on moveit behaviors testing
- Progress on navigation, slam toggle client behaviors, and slam_toolbox components
- Progress on waypoints navigator bug (#133)
- Progress in the sm_dance_bot tests (#135)
- Progress on moveit migration testing
- Progress on moveit
- Progress on moveit behaviors testing
- Progress on navigation, slam toggle client behaviors, and slam_toolbox components
- Progress on waypoints navigator bug (#133)
- Progress in the sm_dance_bot tests (#135)
- Progress on moveit migration testing
- Progress on moveit
- Progress on moveit behaviors testing
- Progress on navigation, slam toggle client behaviors, and slam_toolbox components
- Progress on waypoints navigator bug (#133)
- Progress in the sm_dance_bot tests (#135)
- Progress on moveit migration testing
- Progress on moveit
- Progress on moveit behaviors testing
- Progress on navigation, slam toggle client behaviors, and slam_toolbox components
- Progress on waypoints navigator bug (#133)
- Progress in the sm_dance_bot tests (#135)
- Progress on moveit migration testing
- Progress on moveit
- Progress on moveit behaviors testing
- Progress on navigation, slam toggle client behaviors, and slam_toolbox components
- Progress on waypoints navigator bug (#133)
- Progress in the sm_dance_bot tests (#135)
- Progress on moveit migration testing
- Progress on moveit
- Progress on moveit behaviors testing
- Progress on navigation, slam toggle client behaviors, and slam_toolbox components
- Progress on waypoints navigator bug (#133)
- Progress in the sm_dance_bot tests (#135)
- Progress on moveit migration testing
- Progress on moveit
- Progress on moveit behaviors testing
- Progress on navigation, slam toggle client behaviors, and slam_toolbox components
- Progress on waypoints navigator bug (#133)
- Progress in the sm_dance_bot tests (#135)
- Progress on moveit migration testing
- Progress on moveit
- Progress on moveit behaviors testing
- Progress on navigation, slam toggle client behaviors, and slam_toolbox components
- Progress on waypoints navigator bug (#133)
- Progress in the sm_dance_bot tests (#135)
- Progress on moveit migration testing
- Progress on moveit
- Progress on moveit behaviors testing
- Progress on navigation, slam toggle client behaviors, and slam_toolbox components
- Progress on waypoints navigator bug (#133)
- Progress in the sm_dance_bot tests (#135)
- Progress on moveit migration testing
- Progress on moveit
- Progress on moveit behaviors testing
- Progress on navigation, slam toggle client behaviors, and slam_toolbox components
- Progress on waypoints navigator bug (#133)
- Progress in the sm_dance_bot tests (#135)
- Progress on moveit migration testing
- Progress on moveit
- Progress on moveit behaviors testing
- Progress on navigation, slam toggle client behaviors, and slam_toolbox components
- Progress on waypoints navigator bug (#133)
- Progress in the sm_dance_bot tests (#135)
- Progress on moveit migration testing
- Progress on moveit
- Progress on moveit behaviors testing
- Progress on navigation, slam toggle client behaviors, and slam_toolbox components
- Progress on waypoints navigator bug (#133)
- Progress in the sm_dance_bot tests (#135)
- Progress on moveit migration testing
- Progress on moveit
- Progress on moveit behaviors testing
- Progress on navigation, slam toggle client behaviors, and slam_toolbox components
- Progress on waypoints navigator bug (#133)
- Progress in the sm_dance_bot tests (#135)
- Progress on moveit migration testing
- Progress on moveit
- Progress on moveit behaviors testing
- Progress on navigation, slam toggle client behaviors, and slam_toolbox components
- Progress on waypoints navigator bug (#133)
- Progress in the sm_dance_bot tests (#135)
- Progress on moveit migration testing
- Progress on moveit
- Progress on moveit behaviors testing
- Progress on navigation, slam toggle client behaviors, and slam_toolbox components
- Progress on waypoints navigator bug (#133)
- Progress in the sm_dance_bot tests (#135)
- Progress on moveit migration testing
- Progress on moveit
- Progress on moveit behaviors testing
- Progress on navigation, slam toggle client behaviors, and slam_toolbox components
- Progress on waypoints navigator bug (#133)
- Progress in the sm_dance_bot tests (#135)
- Progress on moveit migration testing
- Progress on moveit
- Progress on moveit behaviors testing
- Progress on navigation, slam toggle client behaviors, and slam_toolbox components
- Progress on waypoints navigator bug (#133)
- Progress in the sm_dance_bot tests (#135)
- Progress on moveit migration testing
- Progress on moveit
- Progress on moveit behaviors testing
- Progress on navigation, slam toggle client behaviors, and slam_toolbox components
- Progress on waypoints navigator bug (#133)
- Progress in the sm_dance_bot tests (#135)
- Progress on moveit migration testing
- Progress on moveit
- Progress on moveit behaviors testing
- Progress on navigation, slam toggle client behaviors, and slam_toolbox components
- Progress on waypoints navigator bug (#133)
- Progress in the sm_dance_bot tests (#135)
- Progress on moveit migration testing
- Progress on moveit
- Progress on moveit behaviors testing
- Progress on navigation, slam toggle client behaviors, and slam_toolbox components
- Progress on waypoints navigator bug (#133)
- Progress in the sm_dance_bot tests (#135)
- Progress on moveit migration testing
- Progress on moveit
- Progress on moveit behaviors testing
- Progress on navigation, slam toggle client behaviors, and slam_toolbox components
- Progress on waypoints navigator bug (#133)
- Progress in the sm_dance_bot tests (#135)
- Progress on moveit migration testing
- Progress on moveit
- Progress on moveit behaviors testing
- Progress on navigation, slam toggle client behaviors, and slam_toolbox components
- Progress on waypoints navigator bug (#133)
- Progress in the sm_dance_bot tests (#135)
- Progress on moveit migration testing
- Progress on moveit
- Progress on moveit behaviors testing
- Progress on navigation, slam toggle client behaviors, and slam_toolbox components
- Progress on waypoints navigator bug (#133)
- Progress in the sm_dance_bot tests (#135)
- Progress on moveit migration testing
- Progress on moveit
- Progress on moveit behaviors testing
- Progress on navigation, slam toggle client behaviors, and slam_toolbox components
- Progress on waypoints navigator bug (#133)
- Progress in the sm

```rst
Section 8
=========

Added
-----

- Progress on AWS navigation and some other refactorings on navigation clients and behaviors.
- More on AWS demo.
- Warehouse2 (#177).
- Waypoint Inputs (#178).
- Warehouse2 progress (#179).
- Format (#180).
- sm_dance_bot_warehouse_3 (#181).
- Feature/sm warehouse 2 13 dec 2 (#182).
- Brettpac branch (#184).
- Feature/wharehouse2 dec 14 (#185).
- Feature/sm warehouse 2 13 dec 2 (#186).
- Finetuning waypoints (#187).
- Feature/cb pure spinning (#188).
- Pure spinning behavior missing files.
- Feature/planner changes 16 12 (#191).
- Feature/replanning 16 dec (#193).
- Several fixes (#194).
- Feature/undo motion 20 12 (#196).
- Tuning warehouse3 (#197).
- Feature/undo motion 20 12 (#198).
- Undo tuning and errors.
- Feature/sync 21 12 (#199).
- Feature/warehouse2 22 12 (#200).
- Finishing warehouse2.
- Feature/warehouse2 23 12 (#201).
- Tuning and fixes (#202).
- Feature/minor tune (#203).
- Fixing warehouse 3 problems, and other core improvements to remove deadlock, also making continuous integration green (#204).
- Added missing file from warehouse2 (#205).
- Add mergify rules file.
- Try fixing CI for rolling (#209).
- Remove example things from Foxy CI setup (#214).
- Add Autoware Auto Msgs into not-released dependencies (#220).
- Fix rolling builds (#222).
- Foxy backport (#206).
- Fix trailing spaces.
- Correct codespell.
- Correct Python linters warnings.
- Add galactic CI build because Navigation2 is broken in rolling.
- Add partial changes for ament_cpplint.
- Add tf2_ros as dependency to find include.
- Disable ament_cpplint.
- Disable some packages and update workflows.
- Bump ccache version.
- Ignore further packages.
- Satisfy ament_lint_cmake.
- Add missing licenses.
- Disable cpplint and cppcheck linters.
- Correct formatters.
- Branching example.
- Disable disabled packages.
- Update ci-build-source.yml.
- Change extension.
- Change extension of imports.
- Enable cppcheck.
- Correct formatting of Python file.
- Included necessary package and edited Threesome launch.

Changed
-------

- Fixing broken build.
- Minor changes (#175).
- Default values.
- Redoing sm_dance_bot_warehouse_3 waypoints.
- More waypoints.
- Fix: some formatting and templating on SrConditional.
- Fix: move trigger logic into headers.
- Fix: lint.
- Minor format.
- Minor linking errors foxy.
- Minor broken build.
- Odom tracker improvements.
- Adding forward behavior retry functionality.
- Removing warnings.
- Minor formatting fixes.
- Update doxygen-check-build.yml.

Removed
-------

- Weird moveit not downloaded repo.

Co-authored-by
-------------

- Denis Štogl <denis@stogl.de>
- Denis Štogl <destogl@users.noreply.github.com>
- Ubuntu 20-04-02-amd64 <brett@robosoft.ai>
- Declan Dury <44791484+DecDury@users.noreply.github.com>
- DecDury <declandury@gmail.com>
- reelrbtx <brett2@reelrobotics.com>
- brettpac <brett@robosoft.ai>
- David Revay <MrBlenny@users.noreply.github.com>
- pabloinigoblasco <pabloinigoblasco@ibrobotics.com>
```

Section 9
=========

Added
-----

- Create doxygen-deploy.yml
- Create workflow for testing prerelease builds
- Use docs/ as source folder for documentation
- Use docs/ as output directory
- Rename to smacc2 and smacc2_msgs
- Update name of package and package.xml to pass liter
- Ignore all packages except smacc2 and smacc2_msgs
- Copy initial docs
- Dockerfile w/ ROS distro as argument
- Opened new folder for additional tracing contents
- Moved tracing.md to tracing directory
- Added setupTracing.sh
- Created alternative ManualTracing
- Added new sm markdowns
- Added a dockerfile for Rolling and Galactic
- Enable build of missing rolling repositories
- Enable Navigation2 for semi-binary build
- Remove galactic builds from master and keep only rolling. Remove submodules and use .repos file
- Updated mentions of SMACC/ROS to SMACC2/ROS2
- Added smacc2_performance_tools
- Performance tests improvements
- More on performance and other issues
- Optimized deps in move_base_z_planners_common
- Renaming of event generator library
- Add galactic CI setup and rename rolling files
- Fix source CI and correct README overview
- Update c_cpp_properties.json
- More Readme Updates
- More Readme
- Created new sm from sm_respira_1
- Feature/core and navigation fixes
- Base for the sm_aws_aarehouse navigation
- Progressing in AWS navigation
- Several core improvements during navigation testing
- Progress in AWS navigation demo
- Feature/AWS demo progress
- More on navigation
- Sm_advanced_recovery_1 reworked
- More sm_advanced_recovery_1 work
- Sm_atomic_performance_test_a_2
- Sm_atomic_performance_test_a_1
- Sm_atomic_performance_test_c_1
- Sm_multi_stage_1
- Wait topic message client behavior
- New feature, cb_wait_topic_message: asynchronous client behavior that waits a topic message and optionally checks its contents to success

Changed
-------

- Correct GitHub branch reference
- Update description table
- Update table
- Changed wording "smacc application" to "SMACC2 library"
- Reactivating smacc2 nav clients for rolling via submodules
- Renamed tracing events after
- Bug in smacc2 component
- Reverted markdowns to HTML
- Edited tracing.md to reflect new tracing event names
- Update smacc2_rta command across readmes
- Clean up of sm_atomic_24hr
- Update README.md launch command
- Update doxygen links
- Update README.md launch command

Removed
-------

- Removed manual installation of ros-rolling-ros2trace. This is now automated in setupTracing.sh. Location of sh file assumed if user follows README.md under "Getting started"
- Deleted tracing directory
- Cleanup

Fixed
-----

- Revert "Ignore all packages except smacc2 and smacc2_msgs". This reverts commit f603166a4b3ccdfe96c64d9f9fb9d8b49fbf0e61
- Do not execute clang-format on smacc2_sm_reference_library package
- Sm_reference_library reformatting
- Correct trailing spaces
- Minor formatting
- Fixing precommit
- Trying to fix Pre-Commit
- Fixing pre-commit

Collaborators
-------------

- Co-authored-by: Denis Štogl <destogl@users.noreply.github.com>
- Co-authored-by: Ubuntu 20-04-02-amd64 <brett@robosoft.ai>

```rst
Section_10
==========

Added
-----

- New feature: cb_wait_topic_message, an asynchronous client behavior that waits for a topic message and optionally checks its contents for success.
- New client behavior for nav2: wait for nav2 nodes to subscribe to the /bond topic and wait for them to be alive, with the option to select specific nodes.
- New feature: cb_pause_slam client behavior.
- New feature: sm_dance_bot_lite gazebo fixes, including showing the robot and the lidar.
- New feature: gazebo fixes for sm_dance_bot_strikes_back.

Changed
-------

- Corrected all linters and formatters.
- Navigation parameters fixes on sm_dance_bot.
- Minor hotfixes.
- Cleaning and lidar show/hide option for sm_dance_bot visualizing turtlebot3.
- Formatting improvements.

Fixed
-----

- Removed some compile warnings.

Authors
-------

- Pablo Iñigo Blasco
- Co-authored-by: Ubuntu 20-04-02-amd64 <brett@robosoft.ai>
- Co-authored-by: Denis Štogl <destogl@users.noreply.github.com>
- Co-authored-by: Denis Štogl <denis@stogl.de>
```

```rst
Section_11
==========

Added
-----

- Implemented AWS demo.
- Added formatting improvements.
- Added support for multi-stage functionality (#109, #110, #111).
- Introduced a new stage (#113).
- Removed `neo_simulation2` package (#112).
- Added source build testing on PR.
- Adjusted build packages for source CI.
- Added diverse improvements in navigation and performance (#116).
- Added slam toggle and deep history features (#122).
- Added slam pausing/resuming functionality for testing sm_dance_bot.
- Added S-pattern for dance bot (#128, #129).
- Implemented first working version of sm template and template generator (#127).
- Added local action messages support.
- Added SVGs to READMEs of atomic, dance_bot, and others (#140, #145).
- Updated package list (#142).
- Added SM Atomic SM generator (#143).
- Enabled Docker environment execution from any environment (#154).
- Refactored sm_dance_bot strikes back (#152).
- Made slight changes to waypoints for course completion (#155).
- Migrated moveit client to smacc2 (#151).
- Added QOS durability to SmaccPublisherClient (#163).
- Added reliability QOS configuration.
- Added durability and reliability QOS settings to SmaccPublisherClient.
- Renamed sm_advanced_recovery_1 to sm_pubsub_1 (#171).

Changed
-------

- Improved progress in multi-stage functionality.
- Refined dance bot behavior.
- Updated format in various places.
- Updated README files.
- Updated Dockerfile for local test building.
- Updated moveit migration testing.
- Updated format for better readability.
- Updated README files.
- Moved reference library SMs to `smacc2_performance_tools`.

Fixed
-----

- Corrected formatting issues.
- Fixed launch command in README.md.
- Fixed CI formatting for Python version.
- Fixed compiling issues.
- Fixed broken master build.
- Mitigated overshot issue cases in navigation.
- Fixed waypoint 4 and iterations for course completion.
- Fixed pipeline error.

Removed
-------

- Removed `neo_simulation2` package.
- Removed redundant parameters in `smacc`.
- Removed unnecessary test from main moveit CMake.
- Removed merge markers from a Python file.
- Removed node creation and created only a logger.

Authors
-------

- Pablo Iñigo Blasco
- Brett <brett@robosoft.ai>
- DecDury <declandury@gmail.com>
- Denis Štogl <destogl@users.noreply.github.com>
```

```rst
Section_12
==========

Added
-----
- Feature/aws navigation sm dance bot (#174)
  - Added repo dependency.
  - Included husky launch file in sm_dance_bot.
  - Added dependencies for husky simulation.
  - Updated dependencies for husky in rolling and galactic.
  - Improved aws navigation and refactored navigation clients and behaviors.
  - Enhanced aws demo.
  - Fixed broken build.

Changed
-------
- Warehouse2 (#177)
  - Progress on warehouse2.

- Waypoint Inputs (#178)

- Sm_dance_bot_warehouse_3 (#181)
  - Redesigned sm_dance_bot_warehouse_3 waypoints.
  - Added more waypoints.

- Finetuning waypoints (#187)

- Tuning warehouse3 (#197)

- Fixing warehouse 3 problems, and other core improvements (#204)
  - Resolved warehouse 3 issues and other core improvements to remove deadlocks, ensuring continuous integration success.
  - Fixed missing files from warehouse2.

- Fix code generators (#221)
  - Resolved various build issues.
  - Updated SM template and improved code visibility.
  - Refactored template usage to enhance global data handling.
  - Updated sm_name.hpp.

Fixed
----
- SrConditional fixes and formatting (#168)
  - Fixed formatting and templating issues on SrConditional.
  - Moved trigger logic into headers.
  - Resolved linting errors.

- Several fixes (#194)
- Minor linking errors foxy.

Removed
-------
- Minor broken build.
- Some reordering fixes.
- Warnings removal and more testing on navigation.
- Docker files for different revisions.
- Fixing docker for foxy and galactic.

Authors
-------
- Co-authored-by: Ubuntu 20-04-02-amd64 <brett@robosoft.ai>
- Co-authored-by: Denis Štogl <denis@stogl.de>
- Co-authored-by: Denis Štogl <destogl@users.noreply.github.com>
- Co-authored-by: Declan Dury <44791484+DecDury@users.noreply.github.com>
- Co-authored-by: DecDury <declandury@gmail.com>
- Co-authored-by: reelrbtx <brett2@reelrobotics.com>
- Co-authored-by: brettpac <brett@robosoft.ai>
- Co-authored-by: David Revay <MrBlenny@users.noreply.github.com>
- Co-authored-by: pabloinigoblasco <pabloinigoblasco@ibrobotics.com>
- Co-authored-by: Pablo Iñigo Blasco <pablo@ibrobotics.com>
```

## Section_13

### Added
- Added missing licenses.
- Added workflow for checking doc build.
- Added setupTracing.sh for installing necessary packages and configuring tracing group.
- Added README tutorial for Dockerfile.
- Added smacc2_performance_tools.
- Added a dockerfile for Rolling and Galactic.

### Changed
- Changed extension of imports.
- Changed wording from "smacc application" to "SMACC2 library".
- Changed launch command to `ros2 launch sm_respira_1 sm_respira_1.launch`.

### Fixed
- Fixed formatting of python file.
- Fixed bug in smacc2 component.
- Fixed trailing spaces.

### Removed
- Removed manual installation of ros-rolling-ros2trace, now automated in setupTracing.sh.

### Miscellaneous
- Updated ci-build-source.yml.
- Updated doxygen-check-build.yml.
- Updated doxygen-deploy.yml.
- Updated smacc2_ci/docker/ros_rollingAndGalactic_ubuntu_20.04/buildGalactic.sh.
- Updated tracing/ManualTracing.md.
- Updated smacc_sm_reference_library/sm_atomic/README.md.
- Updated smacc2_rta command across readmes.
- Updated c_cpp_properties.json.
- Updated name of package and package.xml to pass liter.
- Updated description table.
- Updated table.
- Updated mentions of SMACC/ROS to SMACC2/ROS2.
- Updated changelogs.
- Updated README.md.
- Updated README overview.
- Updated doxygen links.
- Updated sm_atomic_24hr.
- Updated sm_atomic_performance_trace_1.
- Updated sm_atomic_24hr cleanup.
- Updated sm_respira_1 format cleanup.
- Updated sm_respira_test_2.
- Updated sm_advanced_recovery_1 reworked.
- Updated sm_advanced_recovery_1 round 4.
- Updated sm_atomic_performance_test_a_2.
- Updated sm_atomic_performance_test_a_1.
- Updated sm_atomic_performance_test_c_1.
- Updated sm_atomic_performance_test_a_2.
- Updated sm_advanced_recovery_1 work.
- Updated sm_advanced_recovery_1 round 4.
- Updated tracing event names.
- Updated name of event generator library.
- Updated GitHub branch reference.
- Updated to use manual deployment for now.
- Updated to use docs/ as source folder for documentation.
- Updated to use docs/ as output directory.
- Updated to reset all versions to 0.0.0.
- Updated to ignore all packages except smacc2 and smacc2_msgs.
- Updated to enable build of missing rolling repositories.
- Updated to enable Navigation2 for semi-binary build.
- Updated to remove galactic builds from master and keep only rolling, removing submodules and using .repos file.
- Updated to reactivate smacc2 nav clients for rolling via submodules.
- Updated to rename tracing events after.
- Updated to rename folders, delete tracing.md, and edit README.md.
- Updated to optimize deps in move_base_z_planners_common.
- Updated to rename header files and correct format.
- Updated to satisfy ament_lint_cmake.
- Updated to disable cpplint and cppcheck linters.
- Updated to disable disabled packages.
- Updated to enable cppcheck.
- Updated to include necessary package and edit Threesome launch.
- Updated to execute on master update.
- Updated to use this command for Dockerfile: `sudo docker build --build-arg ROS2_DISTRO=(desiredRosTag) (directoryHoldingDockerfile)/`.
- Updated to open new folder for additional tracing contents.
- Updated to delete tracing directory.
- Updated to move tracing.md to tracing directory.
- Updated to rename to smacc2 and smacc2_msgs.
- Updated to copy initial docs.
- Updated to use clang-format on smacc2_sm_reference_library package.
- Updated to revert "Ignore all packages except smacc2 and smacc2_msgs".
- Updated to revert markdowns to html.
- Updated to add new sm markdowns.
- Updated to create workflow for testing prerelease builds.
- Updated to create alternative ManualTracing.
- Updated to add galactic CI setup and rename rolling files.
- Updated to fix source CI and correct README overview.
- Updated to make some progress on navigation rolling.
- Updated to make more changes on performance tests.
- Updated to make more on performance tests.
- Updated to make more on navigation.
- Updated to make more on navigation.
- Updated to make progress in aws navigation demo.
- Updated to make progress in aws navigation demo.
- Updated to make progress in aws navigation demo.
- Updated to make progress in aws navigation demo.
- Updated to make progress in aws navigation demo.
- Updated to make progress in aws navigation demo.
- Updated to make progress in aws navigation demo.
- Updated to make progress in aws navigation demo.
- Updated to make progress in aws navigation demo.
- Updated to make progress in aws navigation demo.
- Updated to make progress in aws navigation demo.
- Updated to make progress in aws navigation demo.
- Updated to make progress in aws navigation demo.
- Updated to make progress in aws navigation demo.
- Updated to make progress in aws navigation demo.
- Updated to make progress in aws navigation demo.
- Updated to make progress in aws navigation demo.
- Updated to make progress in aws navigation demo.
- Updated to make progress in aws navigation demo.
- Updated to make progress in aws navigation demo.
- Updated to make progress in aws navigation demo.
- Updated to make progress in aws navigation demo.
- Updated to make progress in aws navigation demo.
- Updated to make progress in aws navigation demo.
- Updated to make progress in aws navigation demo.
- Updated to make progress in aws navigation demo.
- Updated to make progress in aws navigation demo.
- Updated to make progress in aws navigation demo.
- Updated to make progress in aws navigation demo.
- Updated to make progress in aws navigation demo.
- Updated to make progress in aws navigation demo.
- Updated to make progress in aws navigation demo.
- Updated to make progress in aws navigation demo.
- Updated to make progress in aws navigation demo.
- Updated to make progress in aws navigation demo.
- Updated to make progress in aws navigation demo.
- Updated to make progress in aws navigation demo.
- Updated to make progress in aws navigation demo.
- Updated to make progress in aws navigation demo.
- Updated to make progress in aws navigation demo.
- Updated to make progress in aws navigation demo.
- Updated to make progress in aws navigation demo.
- Updated to make progress in aws navigation demo.
- Updated to make progress in aws navigation demo.
- Updated to make progress in aws navigation demo.
- Updated to make progress in aws navigation demo.
- Updated to make progress in aws navigation demo.
- Updated to make progress in aws navigation demo.
- Updated to make progress in aws navigation demo.
- Updated to make progress in aws navigation demo.
- Updated to make progress in aws navigation demo.
- Updated to make progress in aws navigation demo.
- Updated to make progress in aws navigation demo.
- Updated to make progress in aws navigation demo.
- Updated to make progress in aws navigation demo.
- Updated to make progress in aws navigation demo.
- Updated to make progress in aws navigation demo.
- Updated to make progress in aws navigation demo.
- Updated to make progress in aws navigation demo.
- Updated to make progress in aws navigation demo.
- Updated to make progress in aws navigation demo.
- Updated to make progress in aws navigation demo.
- Updated to make progress in aws navigation demo.
- Updated to make progress in aws navigation demo.
- Updated to make progress in aws navigation demo.
- Updated to make progress in aws navigation demo.
- Updated to make progress in aws navigation demo.
- Updated to make progress in aws navigation demo.
- Updated to make progress in aws navigation demo.
- Updated to make progress in aws navigation demo.
- Updated to make progress in aws navigation demo.
- Updated to make progress in aws navigation demo.
- Updated to make progress in aws navigation demo.
- Updated to make progress in aws navigation demo.
- Updated to make progress in aws navigation demo.
- Updated to make progress in aws navigation demo.
- Updated to make progress in aws navigation demo.
- Updated to make progress in aws navigation demo.
- Updated to make progress in aws navigation demo.
- Updated to make progress in aws navigation demo.
- Updated to make progress in aws navigation demo.
- Updated to make progress in aws navigation demo.
- Updated to make progress in aws navigation demo.
- Updated to make progress in aws navigation demo.
- Updated to make progress in aws navigation demo.
- Updated to make progress in aws navigation demo.
- Updated to make progress in aws navigation demo.
- Updated to make progress in aws navigation demo.
- Updated to make progress in aws navigation demo.
- Updated to make progress in aws navigation demo.
- Updated to make progress in aws navigation demo.
- Updated to make progress in aws navigation demo.
- Updated to make progress in aws navigation demo.
- Updated to make progress in aws navigation demo.
- Updated to make progress in aws navigation demo.
- Updated to make progress in aws navigation demo.
- Updated to make progress in aws navigation demo.
- Updated to make progress in aws navigation demo.
- Updated to make progress in aws navigation demo.
- Updated to make progress in aws navigation demo.
- Updated to make progress in aws navigation demo.
- Updated to make progress in aws navigation demo.
- Updated to make progress in aws navigation demo.
- Updated to make progress in aws navigation demo.
- Updated to make progress in aws navigation demo.
- Updated to make progress in aws navigation demo.
- Updated to make progress in aws navigation demo.
- Updated to make progress in aws navigation demo.
- Updated to make progress in aws navigation demo.
- Updated to make progress in aws navigation demo.
- Updated to make progress in aws navigation demo.
- Updated to make progress in aws navigation demo.
- Updated to make progress in aws navigation demo.
- Updated to make progress in aws navigation demo.
- Updated to make progress in aws navigation demo.
- Updated to make progress in aws navigation demo.
- Updated to make progress in aws navigation demo.
- Updated to make progress in aws navigation demo.
- Updated to make progress in aws navigation demo.
- Updated to make progress in aws navigation demo.
- Updated to make progress in aws navigation demo.
- Updated to make progress in aws navigation demo.
- Updated to make progress in aws navigation demo.
- Updated to make progress in aws navigation demo.
- Updated to make progress in aws navigation demo.
- Updated to make progress in aws navigation demo.
- Updated to make progress in aws navigation demo.
- Updated to make progress in aws navigation demo.
- Updated to make progress in aws navigation demo.
- Updated to make progress in aws navigation demo.
- Updated to make progress in aws navigation demo.
- Updated to make progress in aws navigation demo.
- Updated to make progress in aws navigation demo.
- Updated to make progress in aws navigation demo.
- Updated to make progress in aws navigation demo.
- Updated to make progress in aws navigation demo.
- Updated to make progress in aws navigation demo.
- Updated to make progress in aws navigation demo.
- Updated to make progress in aws navigation demo.
- Updated to make progress in aws navigation demo.
- Updated to make progress in aws navigation demo.
- Updated to make progress in aws navigation demo.
- Updated to make progress in aws navigation demo.
- Updated to make progress in aws navigation demo.
- Updated to make progress in aws navigation demo.
- Updated to make progress in aws navigation demo.
- Updated to make progress in aws navigation demo.
- Updated to make progress in aws navigation demo.
- Updated to make progress in aws navigation demo.
- Updated to make progress in aws navigation demo.
- Updated to make progress in aws navigation demo.
- Updated to make progress in aws navigation demo.
- Updated to make progress in aws navigation demo.
- Updated to make progress in aws navigation demo.
- Updated to make progress in aws navigation demo.
- Updated to make progress in aws navigation demo.
- Updated to make progress in aws navigation demo.
- Updated to make progress in aws navigation demo.
- Updated to make progress in aws navigation demo.
- Updated to make progress in aws navigation demo.
- Updated to make progress in aws navigation demo.
- Updated to make progress in aws navigation demo.
- Updated to make progress in aws navigation demo.
- Updated to make progress in aws navigation demo.
- Updated to make progress in aws navigation demo.
- Updated to make progress in aws navigation demo.
- Updated to make progress in aws navigation demo.
- Updated to make progress in aws navigation demo.
- Updated to make progress in aws navigation demo.
- Updated to make progress in aws navigation demo.
- Updated to make progress in aws navigation demo.
- Updated to make progress in aws navigation demo.
- Updated to make progress in aws navigation demo.
- Updated to make progress in aws navigation demo.
- Updated to make progress in aws navigation demo.
- Updated to make progress in aws navigation demo.
- Updated to make progress in aws navigation demo.
- Updated to make progress in aws navigation demo.
- Updated to make progress in aws navigation demo.
- Updated to make progress in aws navigation demo.
- Updated to make progress in aws navigation demo.
- Updated to make progress in aws navigation demo.
- Updated to make progress in aws navigation demo.
- Updated to make progress in aws navigation demo.
- Updated to make progress in aws navigation demo.
- Updated to make progress in aws navigation demo.
- Updated to make progress in aws navigation demo.
- Updated to make progress in aws navigation demo.
- Updated to make progress in aws navigation demo.
- Updated to make progress in aws navigation demo.
- Updated to make progress in aws navigation demo.
- Updated to make progress in aws navigation demo.
- Updated to make progress in aws navigation demo.
- Updated to make progress in aws navigation demo.
- Updated to make progress in aws navigation demo.
- Updated to make progress in aws navigation demo.
- Updated to make progress in aws navigation demo.
- Updated to make progress in aws navigation demo.
- Updated to make progress in aws navigation demo.
- Updated to make progress in aws navigation demo.
- Updated to make progress in aws navigation demo.
- Updated to make progress in aws navigation demo.
- Updated to make progress in aws navigation demo.
- Updated to make progress in aws navigation demo.
- Updated to make progress in aws navigation demo.
- Updated to make progress in aws navigation demo.
- Updated to make progress in aws navigation demo.
- Updated to make progress in aws navigation demo.
- Updated to make progress in aws navigation demo.
- Updated to make

```rst
Section_14
==========

Added
-----

- New feature: cb_wait_topic_message, an asynchronous client behavior that waits for a topic message and optionally checks its contents for success (#81, #91, #92, #93, #94, #95, #98)
- New client behavior for nav2: wait for nav2 nodes subscribing to the /bond topic and waiting for them to be alive, with optional node selection (#82, #92, #93, #94, #95, #98)
- New client behavior: cb_pause_slam (#98)
- New client behavior: sm_dance_bot_lite (#99)
- New feature: dance bot launch gz lidar choice, allowing visualization of turtlebot3 with cleaning and lidar show/hide options (#102)

Changed
-------

- Updated launch command in README.md
- Corrected all linters and formatters (#82)
- Fixed navigation parameters on sm_dance_bot (#93, #95)
- Minor formatting improvements during AWS navigation progress (#92, #93, #94, #95, #98)
- Merged and progressed changes (#94)
- Hotfix for minor issues (#100)
- Visual improvements for sm_dance_bot visualizing turtlebot3 (#101)
- Renamed doxygen deployment workflow (#100)

Fixed
-----

- Removed some compile warnings (#96)

Authors
-------

- Pablo Iñigo Blasco
- Co-authored-by: Ubuntu 20-04-02-amd64 <brett@robosoft.ai>
- Co-authored-by: Denis Štogl <destogl@users.noreply.github.com>
- Co-authored-by: Denis Štogl <denis@stogl.de>
```

Section 15
-----------

### Added
- **Feature/sm dance bot lite gazebo fixes (#104)**
  - Visualizing turtlebot3 for sm_dance_bot
  - Added lidar show/hide option
  - Improved formatting and file cleanup
  - Gazebo fixes to display robot and lidar

- **Feature/sm_multi_stage_1 doubling (#103)**
  - Co-authored by: Ubuntu 20-04-02-amd64 <brett@robosoft.ai>
  - Added functionality for sm_multi_stage_1

- **Feature/sm dance bot strikes back gazebo fixes (#105)**
  - Further improvements for sm_dance_bot visualization in Gazebo

- **Precommit cleanup run (#106)**
  - Co-authored by: Ubuntu 20-04-02-amd64 <brett@robosoft.ai>
  - Cleaned up precommit tasks

- **AWS demo (#108)**
  - Demonstrated AWS functionality

- **Brettpac branch (#110)**
  - Co-authored by: Ubuntu 20-04-02-amd64 <brett@robosoft.ai>
  - Worked on sm_multi_stage_1 functionality

- **Brettpac branch (#111)**
  - Co-authored by: Ubuntu 20-04-02-amd64 <brett@robosoft.ai>
  - Continued work on sm_multi_stage_1

- **A3 (#113)**
  - Co-authored by: Ubuntu 20-04-02-amd64 <brett@robosoft.ai>
  - Added A3 functionality

- **More sm_multi_stage_1 (#114)**
  - Co-authored by: Ubuntu 20-04-02-amd64 <brett@robosoft.ai>
  - Further enhancements for sm_multi_stage_1

- **MM (#115)**
  - Co-authored by: Ubuntu 20-04-02-amd64 <brett@robosoft.ai>
  - Added MM feature

- **Diverse improvements navigation and performance (#116)**
  - Co-authored by: pabloinigoblasco <pablo@ibrobotics.com>
  - Made diverse improvements in navigation and performance

- **Feature/diverse improvements navigation performance (#117)**
  - Continued improvements in navigation and performance
  - Added linting and formatting enhancements

- **Remove neo_simulation2 package (#112)**
  - Removed neo_simulation2 package
  - Corrected formatting and build packages

- **Move method after the method it calls (#126)**
  - Prevented recursion by moving methods accordingly

- **First working version of sm template and template generator (#127)**
  - Initial functional version of sm template and generator

- **Feature/dance bot s pattern (#128)**
  - Polished sm_dance_bot and s-pattern
  - Corrected typo

- **Minor tweaks (#130)**
  - Made minor adjustments

- **Feature/sm dance bot refine (#131)**
  - Continued refinements for sm_dance_bot

- **Feature/sm dance bot refine 2 (#132)**
  - Further refinements for sm_dance_bot
  - Fixed build issues

- **Waypoints navigator bug (#133)**
  - Tuned navigation to mitigate overshot issues

- **Progress in the sm_dance_bot tests (#135)**
  - Made progress in sm_dance_bot testing

- **Minor format issues (#134)**
  - Resolved minor formatting issues

- **Sm_dance_bot_lite (#136)**
  - Co-authored by: Ubuntu 20-04-02-amd64 <brett@robosoft.ai>
  - Introduced sm_dance_bot_lite functionality

- **Resolve compile warnings (#137)**
  - Resolved compile warnings

- **Add SM core test (#138)**
  - Added SM core test

- **Minor navigation improvements (#141)**
  - Made minor navigation enhancements

- **Using local action msgs (#139)**
  - Replaced sm_dance_bot_msgs with local action msgs

- **Feature/nav2z renaming (#144)**
  - Renamed navigation 2 stack
  - Added SVGs to READMEs

- **Added remaining SVGs to READMEs (#145)**
  - Added remaining SVGs to READMEs

- **Update package list (#142)**
  - Updated package list

- **Removing parameters smacc (#147)**
  - Removed parameters from smacc
  - Updated workflows

- **Fix CI: format fix python version (#148)**
  - Fixed CI formatting for Python version

- **Add SM Atomic SM generator (#143)**
  - Added SM Atomic SM generator

- **Rolling Docker environment to be executed from any environment (#154)**
  - Improved Docker environment for universal execution

- **Slight waypoint 4 and iterations changes (#155)**
  - Adjusted waypoints for robot course completion

- **Feature/migration moveit client (#151)**
  - Migrated to smacc2
  - Fixed formatting errors and dependencies
  - Progressed in moveit migration testing
  - Updated readme and dependencies

- **Initial state machine transition timestamp (#165)**
  - Moved reference library SMs to smacc2_performance_tools

### Changed
- **Finnaly > Finally (#129)**
  - Corrected spelling mistake

### Removed
- **Remove node creation and create only a logger (#149)**
  - Simplified node creation to only include a logger

### Fixed
- **Fixing compiling issues (#164)**
  - Resolved compiling issues

### Contributors
- **Co-authored by: DecDury <declandury@gmail.com>**
- **Co-authored by: Denis Štogl <destogl@users.noreply.github.com>**

```rst
Section_16
==========

Added
-----
- Added QOS durability to SmaccPublisherClient (#163).
- Added reliability QOS configuration.
- Added multistage modes, sequences, steps, and sequences for sm_multi_stage_1.
- Added warehouse2 progress (#179).
- Added Waypoint Inputs (#178).
- Added husky launch file in sm_dance_bot.
- Added dependencies for husky simulation.
- Added updates for husky in rolling and galactic.
- Added progress on AWS navigation and refactorings on navigation clients and behaviors.
- Added more on AWS demo.
- Added finetuning waypoints (#187).
- Added redoing sm_dance_bot_warehouse_3 waypoints and more waypoints.
- Added SrConditional fixes and formatting (#168).
- Added fixes on SrConditional formatting, trigger logic, and lint.
- Added pure spinning behavior missing files.
- Added several fixes (#194).
- Added improvements on undo motion navigation warehouse2.
- Added tuning warehouse3 (#197).
- Added fixing warehouse 3 problems and core improvements to remove deadlocks and make continuous integration green.
- Added backport to foxy.
- Added missing subscriber publisher components.
- Added progress in autoware machine.
- Added refining cp subscriber cp publisher.
- Added improvements in smacc core for autoware demo.
- Added foxy CI fixes.
- Added fixing docker for foxy and galactic.
- Added update file for fake hardware simulation and gazebo simulation.
- Added docker build files for all versions.
- Added retry behavior warehouse 1.
- Added fixing docker for foxy and galactic.
- Added removing warnings and more testing on navigation.

Changed
-------
- Changed "moved reference library SMs to smacc2_performance_tools" to "moved reference library SMs to smacc2_performance_tools."
- Changed "pre-commit cleanup" to "pre-commit cleanup."
- Changed "add a missing colon" to "added a missing colon."
- Changed "remove line" to "removed line."

Removed
-------
- Removed "minor configuration."
- Removed "fixing pipeline error."
- Removed "fixing broken master build."
- Removed "default values."
- Removed "merge."
- Removed "headless."
- Removed "minor."
- Removed "format issues."
- Removed "weird moveit not downloaded repo."
- Removed "minor tune."
- Removed "undo tuning and errors."
- Removed "minor linking errors foxy."
- Removed "some reordering fixes."
- Removed "minor broken build."
- Removed "some reordering fixes."
- Removed "minor format fix."
- Removed "other minor changes."

Authors
-------
- Pablo Iñigo Blasco
- Ubuntu 20-04-02-amd64 <brett@robosoft.ai>
- Denis Štogl <denis@stogl.de>
- Denis Štogl <destogl@users.noreply.github.com>
- Declan Dury <44791484+DecDury@users.noreply.github.com>
- DecDury <declandury@gmail.com>
- reelrbtx <brett2@reelrobotics.com>
- brettpac <brett@robosoft.ai>
- David Revay <MrBlenny@users.noreply.github.com>
```

```rst
Section_17
==========

Added
-----

- First ensure you have the necessary package installed:
  ```
  sudo apt-get install ros-rolling-ros2trace
  ```
- Rename header files and correct format.
- Add workflow for checking doc build.
- Update doxygen-check-build.yml.
- Create doxygen-deploy.yml.
- Use manual deployment for now.
- Create workflow for testing prerelease builds.
- Use docs/ as source folder for documentation.
- Use docs/ as output directory.
- Rename to smacc2 and smacc2_msgs.
- Correct GitHub branch reference.
- Update name of package and package.xml to pass liter.
- Execute on master update.
- Reset all versions to 0.0.0.
- Ignore all packages except smacc2 and smacc2_msgs.
- Update changelogs.
- Revert "Ignore all packages except smacc2 and smacc2_msgs" (commit f603166a4b3ccdfe96c64d9f9fb9d8b49fbf0e61).
- Update description table.
- Update table.
- Copy initial docs.
- Dockerfile w/ ROS distro as argument: use this command "sudo docker build --build-arg ROS2_DISTRO=(desiredRosTag) (directoryHoldingDockerfile)/".
- Opened new folder for additional tracing contents.
- Delete tracing directory.
- Moved tracing.md to tracing directory.
- Added setupTracing.sh: installs necessary packages and configures tracing group.
- Removed manual installation of ros-rolling-ros2trace, now automated in setupTracing.sh (location of sh file assumed if user follows README.md under "Getting started").
- Created alternative ManualTracing.
- Added new sm markdowns.
- Added a dockerfile for Rolling and Galactic.
- Update smacc2_ci/docker/ros_rollingAndGalactic_ubuntu_20.04/buildGalactic.sh.

Changed
-------

- ros2 launch sm_three_some sm_three_some to ros2 launch sm_three_some sm_three_some.launch.
- Wording "smacc application" changed to "SMACC2 library".
- Reactivated smacc2 nav clients for rolling via submodules.
- Renamed tracing events.
- Bug fix in smacc2 component.
- Reverted markdowns to html.
- Updated mentions of SMACC/ROS to SMACC2/ROS2.
- Progress on navigation rolling.
- Renamed folders, deleted tracing.md, edited README.md.
- Optimized deps in move_base_z_planners_common.
- Renamed event generator library.
- Cleaned up sm_atomic_24hr.
- Updated smacc2_rta command across readmes.
- Cleaned up sm_atomic_24hr.
- Optimized deps in move_base_z_planners_common.
- Renamed event generator library.
- Cleaned up sm_atomic_24hr.
- Updated c_cpp_properties.json.
- Changed launch command to ros2 launch sm_respira_1 sm_respira_1.launch.
- Updated doxygen links.

Fixed
-----

- Fix broken source build (#227).
- Only rolling version should be pre-released on master (#230).
- Correct Focal-Rolling builds by fixing the version of rosdep yaml (#234).
- Update file for fake hardware simulation and add file for gazebo simulation (#224).
- Minor formatting fixes.
- Fix trailing spaces.
- Correct codespell.
- Correct python linters warnings.
- Enable cppcheck.
- Correct formatting of python file.
- Included necessary package and edited Threesome launch.
- Enable build of missing rolling repositories.
- Enable Navigation2 for semi-binary build.
- Remove galactic builds from master and keep only rolling. Remove submodules and use .repos file.
- More progress on performance tests.
- Do not execute clang-format on smacc2_sm_reference_library package.
- Format cleanup in sm_respira_1.
- Format cleanup in sm_respira_1 pre-commit.
- Format cleanup in sm_respira_test_2.
- Format cleanup in sm_respira_test_2.
- More changes on performance tests.
- Correct trailing spaces.
- Format cleanup in sm_atomic_performance_trace_1.
- Format cleanup in sm_atomic_24hr.
- Format cleanup in sm_atomic_24hr.
- Format cleanup in sm_atomic_24hr.
- Minor formatting fixes.

Removed
-------

- Disable ament_cpplint.
- Disable some packages and update workflows.
- Bump ccache version.
- Ignore further packages.
- Satisfy ament_lint_cmake.
- Add missing licences.
- Disable cpplint and cppcheck linters.
- Correct formatters.
- Branching example.
- Disable disabled packages.
- Update ci-build-source.yml.
- Change extension.
- Change extension of imports.
- Ignore all packages except smacc2 and smacc2_msgs.
- Enable build of missing rolling repositories.
- Enable Navigation2 for semi-binary build.
- Remove galactic builds from master and keep only rolling. Remove submodules and use .repos file.
- More progress on performance tests.
- Do not execute clang-format on smacc2_sm_reference_library package.
- Format cleanup in sm_respira_1.
- Format cleanup in sm_respira_1 pre-commit.
- Format cleanup in sm_respira_test_2.
- Format cleanup in sm_respira_test_2.
- More changes on performance tests.
- Correct trailing spaces.
- Format cleanup in sm_atomic_performance_trace_1.
- Format cleanup in sm_atomic_24hr.
- Format cleanup in sm_atomic_24hr.
- Format cleanup in sm_atomic_24hr.
- Minor formatting fixes.

Co-authored-by: pabloinigoblasco <pabloinigoblasco@ibrobotics.com>
Co-authored-by: Denis Štogl <destogl@users.noreply.github.com>
Co-authored-by: Ubuntu 20-04-02-amd64 <brett@robosoft.ai>
```

```rst
Section_18
==========

Added
-----
- New feature: cb_wait_topic_message, an asynchronous client behavior that waits for a topic message and optionally checks its contents for success.
- Added new client behavior for nav2: wait nav2 nodes subscribing to the /bond topic and waiting for them to be alive. Optionally select the nodes to wait.

Changed
-------
- Several core improvements during navigation testing.
- Progress in AWS navigation demo.
- Formatting improvements.
- Modified sm_atomic_performance_test_a_2 (#89).
- Fixed pre-commit issues.
- Corrected all linters and formatters.
- Navigation parameters fixes on sm_dance_bot.

Fixed
----
- Removed some compile warnings (#96).

Removed
-------
- Removed redundant entries related to sm_advanced_recovery_1 and sm_multi_stage_1.

Collaborators
-------------
- Co-authored-by: Ubuntu 20-04-02-amd64 <brett@robosoft.ai>
- Co-authored-by: Denis Štogl <destogl@users.noreply.github.com>
- Co-authored-by: Denis Štogl <denis@stogl.de>
``` 

*pabloinigoblasco*

```rst
Section_19
==========

Added
-----
- New feature: `cb_wait_topic_message`: asynchronous client behavior that waits for a topic message and optionally checks its contents for success
- New client behavior `add` for `nav2`: waits for `nav2` nodes subscribing to the `/bond` topic and ensures they are alive, with an optional selection of nodes to wait for
- Progress in AWS navigation demo
- Gazebo fixes to show the robot and the lidar
- Added SVGs to READMEs of atomic, dance_bot, and others
- Added remaining SVGs to READMEs
- Rolling Docker environment to be executed from any environment

Changed
-------
- Navigation parameters fixes on `sm_dance_bot`
- Minor format improvements
- Minor hotfix
- Minor format fixes
- Adjusted build packages of source CI
- Minor tweaks
- Minor navigation improvements
- Removed neo_simulation2 package
- Corrected formatting
- Fixed launch command for `sm_dance_bot_strikes_back` in README.md

Fixed
-----
- Move method after the method it calls to prevent recursion
- Minor tuning to mitigate overshot issue cases
- Resolved compile warnings
- Removed parameters from `smacc`
- Fixed CI: format fix python version

Removed
-------
- Removed `sm_dance_bot_msgs`
- Removed node creation and created only a logger

Contributors
------------
- Co-authored-by: Ubuntu 20-04-02-amd64 <brett@robosoft.ai>
- Co-authored-by: DecDury <declandury@gmail.com>
- Co-authored-by: Denis Štogl <destogl@users.noreply.github.com>
- Co-authored-by: pabloinigoblasco <pablo@ibrobotics.com>
```

```rst
Section_20
==========

Added
-----

- Added slight changes to waypoint 4 and iterations for robot course completion (#155)
- Added feature for migration to moveit client (#151)
- Added initial migration to smacc2
- Added missing dependency
- Added progress on moveit migration testing
- Added .reps dependencies and fixed build errors
- Added repos dependency
- Added dependency to ur5 client
- Added QOS durability to SmaccPublisherClient (#163)
- Added reliability QOS configuration
- Added husky launch file in sm_dance_bot
- Added dependencies for husky simulation
- Added progress on aws navigation and refactorings on navigation clients and behaviors
- Added more on aws demo
- Added more waypoints for sm_dance_bot_warehouse_3
- Added redoing waypoints for sm_dance_bot_warehouse_3
- Added more Waypoints
- Added finetuning waypoints
- Added pure spinning behavior missing files
- Added replanning for all examples
- Added improving undo motion navigation for warehouse2
- Added tuning and fixes
- Added fixing warehouse 3 problems and other core improvements to remove deadlocks
- Added backport to foxy

Changed
-------

- Changed format for readme updates
- Changed pre-commit cleanup
- Changed move trigger logic into headers
- Changed linting issues
- Changed default values
- Changed several fixes
- Changed format issues
- Changed tuning and fixes
- Changed minor tune

Fixed
-----

- Fixed errors introduced on formatting
- Fixed some linting warnings
- Fixed compiling issues
- Fixed broken master build
- Fixed pipeline error
- Fixed broken build
- Fixed some formatting and templating on SrConditional
- Fixed weird moveit not downloaded repo
- Fixed minor linking errors for foxy
- Fixed missing sm
- Fixed updating subscriber publisher components
- Fixed refining cp subscriber cp publisher

Removed
-------

- Removed test from main moveit cmake

Authors
-------

- Pablo Iñigo Blasco
- Ubuntu 20-04-02-amd64 <brett@robosoft.ai>
- Denis Štogl <denis@stogl.de>
- Denis Štogl <destogl@users.noreply.github.com>
- Declan Dury <44791484+DecDury@users.noreply.github.com>
- DecDury <declandury@gmail.com>
- reelrbtx <brett2@reelrobotics.com>
- brettpac <brett@robosoft.ai>
- David Revay <MrBlenny@users.noreply.github.com>
```

```rst
Section_21
==========

Added
-----
- New components developed for Autoware demo in smacc core.
- Docker build files for different revisions, warnings removal, and enhanced navigation testing.
- Barrel demo progress with fixes in warehouse 3 startup problems.
- Feature branch "barrel - do not merge yet" (#233).
- Workflow for checking documentation build.
- Workflow for testing prerelease builds.
- SetupTracing.sh script for automated installation of necessary packages.
- New SM markdowns and Dockerfiles for Rolling and Galactic.
- README tutorial for Dockerfile setup.
- SMACC2 library reference updates.
- Performance tests improvements and cleanup.
- Optimized dependencies in move_base_z_planners_common.
- Renamed event generator library.

Changed
-------
- Renamed "ros2 launch sm_three_some sm_three_some" to "ros2 launch sm_three_some sm_three_some.launch".
- Updated GitHub branch reference.
- Updated package names and package.xml.
- Reset all versions to 0.0.0.
- Updated changelogs.
- Reverted commit f603166a4b3ccdfe96c64d9f9fb9d8b49fbf0e61.
- Updated description table.
- Updated table.
- Updated doxygen links.
- Changed wording from "smacc application" to "SMACC2 library".
- Updated SMACC2 RTA command across readmes.
- Cleaned up sm_atomic_24hr package.
- Minor formatting changes.

Fixed
-----
- Fixed minor broken builds.
- Fixed Docker builds for Foxy and Galactic.
- Fixed broken builds in Barrel demo.
- Fixed trailing spaces, codespell, and Python linters warnings.
- Fixed linking errors in Foxy.
- Fixed format and minor issues.
- Fixed startup problems in Warehouse 3.
- Fixed bug in smacc2 component.
- Fixed missing rolling repositories build.
- Fixed Navigation2 for semi-binary build.
- Fixed build setup for missing rolling repositories.
- Fixed source CI setup and corrected README overview.
- Fixed launch command to "ros2 launch sm_respira_1 sm_respira_1.launch" (#69).

Removed
-------
- Removed manual installation of ros-rolling-ros2trace.
- Removed tracing directory.
- Removed disabled packages and updated workflows.
- Removed galactic builds from master and kept only rolling.
- Removed submodules and used .repos file.

Co-authored-by: Denis Štogl <denis@stogl.de>
Co-authored-by: Denis Štogl <destogl@users.noreply.github.com>
Co-authored-by: Declan Dury <44791484+DecDury@users.noreply.github.com>
Co-authored-by: DecDury <declandury@gmail.com>
Co-authored-by: reelrbtx <brett2@reelrobotics.com>
Co-authored-by: brettpac <brett@robosoft.ai>
Co-authored-by: David Revay <MrBlenny@users.noreply.github.com>
Co-authored-by: pabloinigoblasco <pabloinigoblasco@ibrobotics.com>
Co-authored-by: Ubuntu 20-04-02-amd64 <brett@robosoft.ai>
```

```rst
Section_22
==========

Added
-----
- More Readme Updates (#72) (Co-authored-by: Ubuntu 20-04-02-amd64 <brett@robosoft.ai>)
- More Readme (#74) (Co-authored-by: Ubuntu 20-04-02-amd64 <brett@robosoft.ai>)
- Feature/core and navigation fixes (#78)
- Feature/aws demo progress (#80)
- sm_advanced_recovery_1 reworked (#83) (Co-authored-by: Ubuntu 20-04-02-amd64 <brett@robosoft.ai>)
- more sm_advanced_recovery_1 (#84) (Co-authored-by: Ubuntu 20-04-02-amd64 <brett@robosoft.ai>)
- More sm_advanced_recovery_1 work (#85) (Co-authored-by: Ubuntu 20-04-02-amd64 <brett@robosoft.ai>)
- sm_advanced_recovery_1 round 4 (#86) (Co-authored-by: Ubuntu 20-04-02-amd64 <brett@robosoft.ai>)
- Brettpac branch (#87)
- sm_atomic_performance_test_a_2
- sm_atomic_performance_test_a_1
- sm_atomic_performance_test_c_1 (#88) (Co-authored-by: Ubuntu 20-04-02-amd64 <brett@robosoft.ai>)
- modifying sm_atomic_performance_test_a_2 (#89)
- sm_multi_stage_1 (#90)
- more sm_multi_stage_1 (#91) (Co-authored-by: Ubuntu 20-04-02-amd64 <brett@robosoft.ai>)
- Wait topic message client behavior (#81) (Co-authored-by: Ubuntu 20-04-02-amd64 <brett@robosoft.ai>, Denis Štogl <destogl@users.noreply.github.com>)
- Feature/wait nav2 nodes client behavior (#82)
- Feature/aws demo progress (#92)
- Feature/sm dance bot fixes (#93)
- Feature/sm aws warehouse (#94)
- Feature/sm dance bot fixes (#95)
```

```rst
Section_23
==========

Added
-----
- New feature: `cb_wait_topic_message`, an asynchronous client behavior that waits for a topic message and optionally checks its contents for success.
- New client behavior for `nav2`: `add` behavior waits for `nav2` nodes subscribing to the `/bond` topic and ensures they are alive. Nodes to wait for can be optionally selected.
- Base for the `sm_aws_warehouse` navigation.
- `cb_pause_slam` client behavior.
- `sm_dance_bot_lite` visualizing `turtlebot3`.
- `sm_multi_stage_1` doubling.
- `sm_dance_bot_strikes_back` gazebo fixes.
- `aws` demo.
- `Brettpac` branch.
- `neo_simulation2` package removal.
- `mm` changes.
- Diverse improvements in navigation and performance.
- `slam` toggle and `smacc` deep history feature.
- `dance_bot_s_pattern` changes.
- First working version of `sm` template and template generator.
- `waypoints` navigator bug fixes.
- `SM` core test addition.
- Minor navigation improvements.
- Using local action messages.
- `nav2z` renaming.

Changed
------
- Progress in `aws` navigation demo.
- Navigation parameters fixes on `sm_dance_bot`.
- `sm_multi_stage_1` progress.
- `sm_dance_bot` refinement.
- `sm_dance_bot` build fix.
- Minor tuning to mitigate overshot issue cases in `waypoints` navigator.
- Progress in the `sm_dance_bot` tests.
- Some more progress on markers cleanup.

Fixed
----
- Remove some compile warnings.
- Correct formatting.
- Enable source build on PR for testing.
- Adjust build packages of source CI.
- Remove merge markers from a Python file.
- Move method after the method it calls to prevent recursion.
- Typo correction: "Finnaly" to "Finally".
- Minor format issues.

Removed
------
- `neo_simulation2` package.
- `sm_dance_bot_msgs` removal.
- Pending references.

Contributors
------------
- Co-authored-by: Ubuntu 20-04-02-amd64 <brett@robosoft.ai>
- Co-authored-by: pabloinigoblasco <pablo@ibrobotics.com>
```

Section_24
==========

Added
-----
- Added remaining SVGs to READMEs (#145).
- Added SM Atomic SM generator (#143).
- Added QOS durability to SmaccPublisherClient (#163).
- Added dependencies for husky simulation in AWS navigation (#174).
- Added Waypoint Inputs (#178).

Changed
-------
- Updated package list (#142).
- Fixed launch command for sm_dance_bot_strikes_back in README.md.
- Fixed CI: format fix python version (#148).
- Moved reference library SMs to smacc2_performance_tools (#166).
- Redoing sm_dance_bot_warehouse_3 waypoints (#184).
- Finetuned waypoints (#187).
- Improved undo motion navigation in warehouse2 (#198).
- Tuned warehouse3 (#197).

Fixed
-----
- Removed parameters smacc (#147).
- Removed node creation and created only a logger (#149).
- Fixed compiling issues.
- Fixed broken master build.
- Fixed pipeline error.
- Fixed formatting issues.
- Fixed broken build in AWS navigation.
- Fixed some formatting and templating on SrConditional (#168).
- Fixed some linting warnings.
- Fixed errors in warehouse3 and other core improvements (#204).

Removed
-------
- Removed test from main moveit cmake.
- Removed some comments in the past.

Collaborators
-------------
- Co-authored-by: DecDury <declandury@gmail.com>.
- Co-authored-by: Denis Štogl <destogl@users.noreply.github.com>.
- Co-authored-by: Ubuntu 20-04-02-amd64 <brett@robosoft.ai>.

```rst
Section_25
==========

Added
-----
- Added missing file from warehouse2 (#205)
- Added docker files for different revisions, warnings removal, and more testing on navigation
- Added barrel demo
- Added multiple controllable LEDs plugin
- Added progress in Husky demo
- Added improvements in navigation behaviors
- Added progress in barrel Husky
- Added progress in autoware machine
- Added progress in SMACC core, including more components developed for autoware demo
- Added autoware demo
- Added progress in barrel search updates
- Added making models local
- Added progress in barrel Husky
- Added progress in Husky demo
- Added progress in SMACC2 performance tools

Changed
-------
- Changed ros2 launch sm_three_some sm_three_some to ros2 launch sm_three_some sm_three_some.launch
- Changed wording "smacc application" to "SMACC2 library"

Fixed
-----
- Fixed warehouse 3 problems and other core improvements to remove deadlock, also making continuous integration green
- Fixed weird moveit not downloaded repo
- Fixed minor broken build
- Fixed some reordering fixes
- Fixed formatting issues
- Fixed trailing spaces
- Fixed codespell
- Fixed Python linters warnings
- Fixed ament_lint_cmake
- Fixed formatters
- Fixed docker for foxy and galactic
- Fixed startup problems in warehouse 3
- Fixed format and minor issues
- Fixed bug in SMACC2 component
- Fixed missing rolling repositories build
- Fixed Navigation2 for semi-binary build
- Fixed Navigation2 broken in rolling
- Fixed tracing events names
- Fixed README tutorial for Dockerfile

Removed
-------
- Removed manual installation of ros-rolling-ros2trace, now automated in setupTracing.sh
- Removed tracing directory
- Removed galactic builds from master and kept only rolling, removed submodules and used .repos file
- Removed disabled packages and updated workflows
- Removed manual installation of ros-rolling-ros2trace

Backport
---------
- Backported to foxy
- Backported to foxy

Co-Authored-By
--------------
- Denis Štogl <denis@stogl.de>
- Denis Štogl <destogl@users.noreply.github.com>
- Declan Dury <44791484+DecDury@users.noreply.github.com>
- DecDury <declandury@gmail.com>
- reelrbtx <brett2@reelrobotics.com>
- brettpac <brett@robosoft.ai>
- David Revay <MrBlenny@users.noreply.github.com>
- pabloinigoblasco <pabloinigoblasco@ibrobotics.com>
```

Section_26
-----------

### Added
- Added galactic CI setup and renamed rolling files. (#58)
- Added new feature, cb_wait_topic_message: asynchronous client behavior that waits for a topic message and optionally checks its contents for success. Also added a new client behavior for nav2, wait nav2 nodes subscribing to the /bond topic and waiting for them to be alive. You can optionally select the nodes to wait for. (#82, #92)
- Added navigation parameters fixes on sm_dance_bot. (#93)

### Changed
- Changed launch command to `ros2 launch sm_respira_1 sm_respira_1.launch` (#69)
- Updated `smacc2_rta` command across readmes
- Renamed event generator library

### Fixed
- Fixed source CI and corrected README overview. (#62)
- Corrected trailing spaces
- Corrected all linters and formatters

### Removed
- Do not execute clang-format on `smacc2_sm_reference_library` package

### Miscellaneous
- Performance tests improvements
- More changes on performance tests
- Minor formatting improvements

### Collaborators
- Co-authored-by: Ubuntu 20-04-02-amd64 <brett@robosoft.ai>
- Co-authored-by: Denis Štogl <denis@stogl.de>
- Co-authored-by: Denis Štogl <destogl@users.noreply.github.com>

```rst
Section_27
==========

Added
-----
- New feature: `cb_wait_topic_message`: asynchronous client behavior that waits for a topic message and optionally checks its contents for success.
- New client behavior for nav2: `add` for waiting nav2 nodes subscribing to the `/bond` topic and ensuring they are alive. Nodes to wait can be optionally selected.
- Gazebo fixes for showing the robot and the lidar.
- Progress in navigation, slam toggle client behaviors, and slam_toolbox components. Also includes `smacc2::deep_history` syntax.
- Introducing slam pausing/resuming functionality in testing `sm_dance_bot`.
- First working version of `sm` template and template generator.

Changed
-------
- Minor format improvements.
- Cleaning and lidar show/hide option in `sm_dance_bot`.
- Polishing `sm_dance_bot` and `s-pattern`.
- Refinement in `sm_dance_bot`.
- Corrected typo "Finnaly" to "Finally".
- Moved method after the method it calls to prevent recursion.

Fixed
----
- Navigation parameters fixes on `sm_dance_bot`.
- Remove some compile warnings.
- Remove `neo_simulation2` package.
- Remove merge markers from a Python file.
- Adjust build packages of source CI.
- Additional linting and formatting.

Removed
-------
- Removed `neo_simulation2` package.

Contributors
------------
- Co-authored by: Ubuntu 20-04-02-amd64 <brett@robosoft.ai>
- Co-authored by: pabloinigoblasco <pablo@ibrobotics.com>
```

```rst
Section_28
==========

Added
-----

- Feature/sm dance bot refine (#131)
  - More changes in sm_dance_bot
- Feature/sm dance bot refine 2 (#132)
  - More changes in sm_dance_bot
- Waypoints navigator bug (#133)
  - Minor tuning to mitigate overshot issue cases
- Progress in the sm_dance_bot tests (#135)
  - Some more progress on markers cleanup
- Sm_dance_bot_lite (#136)
  - Resolve compile warnings (#137)
- Add SM core test (#138)
- Minor navigation improvements (#141)
- Using local action messages (#139)
- Feature/nav2z renaming (#144)
  - Navigation 2 stack renaming
  - Formatting
- Added SVGs to READMEs of atomic, dance_bot, and others (#140)
- Added remaining SVGs to READMEs (#145)
- Update package list (#142)
- Rolling Docker environment to be executed from any environment (#154)
- Add SM Atomic SM generator (#143)
- Add QOS durability to SmaccPublisherClient (#163)
  - Add reliability QoS config
- Feature/testing moveit behaviors (#167)
  - More testing on moveit
- Feature/aws navigation sm dance bot (#174)
  - Progress on AWS navigation and some other refactorings on navigation clients and behaviors
- Waypoint Inputs (#178)
- Warehouse2 progress (#179)
- Sm_dance_bot_warehouse_3 (#181)
- Finetuning waypoints (#187)
- Feature/cb pure spinning (#188)
- Pure spinning behavior missing files
- Feature/planner changes 16 12 (#191)
- Feature/replanning 16 dec (#193)
  - Replanning for all our examples

Changed
-------

- Minor format issues (#134)
- Fix CI: format fix python version (#148)
- Remove node creation and create only a logger (#149)
- Initial migration to smacc2
- Fixing some errors introduced on formatting
- Missing dependency
- Fixing some more linting warnings
- Removing test from main moveit cmake
- Test UR5
- Progressing in the moveit migration testing
- Updating format
- Adding .reps dependencies and also fixing some build errors
- Repos dependency
- Adding dependency to UR5 client
- Docker refactoring
- Progress on move_it PR
- Minor Dockerfile test workaround
- Improving Dockerfile for building local tests
- Fixing compiling issues
- Update README (#164)
- Moved reference library SMs to smacc2_performance_tools (#166)
- Pre-commit cleanup
- Several fixes (#194)

Removed
-------

- Removing sm_dance_bot_msgs
- Removing parameters smacc
- Workflows update
- Workflow
- Noticed launch command was incorrect in README.md
  - Fixed launch command for sm_dance_bot_strikes_back and removed some comments I had made in the past
- Removing parameters smacc
- Removing test from main moveit cmake
- Removing parameters smacc
- Removing test from main moveit cmake
- Removing parameters smacc
- Removing test from main moveit cmake
- Removing parameters smacc
- Removing test from main moveit cmake
- Removing parameters smacc
- Removing test from main moveit cmake
- Removing parameters smacc
- Removing test from main moveit cmake
- Removing parameters smacc
- Removing test from main moveit cmake
- Removing parameters smacc
- Removing test from main moveit cmake
- Removing parameters smacc
- Removing test from main moveit cmake
- Removing parameters smacc
- Removing test from main moveit cmake
- Removing parameters smacc
- Removing test from main moveit cmake
- Removing parameters smacc
- Removing test from main moveit cmake
- Removing parameters smacc
- Removing test from main moveit cmake
- Removing parameters smacc
- Removing test from main moveit cmake
- Removing parameters smacc
- Removing test from main moveit cmake
- Removing parameters smacc
- Removing test from main moveit cmake
- Removing parameters smacc
- Removing test from main moveit cmake
- Removing parameters smacc
- Removing test from main moveit cmake
- Removing parameters smacc
- Removing test from main moveit cmake
- Removing parameters smacc
- Removing test from main moveit cmake
- Removing parameters smacc
- Removing test from main moveit cmake
- Removing parameters smacc
- Removing test from main moveit cmake
- Removing parameters smacc
- Removing test from main moveit cmake
- Removing parameters smacc
- Removing test from main moveit cmake
- Removing parameters smacc
- Removing test from main moveit cmake
- Removing parameters smacc
- Removing test from main moveit cmake
- Removing parameters smacc
- Removing test from main moveit cmake
- Removing parameters smacc
- Removing test from main moveit cmake
- Removing parameters smacc
- Removing test from main moveit cmake
- Removing parameters smacc
- Removing test from main moveit cmake
- Removing parameters smacc
- Removing test from main moveit cmake
- Removing parameters smacc
- Removing test from main moveit cmake
- Removing parameters smacc
- Removing test from main moveit cmake
- Removing parameters smacc
- Removing test from main moveit cmake
- Removing parameters smacc
- Removing test from main moveit cmake
- Removing parameters smacc
- Removing test from main moveit cmake
- Removing parameters smacc
- Removing test from main moveit cmake
- Removing parameters smacc
- Removing test from main moveit cmake
- Removing parameters smacc
- Removing test from main moveit cmake
- Removing parameters smacc
- Removing test from main moveit cmake
- Removing parameters smacc
- Removing test from main moveit cmake
- Removing parameters smacc
- Removing test from main moveit cmake
- Removing parameters smacc
- Removing test from main moveit cmake
- Removing parameters smacc
- Removing test from main moveit cmake
- Removing parameters smacc
- Removing test from main moveit cmake
- Removing parameters smacc
- Removing test from main moveit cmake
- Removing parameters smacc
- Removing test from main moveit cmake
- Removing parameters smacc
- Removing test from main moveit cmake
- Removing parameters smacc
- Removing test from main moveit cmake
- Removing parameters smacc
- Removing test from main moveit cmake
- Removing parameters smacc
- Removing test from main moveit cmake
- Removing parameters smacc
- Removing test from main moveit cmake
- Removing parameters smacc
- Removing test from main moveit cmake
- Removing parameters smacc
- Removing test from main moveit cmake
- Removing parameters smacc
- Removing test from main moveit cmake
- Removing parameters smacc
- Removing test from main moveit cmake
- Removing parameters smacc
- Removing test from main moveit cmake
- Removing parameters smacc
- Removing test from main moveit cmake
- Removing parameters smacc
- Removing test from main moveit cmake
- Removing parameters smacc
- Removing test from main moveit cmake
- Removing parameters smacc
- Removing test from main moveit cmake
- Removing parameters smacc
- Removing test from main moveit cmake
- Removing parameters smacc
- Removing test from main moveit cmake
- Removing parameters smacc
- Removing test from main moveit cmake
- Removing parameters smacc
- Removing test from main moveit cmake
- Removing parameters smacc
- Removing test from main moveit cmake
- Removing parameters smacc
- Removing test from main moveit cmake
- Removing parameters smacc
- Removing test from main moveit cmake
- Removing parameters smacc
- Removing test from main moveit cmake
- Removing parameters smacc
- Removing test from main moveit cmake
- Removing parameters smacc
- Removing test from main moveit cmake
- Removing parameters smacc
- Removing test from main moveit cmake
- Removing parameters smacc
- Removing test from main moveit cmake
- Removing parameters smacc
- Removing test from main moveit cmake
- Removing parameters smacc
- Removing test from main moveit cmake
- Removing parameters smacc
- Removing test from main moveit cmake
- Removing parameters smacc
- Removing test from main moveit cmake
- Removing parameters smacc
- Removing test from main moveit cmake
- Removing parameters smacc
- Removing test from main moveit cmake
- Removing parameters smacc
- Removing test from main moveit cmake
- Removing parameters smacc
- Removing test from main moveit cmake
- Removing parameters smacc
- Removing test from main moveit cmake
- Removing parameters smacc
- Removing test from main moveit cmake
- Removing parameters smacc
- Removing test from main moveit cmake
- Removing parameters smacc
- Removing test from main moveit cmake
- Removing parameters smacc
- Removing test from main moveit cmake
- Removing parameters smacc
- Removing test from main moveit cmake
- Removing parameters smacc
- Removing test from main moveit cmake
- Removing parameters smacc
- Removing test from main moveit cmake
- Removing parameters smacc
- Removing test from main moveit cmake
- Removing parameters smacc
- Removing test from main moveit cmake
- Removing parameters smacc
- Removing test from main moveit cmake
- Removing parameters smacc
- Removing test from main moveit cmake
- Removing parameters smacc
- Removing test from main moveit cmake
- Removing parameters smacc
- Removing test from main moveit cmake
- Removing parameters smacc
- Removing test from main moveit cmake
- Removing parameters smacc
- Removing test from main moveit cmake
- Removing parameters smacc
- Removing test from main moveit cmake
- Removing parameters smacc
- Removing test from main moveit cmake
- Removing parameters smacc
- Removing test from main moveit cmake
- Removing parameters smacc
- Removing test from main moveit cmake
- Removing parameters smacc
- Removing test from main moveit cmake
- Removing parameters smacc
- Removing test from main moveit cmake
- Removing parameters smacc
- Removing test from main moveit cmake
- Removing parameters smacc
- Removing test from main moveit cmake
- Removing parameters smacc
- Removing test from main moveit cmake
- Removing parameters smacc
- Removing test from main moveit cmake
- Removing parameters smacc
- Removing test from main moveit cmake
- Removing parameters smacc
- Removing test from main moveit cmake
- Removing parameters smacc
- Removing test from main moveit cmake
- Removing parameters smacc
- Removing test from main moveit cmake
- Removing parameters smacc
- Removing test from main moveit cmake
- Removing parameters smacc
- Removing test from main moveit cmake
- Removing parameters smacc
- Removing test from main moveit cmake
- Removing parameters smacc
- Removing test from main moveit cmake
- Removing parameters smacc
- Removing test from main moveit cmake
- Removing parameters smacc
- Removing test from main moveit cmake
- Removing parameters smacc
- Removing test from main moveit cmake
- Removing parameters smacc
- Removing test from main moveit cmake
- Removing parameters smacc
- Removing test from main moveit cmake
- Removing parameters smacc
- Removing test from main moveit cmake
- Removing parameters smacc
- Removing test from main moveit cmake
- Removing parameters smacc
- Removing test from main moveit cmake
- Removing parameters smacc
- Removing test from main moveit cmake
- Removing parameters smacc
- Removing test from main moveit cmake
- Removing parameters smacc
- Removing test from main moveit cmake
- Removing parameters smacc
- Removing test from main moveit cmake
- Removing parameters smacc
- Removing test from main moveit cmake
- Removing parameters smacc
- Removing test from main moveit cmake
- Removing parameters smacc
- Removing test from main moveit cmake
- Removing parameters smacc
- Removing test from main moveit cmake
- Removing parameters smacc
- Removing test from main moveit cmake
- Removing parameters smacc
- Removing test from main moveit cmake
- Removing parameters smacc
- Removing test from main moveit cmake
- Removing parameters smacc
- Removing test from main moveit cmake
- Removing parameters smacc
- Removing test from main moveit cmake
- Removing parameters smacc
- Removing test from main moveit cmake
- Removing parameters smacc
- Removing test from main moveit cmake
- Removing parameters smacc
- Removing test from main moveit cmake
- Removing parameters smacc
- Removing test from main moveit cmake
- Removing parameters smacc
- Removing test from main moveit cmake
- Removing parameters smacc
- Removing test from main moveit cmake
- Removing parameters smacc
- Removing test from main moveit cmake
- Removing parameters smacc
- Removing test from main moveit cmake
- Removing parameters smacc
- Removing test from main moveit cmake
- Removing parameters smacc
- Removing test from main moveit cmake
- Removing parameters smacc
- Removing test from main moveit cmake
- Removing parameters smacc
- Removing test from main moveit cmake
- Removing parameters smacc
- Removing test from main moveit cmake
- Removing parameters smacc
- Removing test from main moveit cmake
- Removing parameters smacc
- Removing test from main moveit cmake
- Removing parameters smacc
- Removing test from main moveit cmake
- Removing parameters smacc
- Removing test from main moveit cmake
- Removing parameters smacc
- Removing test from main moveit cmake
- Removing parameters smacc
- Removing test from main moveit cmake
- Removing parameters smacc
- Removing test from main moveit cmake
- Removing parameters smacc
- Removing test from main moveit cmake
- Removing parameters smacc
- Removing test from main moveit cmake
- Removing parameters smacc
- Removing test from main moveit cmake
- Removing parameters smacc
- Removing test from main moveit cmake

Section_29
-----------

### Added
- Feature/undo motion 20 12 (#196)
- Feature/undo motion 20 12 (#198)
- Feature/sync 21 12 (#199)
- Feature/warehouse2 22 12 (#200)
- Feature/warehouse2 23 12 (#201)
- Feature/minor tune (#203)
- Added missing file from warehouse2 (#205)
- Use correct upstream .repos files for source builds (#243)
- Correct mergify branch names (#246)
- Update galactic source build job name (#250)
- Galactic source build: update .repos file, bump action version and use correct version of upstream packages (backport #241) (#248)
- Restoring workflow files (#252)
- Restoring files (#253)
- Fix checkout branches for scheduled builds (#254)
- Update README.md (#262)
- Update README.md (#267)
- Update README.md (#268)
- Significant update in Getting Started Instructions (#269)
- Added changelogs.
- 0.4.0
- Fix foxy source build config to use repos file from foxy branch. (#285)

### Changed
- Correct name of source-build job and bump version of action (#242) (#247)

### Fixed
- Fixing rolling build (#239)
- Fixing to focal by the moment
- Fixing building issue
- Fixing broken build
- Fix: initialise conditionFlag as false (#274)
- Precommit fix (#280)
- Fix urls to index.ros.org (#284)
- Fix foxy source build config to use repos file from foxy branch. (#285)

### Removed
- Revert "Ignore packages which should not be released."
- Ignore packages which should not be released.

### Other
- Minor changes in various features
- Replanning for all examples
- Improvements in undo motion navigation warehouse2
- Tuning warehouse3 (#197)
- Tuning and fixes (#202)
- Fixing warehouse 3 problems, and other core improvements to remove dead lock, also making continuous integration green
- Format issues in various features
- Finishing warehouse2
- Tuning and fixes
- Minor tune
- Fixing warehouse 3 problems, and other core improvements to remove dead lock, also making continuous integration green
- Weird moveit not downloaded repo
- Updating subscriber publisher components
- Progress in autoware machine
- Refining cp subscriber cp publisher
- Improvements in smacc core adding more components mostly developed for autoware demo
- Autoware demo
- Foxy ci
- Minor broken build
- Some reordering fixes
- Docker files for different revisions, warnings removal and more testing on navigation
- Fixing docker for foxy and galactic
- Docker build files for all versions
- Barrel demo
- Barrel search build fix and warehouse3
- Fixing startup problems in warehouse 3
- Fixing format and minor
- Progress in barrel husky
- Barrel search updates
- Making models local
- Red pickup
- Multiple controllable leds plugin
- Progress in husky demo
- Progressing in husky demo
- Improving navigation behaviors
- More merge
- Docker improvements
- Adding spawn entity delays
- More on backport
- Disappeared ur_msgs denis repo
- Fixing sm_dance_bot examples
- Working on fix of image messages for husky_barrel demo

Co-authored-by: Denis Štogl <denis@stogl.de>
Co-authored-by: Denis Štogl <destogl@users.noreply.github.com>
Co-authored-by: Declan Dury <44791484+DecDury@users.noreply.github.com>
Co-authored-by: DecDury <declandury@gmail.com>
Co-authored-by: reelrbtx <brett2@reelrobotics.com>
Co-authored-by: brettpac <brett@robosoft.ai>
Co-authored-by: David Revay <MrBlenny@users.noreply.github.com>
Co-authored-by: pabloinigoblasco <pabloinigoblasco@ibrobotics.com>

```rst
Section_30
==========

0.3.0 (2022-04-04)
------------------
- Reverted "Ignore packages which should not be released." (commit dec14a936a877b2ef722a6a32f1bf3df09312542)
- Contributors: Denis Štogl, Pablo Iñigo Blasco

0.0.0 (2022-11-09)
------------------
Added
-----
- Feature/galactic rolling merge (#288)
- Update description table
- Update table
- Copy initial docs
- Dockerfile w/ ROS distro as argument
- Opened new folder for additional tracing contents
- Added setupTracing.sh
- Created alternative ManualTracing
- Added new sm markdowns
- Added a dockerfile for Rolling and Galactic
- Enable build of missing rolling repositories
- Enable Navigation2 for semi-binary build
- Remove galactic builds from master and keep only rolling
- Updated mentions of SMACC/ROS to SMACC2/ROS2
- Some progress on navigation rolling
- Added smacc2_performance_tools
- Performance tests improvements
- More on performance and other issues
- Sm_respira_1 format cleanup
- Sm_respira_test_2
- Do not execute clang-format on smacc2_sm_reference_library package
- Sm_reference_library reformatting
- Correct trailing spaces
- Sm_atomic_24hr
- Sm_atomic_performance_trace_1
- Clean up of sm_atomic_24hr
- Optimized deps in move_base_z_planners_common
- Renaming of event generator library
- Add galactic CI setup and rename rolling files (#58)
- Fix source CI and correct README overview (#62)
- Update c_cpp_properties.json
- Changed launch command to ros2 launch sm_respira_1 sm_respira_1.launch (#69)
- Update doxygen links (#70)
- More Readme Updates (#72)
- More Readme (#74)
- Created new sm from sm_respira_1 (#76)
- Feature/core and navigation fixes (#78)
- Feature/aws demo progress (#80)
- Sm_advanced_recovery_1 reworked (#83)
- More sm_advanced_recovery_1 work (#85)
- Sm_atomic_performance_test_c_1 (#88)
- Sm_multi_stage_1 (#90)
- Wait topic message client behavior (#81)
- New feature, cb_wait_topic_message: asynchronous client behavior that waits a topic message and optionally checks its contents to success

Changed
-------
- Wording "smacc application" to "SMACC2 library"
- Reactivated smacc2 nav clients for rolling via submodules
- Renamed tracing events after
- Bug fixes in smacc2 component
- Reverted markdowns to html
- Edited tracing.md to reflect new tracing event names
- Updated smacc2_rta command across readmes
- Minor formatting improvements

Removed
-------
- Manual installation of ros-rolling-ros2trace (now automated in setupTracing.sh)
- Tracing.md file
- Submodules and use .repos file

Co-authored-by: Denis Štogl <destogl@users.noreply.github.com>
Co-authored-by: Ubuntu 20-04-02-amd64 <brett@robosoft.ai>
```

```rst
Section_31
==========

Version 1.0.0
-------------

Added
-----

- New feature: `cb_wait_topic_message`: asynchronous client behavior that waits for a topic message and optionally checks its contents for success.
- New client behavior for nav2: `wait nav2 nodes` subscribes to the `/bond` topic and waits for them to be alive, with optional node selection.

Changed
-------

- Corrected all linters and formatters.

Fixed
-----

- Navigation parameters fixes on `sm_dance_bot`.
- Removed some compile warnings.

Version 1.1.0
-------------

Added
-----

- New feature: `cb_pause_slam` client behavior.
- `sm_dance_bot_lite` gazebo visualization.
- `sm_multi_stage_1` doubling.

Changed
-------

- Minor hotfix for `doxygen` deployment workflow.
- Cleaning and lidar show/hide option for `dance bot` launch in `gz lidar choice`.

Fixed
-----

- Gazebo fixes for `sm_dance_bot_strikes_back`.

Version 1.2.0
-------------

Added
-----

- AWS demo.

Co-authored-by: Ubuntu 20-04-02-amd64 <brett@robosoft.ai>
Co-authored-by: Denis Štogl <destogl@users.noreply.github.com>
Co-authored-by: Denis Štogl <denis@stogl.de>
```

Section_32
===========

Added
-----
- Implemented sm_multi_stage_1 functionality (#109, #110, #111, #114, #172) with initial stages and progress.
- Introduced Brettpac branch for development (#110).
- Added support for multi-stage processes with two, three, four, and five stages (#109, #111).
- Included diverse improvements in navigation and performance (#116).
- Added slam toggle and smacc deep history features (#122).
- Implemented dance bot behavior refinements (#117, #125, #128, #129, #131, #132).
- Introduced SM Atomic SM generator (#143).
- Added QOS durability to SmaccPublisherClient (#163).
- Progressed in moveit behaviors testing and migration (#151, #167).
- Implemented initial state machine transition timestamp (#165).
- Moved reference library SMs to smacc2_performance_tools (#166).
- Renamed sm_advanced_recovery_1 for clarity (#171).

Changed
-------
- Adjusted build packages for source CI (#112).
- Refactored source build process for testing (#112).
- Improved navigation and performance enhancements (#116).
- Updated README files with SVGs for atomic, dance_bot, and other components (#140, #145).
- Enhanced Docker environment for cross-environment execution (#154).
- Refined moveit client migration to smacc2 (#151).
- Added reliability QoS configuration to SmaccPublisherClient (#163).

Fixed
-----
- Corrected formatting issues (#112, #134).
- Resolved compile warnings (#137).
- Fixed CI formatting for Python version compatibility (#148).
- Fixed launch command errors in README.md (#142).
- Addressed waypoint and iteration changes for course completion (#155).
- Fixed broken master build and pipeline errors (#167).

Removed
-------
- Removed neo_simulation2 package (#112).
- Eliminated redundant parameters in smacc (#147).
- Removed unnecessary node creation in favor of logger (#149).
- Removed sm_dance_bot_msgs package (#144).

Collaborators
-------------
- Co-authored with Ubuntu 20-04-02-amd64 <brett@robosoft.ai> and others for various contributions.

```rst
Section_33
==========

Added
-----
- Feature/aws navigation sm dance bot (#174)
- Added repo dependency for husky launch file in sm_dance_bot.
- Added dependencies for husky simulation.
- Added progress on aws navigation and refactorings on navigation clients and behaviors.
- Added more on aws demo.
- Added fixing broken build.
- Added warehouse2 (#177).
- Added Waypoint Inputs (#178).
- Added wharehouse2 progress (#179).
- Added sm_dance_bot_warehouse_3 (#181).
- Added Brettpac branch (#184).
- Added redoing sm_dance_bot_warehouse_3 waypoints.
- Added more Waypoints.
- Added SrConditional fixes and formatting (#168).
- Added fix: some formatting and templating on SrConditional.
- Added fix: move trigger logic into headers.
- Added fix: lint.
- Added several fixes (#194).
- Added fixing warehouse 3 problems and other core improvements to remove dead lock, also making continuous integration green.
- Added weird moveit not downloaded repo.
- Added missing file from warehouse2 (#205).
- Added merging code from backport foxy and updates about autoware (#208).
- Added backport to foxy.
- Added bump ccache version.
- Added satisfy ament_lint_cmake.
- Added add missing licences.
- Added branching example.
- Added disable disabled packages.
- Added update ci-build-source.yml.
- Added change extension of imports.
- Added enable cppcheck.
- Added correct formatting of python file.
- Added included necessary package and edited Threesome launch.

Changed
-------
- Changed ros2 launch sm_three_some sm_three_some to ros2 launch sm_three_some sm_three_some.launch.

Fixed
-----
- Fixed formatting.
- Fixed format issues.
- Fixed minor format.
- Fixed minor linking errors foxy.
- Fixed trailing spaces.
- Fixed correct codespell.
- Fixed correct python linters warnings.
- Fixed disable ament_cpplint.
- Fixed disable some packages and update workflows.
- Fixed disable cpplint and cppcheck linters.
- Fixed correct formatters.

Removed
-------
- Removed default values.
- Removed minor tune.
- Removed undo tuning and errors.
- Removed format issues.
- Removed finishing warehouse2.
- Removed tuning and fixes.
- Removed tuning and fixes (#202).
- Removed reset all versions to 0.0.0.

Co-authored-by: Ubuntu 20-04-02-amd64 <brett@robosoft.ai>
Co-authored-by: Denis Štogl <denis@stogl.de>
Co-authored-by: Denis Štogl <destogl@users.noreply.github.com>
``` 

*pabloinigoblasco*

```rst
Section_34
==========

Added
-----

- Created alternative ManualTracing.
- Added new SM markdowns.
- Added a Dockerfile for Rolling and Galactic.
- Added README tutorial for Dockerfile.
- Added smacc2_performance_tools.
- Added new feature, cb_wait_topic_message: asynchronous client behavior that waits a topic message and optionally checks its contents for success.
- Added new client behavior for Nav2, wait Nav2 nodes subscribing to the /bond topic and waiting for them to be alive. Optionally, you can select the nodes to wait.

Changed
-------

- Changed wording "smacc application" to "SMACC2 library."
- Updated mentions of SMACC/ROS to SMACC2/ROS2.
- Renamed tracing events.
- Renamed folders.
- Renamed event generator library.
- Updated launch command to ros2 launch sm_respira_1 sm_respira_1.launch.
- Updated smacc2_rta command across READMEs.
- Cleaned up sm_atomic_24hr.
- Reformatted sm_reference_library.
- Optimized dependencies in move_base_z_planners_common.
- Corrected trailing spaces.
- Updated doxygen links.
- Corrected all linters and formatters.

Fixed
-----

- Bug in smacc2 component.
- Reverted markdowns to HTML.
- Fixed source CI and corrected README overview.
- Fixed pre-commit issues.
- Fixed formatting issues.
- Fixed several core improvements during navigation testing.
- Fixed progress in AWS navigation demo.
- Fixed more on navigation.
- Fixed formatting.
- Fixed attempts at pre-commit fixes.

Removed
-------

- Manual installation of ros-rolling-ros2trace. This is now automated in setupTracing.sh. Location of sh file assumed if user follows README.md under "Getting started."
- Removed galactic builds from master and kept only rolling. Removed submodules and used .repos file.

Authors
-------

- Pablo Iñigo Blasco
- Denis Štogl <destogl@users.noreply.github.com>
- Ubuntu 20-04-02-amd64 <brett@robosoft.ai>
- Denis Štogl <denis@stogl.de>
```

```rst
Section_35
==========

Added
-----
- New feature: `cb_wait_topic_message`: asynchronous client behavior that waits for a topic message and optionally checks its contents for success.
- New client behavior for `nav2`: wait for `nav2` nodes subscribing to the `/bond` topic and wait for them to be alive. Optional node selection available.
- `cb_pause_slam` client behavior.
- `sm_dance_bot_lite` visualizing `turtlebot3`.
- `sm_multi_stage_1` doubling.
- `sm_dance_bot_strikes_back` gazebo fixes.
- AWS demo.

Changed
-------
- Navigation parameters fixes on `sm_dance_bot`.
- Minor hotfix.
- Cleaning and lidar show/hide option for `sm_dance_bot`.
- Gazebo fixes to show the robot and the lidar.
- Format fixes.

Fixed
-----
- Remove some compile warnings.
- Remove `neo_simulation2` package.
- Correct formatting.
- Enable source build on PR for testing.
- Adjust build packages of source CI.
- More fixes for `sm_multi_stage_1`.

Removed
-------
- `neo_simulation2` package.

Other
-----
- Merge and progress.
- Precommit cleanup run.
- Updates `yaml`.
- Several core improvements during navigation testing.
- Formatting improvements.
- Progress in AWS navigation demo.
- Base for the `sm_aws_warehouse` navigation.
- Progressing in AWS navigation.
- Base for the `sm_aws_warehouse` navigation.
- Progress in AWS navigation demo.
- Base for the `sm_aws_warehouse` navigation.
- Progressing in AWS navigation.
- Base for the `sm_aws_warehouse` navigation.
- Progress in AWS navigation demo.
- Base for the `sm_aws_warehouse` navigation.
- Progressing in AWS navigation.
- Base for the `sm_aws_warehouse` navigation.
- Progress in AWS navigation demo.
- Base for the `sm_aws_warehouse` navigation.
- Progressing in AWS navigation.
- Base for the `sm_aws_warehouse` navigation.
- Progress in AWS navigation demo.
- Base for the `sm_aws_warehouse` navigation.
- Progressing in AWS navigation.
- Base for the `sm_aws_warehouse` navigation.
- Progress in AWS navigation demo.
- Base for the `sm_aws_warehouse` navigation.
- Progressing in AWS navigation.
- Base for the `sm_aws_warehouse` navigation.
- Progress in AWS navigation demo.
- Base for the `sm_aws_warehouse` navigation.
- Progressing in AWS navigation.
- Base for the `sm_aws_warehouse` navigation.
- Progress in AWS navigation demo.
- Base for the `sm_aws_warehouse` navigation.
- Progressing in AWS navigation.
- Base for the `sm_aws_warehouse` navigation.
- Progress in AWS navigation demo.
- Base for the `sm_aws_warehouse` navigation.
- Progressing in AWS navigation.
- Base for the `sm_aws_warehouse` navigation.
- Progress in AWS navigation demo.
- Base for the `sm_aws_warehouse` navigation.
- Progressing in AWS navigation.
- Base for the `sm_aws_warehouse` navigation.
- Progress in AWS navigation demo.
- Base for the `sm_aws_warehouse` navigation.
- Progressing in AWS navigation.
- Base for the `sm_aws_warehouse` navigation.
- Progress in AWS navigation demo.
- Base for the `sm_aws_warehouse` navigation.
- Progressing in AWS navigation.
- Base for the `sm_aws_warehouse` navigation.
- Progress in AWS navigation demo.
- Base for the `sm_aws_warehouse` navigation.
- Progressing in AWS navigation.
- Base for the `sm_aws_warehouse` navigation.
- Progress in AWS navigation demo.
- Base for the `sm_aws_warehouse` navigation.
- Progressing in AWS navigation.
- Base for the `sm_aws_warehouse` navigation.
- Progress in AWS navigation demo.
- Base for the `sm_aws_warehouse` navigation.
- Progressing in AWS navigation.
- Base for the `sm_aws_warehouse` navigation.
- Progress in AWS navigation demo.
- Base for the `sm_aws_warehouse` navigation.
- Progressing in AWS navigation.
- Base for the `sm_aws_warehouse` navigation.
- Progress in AWS navigation demo.
- Base for the `sm_aws_warehouse` navigation.
- Progressing in AWS navigation.
- Base for the `sm_aws_warehouse` navigation.
- Progress in AWS navigation demo.
- Base for the `sm_aws_warehouse` navigation.
- Progressing in AWS navigation.
- Base for the `sm_aws_warehouse` navigation.
- Progress in AWS navigation demo.
- Base for the `sm_aws_warehouse` navigation.
```

Section_36
==========

Added
-----
- Feature/diverse improvements navigation performance (#117)
  - Additional linting and formatting
  - Remove merge markers from a python file. (#119)
- Feature/slam toggle and smacc deep history (#122)
  - Progress in navigation, slam toggle client behaviors, and slam_toolbox components
  - Introducing slam pausing/resuming functionality in testing sm_dance_bot
- Feature/dance bot s pattern (#128)
  - Polishing sm_dance_bot and s-pattern
  - Noticed typo
- First working version of sm template and template generator. (#127)
- Feature/sm dance bot refine (#131)
- Feature/sm dance bot refine 2 (#132)
  - Build fix
- Waypoints navigator bug (#133)
  - Minor tuning to mitigate overshot issue cases
- Feature/nav2z renaming (#144)
  - Navigation 2 stack renaming
  - Added SVGs to READMEs of atomic, dance_bot, and others (#140)
  - Added remaining SVGs to READMEs (#145)
- Add SM Atomic SM generator. (#143)
- Rolling Docker environment to be executed from any environment (#154)
- Feature/sm dance bot strikes back refactoring (#152)
- Feature/migration moveit client (#151)
  - Initial migration to smacc2
  - Progressing in the moveit migration testing
  - Adding .reps dependencies and fixing build errors
  - Adding dependency to ur5 client
- Initial state machine transition timestamp (#165)
- Add QOS durability to SmaccPublisherClient (#163)
  - Add reliability qos config
- Feature/testing moveit behaviors (#167)
  - More testing on moveit behaviors
- sm_pubsub_1 (#169)
- sm_pubsub_1 part 2 (#170)
- sm_advanced_recovery_1 renaming (#171)
- sm_multi_stage_1 reworking (#172)
  - Multistage modes
  - Sequences and steps
  - Finishing touches
- Feature/aws navigation sm dance bot (#174)
  - Progress on aws navigation and refactorings on navigation clients and behaviors
  - More on aws demo

Changed
-------
- Move method after the method it calls. Otherwise recursion could happen. (#126)
- Update package list. (#142)
- Remove node creation and create only a logger. (#149)
- Update readme (#164)

Fixed
-----
- Fix CI: format fix python version (#148)
- Noticed launch command was incorrect in README.md
  - Fixed launch command for sm_dance_bot_strikes_back and removed some comments
- Warehouse2 (#177)
- Waypoint Inputs (#178)
- Wharehouse2 progress (#179)

Removed
-------
- Removing parameters smacc (#147)
- Removing sm_dance_bot_msgs
- Pending references

Co-authored-by: Ubuntu 20-04-02-amd64 <brett@robosoft.ai>
Co-authored-by: pabloinigoblasco <pablo@ibrobotics.com>
Co-authored-by: DecDury <declandury@gmail.com>
Co-authored-by: Denis Štogl <destogl@users.noreply.github.com>
Co-authored-by: Denis Štogl <denis@stogl.de>

```rst
Section_37
==========

Added
-----
- Feature/sm_dance_bot_warehouse_3 (#181)
- Feature/sm warehouse 2 13 dec 2 (#182)
- Feature/Brettpac branch (#184)
- Feature/warehouse2 22 12 (#200)
- Feature/warehouse2 23 12 (#201)
- Feature/minor tune (#203)
- Feature/undo motion 20 12 (#196), (#198)
- Feature/sync 21 12 (#199)
- Feature/cb pure spinning (#188), (#189)
- Feature/planner changes 16 12 (#191)
- Feature/replanning 16 dec (#193)
- Feature/wharehouse2 dec 14 (#185)

Changed
-------
- SrConditional fixes and formatting (#168)
- Finetuning waypoints (#187)
- Tuning warehouse3 (#197)
- Tuning and fixes (#202)
- Fixing warehouse 3 problems, and other core improvements (#204)

Fixed
-----
- Several fixes (#194)
- Fix rolling builds (#222)
- Fix trailing spaces
- Correct codespell
- Correct python linters warnings
- Remove example things from Foxy CI setup (#214)
- Fix minor broken build

Removed
-------
- Missing sm
- Updating subscriber publisher components
- Progress in autoware machine
- Refining cp subscriber cp publisher
- Improvements in smacc core adding more components
- Autoware demo
- Foxy CI
- Fix minor broken build

Other Changes
-------------
- Add mergify rules file
- Try fixing CI for rolling (#209)
- Merging to get backport working
- Add Autoware Auto Msgs into not-released dependencies (#220)
- Do not merge yet - Feature/odom tracker improvements and retry motion (#223)
- Removing warnings
- Backport to foxy (#206)
- Add galactic CI build because Navigation2 is broken in rolling
- Add partial changes for ament_cpplint
- Add tf2_ros as dependency to find include
- Disable ament_cpplint
- Disable some packages and update workflows
- Bump ccache version
- Ignore further packages
- Satisfy ament_lint_cmake
- Add missing licences
- Disable cpplint and cppcheck linters
- Correct formatters
- Branching example
- Disable disabled packages
- Update ci-build-source.yml
- Change extension of imports
- Enable cppcheck
- Correct formatting of python file
- Included necessary package and edited Threesome launch
- Rename header files and correct format
- Add workflow for checking doc build
- Update doxygen-check-build.yml
- Create doxygen-deploy.yml
- Use manual deployment for now
- Create workflow for testing prerelease builds
- Use docs/ as source folder for documentation
- Use docs/ as output directory
- Rename to smacc2 and smacc2_msgs
- Correct GitHub branch reference
- Update name of package and package.xml to pass liter
- Execute on master update
- Reset all versions to 0.0.0

Co-authored-by: Ubuntu 20-04-02-amd64 <brett@robosoft.ai>
Co-authored-by: Denis Štogl <denis@stogl.de>
Co-authored-by: Denis Štogl <destogl@users.noreply.github.com>
Co-authored-by: Declan Dury <44791484+DecDury@users.noreply.github.com>
Co-authored-by: DecDury <declandury@gmail.com>
Co-authored-by: reelrbtx <brett2@reelrobotics.com>
Co-authored-by: brettpac <brett@robosoft.ai>
Co-authored-by: David Revay <MrBlenny@users.noreply.github.com>
Co-authored-by: pabloinigoblasco <pabloinigoblasco@ibrobotics.com>
```

```rst
Section_38
==========

0.1.0 (2022-01-01)
-------------------

Added
-----

- Initial documentation setup.
- Dockerfile now accepts ROS distro as an argument for building.
- New folder created for additional tracing contents.
- Added setupTracing.sh script for automated installation of necessary packages and configuration of tracing group.
- Created alternative ManualTracing setup.
- New markdown files added.
- Performance tools added for testing and improvements.
- Optimized dependencies in move_base_z_planners_common.
- New feature: cb_wait_topic_message for asynchronous client behavior.

Changed
-------

- Updated description and table.
- Renamed "smacc application" to "SMACC2 library".
- Updated references from SMACC/ROS to SMACC2/ROS2.
- Renamed event generator library.
- Cleaned up formatting in various files.

Fixed
----

- Bug in smacc2 component.
- Reverted markdown files to HTML format.
- Corrected trailing spaces.
- Fixed source CI setup and corrected README overview.
- Updated launch commands in README files.
- Attempted pre-commit fixes.

Removed
-------

- Manual installation of ros-rolling-ros2trace, now automated in setupTracing.sh script.
- Removed galactic builds, keeping only rolling builds.
- Removed submodules and using .repos file for dependencies.

Collaborators
-------------

- Denis Štogl <destogl@users.noreply.github.com>
- Ubuntu 20-04-02-amd64 <brett@robosoft.ai>
```

```rst
Section_39
==========

Added
-----
- New feature: `cb_wait_topic_message`: asynchronous client behavior that waits for a topic message and optionally checks its contents for success.
- New client behavior for nav2: `add` behavior waits for nav2 nodes subscribing to the `/bond` topic and ensures they are alive. Optional node selection available.
- `cb_pause_slam` client behavior added.

Changed
-------
- Minor format improvements.
- Navigation parameters fixes on `sm_dance_bot`.
- `sm_dance_bot_lite` now visualizes TurtleBot3.
- Cleaning and lidar show/hide option added to `sm_dance_bot`.
- Gazebo fixes implemented to show the robot and lidar in various dance bot versions.

Fixed
-----
- Corrected all linters and formatters.
- Removed some compile warnings.

Removed
-------
- Redundant format improvements.

Collaborators
-------------
- Co-authored-by: Denis Štogl <denis@stogl.de>
- Co-authored-by: Denis Štogl <destogl@users.noreply.github.com>
- Co-authored-by: Ubuntu 20-04-02-amd64 <brett@robosoft.ai>

Commits
-------
- Feature/aws demo progress (#92)
- Feature/sm dance bot fixes (#93)
- Feature/sm aws warehouse (#94)
- Feature/sm dance bot fixes (#95)
- Remove some compile warnings. (#96)
- Feature/cb pause slam (#98)
- Rename doxygen deployment workflow (#100)
- sm_dance_bot_lite (#99)
- Feature/dance bot launch gz lidar choice (#102)
- Feature/sm dance bot lite gazebo fixes (#104)
- sm_multi_stage_1 doubling (#103)
- Feature/sm dance bot strikes back gazebo fixes (#105)
- precommit cleanup run (#106)
- aws demo (#108)
- Brettpac branch (#110)
```

```rst
Section_40
==========

Added
-----
- Brettpac branch (#111)
- Added a3 (#113)
- Added diverse improvements in navigation and performance (#116)
- Added feature to refine sm dance bot (#131, #132)
- Added SM core test (#138)
- Added SM Atomic SM generator (#143)
- Added QOS durability to SmaccPublisherClient (#163)
- Added feature for testing moveit behaviors (#167)
- Added sm_pubsub_1 (#169)
- Added sm_pubsub_1 part 2 (#170)
- Added sm_advanced_recovery_1 renaming (#171)
- Added sm_multi_stage_1 reworking (#172)

Changed
-------
- Corrected formatting in Remove neo_simulation2 package (#112)
- Adjusted build packages of source CI for Remove neo_simulation2 package (#112)
- Improved navigation, slam toggle client behaviors, and slam_toolbox components (#122)
- Moved method after the method it calls to prevent recursion (#126)
- Renamed sm_multi_stage_1 to multistage modes, sequences, steps, and finishing touches (#172)
- Updated package list (#142)
- Updated readme (#164)

Fixed
-----
- Resolved compile warnings (#137)
- Fixed CI format for python version (#148)
- Fixed launch command in README.md for sm_dance_bot_strikes_back (#147)
- Fixed compiling issues in sm_multi_stage_1 (#172)

Removed
-------
- Removed neo_simulation2 package (#112)
- Removed merge markers from a python file (#119)
- Removed node creation and created only a logger (#149)
- Removed parameters smacc (#147)
- Removed test from main moveit cmake (#151)
- Removed test from main moveit cmake (#151)
- Removed sm_dance_bot_msgs (#144)

Authors
-------
- Pablo Iñigo Blasco
- Co-authored-by: Ubuntu 20-04-02-amd64 <brett@robosoft.ai>
- Co-authored-by: pabloinigoblasco <pablo@ibrobotics.com>
- Co-authored-by: DecDury <declandury@gmail.com>
- Co-authored-by: Denis Štogl <destogl@users.noreply.github.com>
```

```rst
Section_41
==========

Added
-----
- Feature/aws navigation sm dance bot (#174): Added repo dependency and husky launch file in sm_dance_bot. Dependencies for husky simulation added. Updated dependencies for husky in rolling and galactic. Progress on aws navigation and refactorings on navigation clients and behaviors. More work on aws demo.

Changed
-------
- Minor changes (#175): Minor adjustments.
- Warehouse2 (#177): Progress on warehouse2.
- Waypoint Inputs (#178): Introduced waypoint inputs.
- Sm_dance_bot_warehouse_3 (#181): Redoing waypoints for sm_dance_bot_warehouse_3.
- Finetuning waypoints (#187): Fine-tuning waypoints.
- Tuning warehouse3 (#197): Tuning for warehouse3.
- Tuning and fixes (#202): Tuning and fixes.
- Minor tune (#203): Minor tuning.
- Fixing warehouse 3 problems, and other core improvements (#204): Fixed warehouse 3 issues and made core improvements to remove deadlocks, ensuring continuous integration is green.
- Dockerfiles (#225): Added docker files for different revisions, removed warnings, and conducted more testing on navigation.

Fixed
-----
- SrConditional fixes and formatting (#168): Fixed formatting and templating on SrConditional. Moved trigger logic into headers and fixed linting.
- Several fixes (#194): Various fixes made.

Removed
-------
- Pure spinning behavior missing files: Removed missing files related to pure spinning behavior.

Co-authored-by: Denis Štogl <denis@stogl.de>
Co-authored-by: Denis Štogl <destogl@users.noreply.github.com>
Co-authored-by: Ubuntu 20-04-02-amd64 <brett@robosoft.ai>
Co-authored-by: Declan Dury <44791484+DecDury@users.noreply.github.com>
Co-authored-by: DecDury <declandury@gmail.com>
Co-authored-by: reelrbtx <brett2@reelrobotics.com>
Co-authored-by: brettpac <brett@robosoft.ai>
Co-authored-by: David Revay <MrBlenny@users.noreply.github.com>
Co-authored-by: pabloinigoblasco <pabloinigoblasco@ibrobotics.com>
```

```rst
Section_42
==========

Version 0.1.0 (Fecha por determinar)
------------------------------------

Added
-----

- Ensure the necessary package is installed before running commands.
- Renamed header files and corrected format.
- Added workflow for checking doc build.
- Updated doxygen-check-build.yml.
- Created doxygen-deploy.yml.
- Created workflow for testing prerelease builds.
- Used docs/ as source folder and output directory.
- Renamed to smacc2 and smacc2_msgs.
- Corrected GitHub branch reference.
- Updated package name and package.xml.
- Reset all versions to 0.0.0.
- Ignored all packages except smacc2 and smacc2_msgs.
- Updated changelogs.

Changed
-------

- Renamed "ros2 launch sm_three_some sm_three_some" to "ros2 launch sm_three_some sm_three_some.launch".

Removed
-------

- Manual installation of ros-rolling-ros2trace is now automated in setupTracing.sh.

Fixed
----

- Bug in smacc2 component.
- Do not execute clang-format on smacc2_sm_reference_library package.
- Corrected trailing spaces.

Version 0.1.0 (Fecha por determinar)
------------------------------------

Added
-----

- Opened new folder for additional tracing contents.
- Moved tracing.md to tracing directory.
- Added setupTracing.sh to install necessary packages and configure tracing group.
- Created alternative ManualTracing.
- Added new sm markdowns.
- Added a Dockerfile for Rolling and Galactic.
- Added README tutorial for Dockerfile.
- Added smacc2_performance_tools.
- Performance tests improvements.
- More on performance and other issues.
- Added sm_respira_1 format cleanup.
- Added sm_respira_test_2.
- More changes on performance tests.
- Added sm_atomic_24hr.
- Added sm_atomic_performance_trace_1.
- Added galactic CI setup and renamed rolling files.
- Added source CI and corrected README overview.
- Added sm_aws_aarehouse navigation base.
- Added sm_advanced_recovery_1 reworked.
- Added sm_atomic_performance_test_a_2.
- Added sm_atomic_performance_test_a_1.
- Added sm_atomic_performance_test_c_1.
- Added sm_multi_stage_1.
- Added sm_atomic_performance_test_c_1.
- Added sm_multi_stage_1.
- Added sm_multi_stage_1 fixing precommit.
- Updated README.md with launch command.

Changed
-------

- Changed wording "smacc application" to "SMACC2 library".
- Reactivated smacc2 nav clients for rolling via submodules.
- Renamed tracing events.
- Updated mentions of SMACC/ROS to SMACC2/ROS2.
- Progress on navigation rolling.
- Renamed folders, deleted tracing.md, edited README.md.
- Optimized dependencies in move_base_z_planners_common.
- Renamed event generator library.

Removed
-------

- Removed galactic builds from master and kept only rolling.
- Removed submodules and used .repos file.

Fixed
----

- Fixed launch command to "ros2 launch sm_respira_1 sm_respira_1.launch".
- Fixed doxygen links.

Co-authored-by: Denis Štogl <destogl@users.noreply.github.com>
Co-authored-by: Ubuntu 20-04-02-amd64 <brett@robosoft.ai>
```

```rst
Section_43
==========

Added
-----
- New feature: cb_wait_topic_message, an asynchronous client behavior that waits for a topic message and optionally checks its contents for success.
- New client behavior for nav2: wait for nav2 nodes to subscribe to the /bond topic and wait for them to be alive, with optional node selection.
- New client behavior: cb_pause_slam.

Changed
-------
- Navigation parameters fixes on sm_dance_bot.
- Minor formatting improvements.
- Corrected all linters and formatters.
- Merge and progress in development.
- Cleaning and lidar show/hide option in sm_dance_bot visualizing turtlebot3.
- Gazebo fixes to show the robot and the lidar.
- Doubled sm_multi_stage_1.

Fixed
-----
- Removed some compile warnings.

Removed
-------
- Minor hotfix.

Contributors
------------
- Co-authored-by: Ubuntu 20-04-02-amd64 <brett@robosoft.ai>
- Co-authored-by: Denis Štogl <destogl@users.noreply.github.com>
- Co-authored-by: Denis Štogl <denis@stogl.de>
```

*pabloinigoblasco*

```rst
Section_44
==========

Added
-----
- Feature/sm dance bot strikes back gazebo fixes (#105)
  - Visualizing turtlebot3 in sm_dance_bot
  - Added lidar show/hide option
  - Improved formatting and cleaning of files
  - Gazebo fixes to display robot and lidar
  - Precommit cleanup run (#106)
  - AWS demo (#108)
  - Got sm_multi_stage_1 working (#109)
  - Brettpac branch (#110)
  - Added stages to sm_multi_stage_1
  - A3 (#113)
  - Diverse improvements in navigation and performance (#116)
  - Added slam toggle and smacc deep history features (#122)
  - Added waypoints navigator bug fix (#133)
  - Added SM core test (#138)
  - Added SM Atomic SM generator (#143)
  - Rolling Docker environment for execution in any environment (#154)
  - Initial state machine transition timestamp (#165)
  - Added QOS durability to SmaccPublisherClient (#163)
  - Added reliability QOS config to SmaccPublisherClient

Changed
-------
- Renamed Feature/nav2z to navigation 2 stack (#144)
- Updated package list (#142)
- Removed neo_simulation2 package (#112)
- Moved reference library SMs to smacc2_performance_tools (#166)
- Fixed CI format for Python version (#148)
- Removed node creation and created only a logger (#149)

Fixed
-----
- Fixed compilation warnings (#137)
- Fixed overshot issue cases in waypoints navigator (#133)
- Fixed recursion possibility in method calls (#126)
- Fixed launch command in README.md for sm_dance_bot_strikes_back
- Fixed formatting issues (#134)

Removed
-------
- Removed parameters in smacc (#147)
- Removed test from main moveit CMake
- Removed test from main moveit CMake
- Removed sm_dance_bot_msgs package
- Removed merge markers from a Python file (#119)

Authors
-------
- Pablo Iñigo Blasco (pabloinigoblasco)
```

```rst
Section_45
==========

Added
-----

- Added more testing on moveit behaviors.
- Added husky launch file in sm_dance_bot.
- Added dependencies for husky simulation.
- Added progress on aws navigation and refactorings on navigation clients and behaviors.
- Added more on aws demo.
- Added finishing touches 1.
- Added more waypoints to sm_dance_bot_warehouse_3.
- Added redoing sm_dance_bot_warehouse_3 waypoints.
- Added more spinning behavior files.
- Added replanning for all examples.
- Added improvements in undo motion navigation warehouse2.
- Added tuning and fixes to warehouse3.
- Added fixing warehouse 3 problems and other core improvements.
- Added missing subscriber publisher components.
- Added improvements in smacc core for autoware demo.
- Added docker files for different revisions.
- Added update file for fake hardware simulation and gazebo simulation.
- Added retry behavior warehouse 1.
- Added fixing broken source build.
- Added correcting Focal-Rolling builds by fixing the version of rosdep yaml.

Changed
-------

- Changed some formatting and templating on SrConditional.
- Changed move trigger logic into headers.
- Changed linting.
- Changed default values.
- Changed format issues.

Fixed
-----

- Fixed pipeline error.
- Fixed broken master build.
- Fixed broken build.
- Fixed several formatting issues.
- Fixed minor linking errors for foxy.
- Fixed docker for foxy and galactic.

Removed
-------

- Removed weird moveit not downloaded repo.
- Removed warnings.
- Removed missing file.

Authors
-------

- Pablo Iñigo Blasco
- Ubuntu 20-04-02-amd64 <brett@robosoft.ai>
- Denis Štogl <denis@stogl.de>
- Denis Štogl <destogl@users.noreply.github.com>
- Declan Dury <44791484+DecDury@users.noreply.github.com>
- DecDury <declandury@gmail.com>
- reelrbtx <brett2@reelrobotics.com>
- brettpac <brett@robosoft.ai>
- David Revay <MrBlenny@users.noreply.github.com>
```

```rst
Section_46
==========

Added
-----
- Added ignition file for fake hardware simulation and gazebo simulation.
- Added galactic CI build due to Navigation2 issues in rolling.
- Added partial changes for ament_cpplint.
- Added tf2_ros as dependency to find include.
- Added workflow for checking doc build.
- Added workflow for testing prerelease builds.
- Added Dockerfile with ROS distro as argument.
- Added setupTracing.sh for automated installation of ros-rolling-ros2trace.
- Added alternative ManualTracing.
- Added README tutorial for Dockerfile.
- Added smacc2_performance_tools.
- Added sm_atomic_performance_trace_1.
- Added galactic CI setup and renamed rolling files.

Changed
-------
- Updated repos files.
- Updated warehouse3 feature/improvements (#228).
- Updated ci-build-source.yml.
- Updated doxygen-check-build.yml.
- Updated doxygen-deploy.yml.
- Updated ci-build-source.yml.
- Updated smacc2_rta command across readmes.
- Updated c_cpp_properties.json.
- Updated name of package and package.xml.
- Updated description table.
- Updated table.
- Updated tracing events names.
- Updated mentions of SMACC/ROS to SMACC2/ROS2.
- Updated changelogs.
- Updated smacc_sm_reference_library/sm_atomic/README.md.
- Updated sm_three_some launch command.
- Updated extension of imports.
- Updated GitHub branch reference.
- Updated ci-build-source.yml.
- Updated tracing/ManualTracing.md.
- Updated smacc2_ci/docker/ros_rollingAndGalactic_ubuntu_20.04/buildGalactic.sh.

Fixed
-----
- Fixed trailing spaces.
- Fixed codespell.
- Fixed python linters warnings.
- Fixed formatting of python file.
- Fixed source CI and corrected README overview.
- Fixed launch command to ros2 launch sm_respira_1 sm_respira_1.launch.

Removed
-------
- Removed manual installation of ros-rolling-ros2trace.
- Removed galactic builds from master and kept only rolling. Removed submodules and used .repos file.
- Removed tracing directory.
- Removed tracing.md.

Co-authored-by: Denis Štogl <destogl@users.noreply.github.com>
Co-authored-by: Ubuntu 20-04-02-amd64 <brett@robosoft.ai>
Author: Pablo Iñigo Blasco (pabloinigoblasco)
```

```rst
Section_47
==========

Added
-----
- More work on sm_advanced_recovery_1 (#84, #85, #86, #87)
- Work on sm_atomic_performance_test_a_1 and sm_atomic_performance_test_a_2 (#88, #89)
- Introducing sm_multi_stage_1 with various improvements (#90, #91)
- New feature cb_wait_topic_message for asynchronous client behavior (#81)
- New feature cb_wait_topic_message for nav2 nodes subscribing to /bond topic (#82)
- Progress in aws navigation demo with formatting improvements (#92, #93, #94, #95)
- Fixing navigation parameters on sm_dance_bot (#95)
- Removing compile warnings (#96)
- New feature cb_pause_slam (#98)

Changed
-------
- Updated launch command in README.md

Fixed
----
- Corrected all linters and formatters

Authors
-------
- Co-authored-by: Ubuntu 20-04-02-amd64 <brett@robosoft.ai>
- Co-authored-by: Denis Štogl <destogl@users.noreply.github.com>
- Co-authored-by: Denis Štogl <denis@stogl.de>
```

**Autoría:** Pablo Iñigo Blasco (pabloinigoblasco)

```rst
Section_48
==========

Added
-----
- New client behavior for nav2: Now waits for nav2 nodes to subscribe to the /bond topic and ensures they are alive. Optional selection of nodes to wait for. (#99, #102, #104, #105)

Changed
-------
- Progress in AWS navigation demo (#108)
- Minor navigation parameter fixes on sm_dance_bot (#114)
- Progress in navigation, slam toggle client behaviors, and slam_toolbox components. Introducing smacc2::deep_history syntax (#122)
- Waypoints navigator bug: Minor tuning to mitigate overshot issue cases (#133)
- Minor navigation improvements (#141)

Fixed
-----
- Formatting issues (#134)
- Fix CI: Format fix python version (#148)

Removed
-------
- Removed neo_simulation2 package: Corrected formatting, enabled source build on PR for testing, and adjusted build packages of source CI (#112)

Other
-----
- Various improvements in navigation and performance (#116, #117)
- Added SVGs to READMEs of atomic, dance_bot, and others (#140, #145)
- Precommit cleanup run (#106, #137, #148)
- Update package list (#142)
- Rolling Docker environment to be executed from any environment (#154)
- Noticed launch command was incorrect in README.md: Fixed launch command for sm_dance_bot_strikes_back and removed some comments (#149)
- Added SM Atomic SM generator (#143)
- First working version of sm template and template generator (#127)
- Move method after the method it calls to prevent recursion (#126)
- Resolve compile warnings (#137)
- Add SM core test (#138)
- Remove node creation and create only a logger (#149)
- Initial migration to smacc2: Fixing errors introduced on formatting, missing dependency (#151)
- Slight waypoint 4 and iterations changes so robot can complete course (#155)
- Migration moveit client: Initial migration to smacc2, fixing some errors introduced on formatting, missing dependency (#151)

Collaborators
-------------
- Co-authored-by: Ubuntu 20-04-02-amd64 <brett@robosoft.ai> (#99, #100, #103, #105, #106, #108, #109, #110, #111, #113, #114, #115, #116, #124, #127, #130, #136, #137, #141, #144, #147, #148)
- Co-authored-by: DecDury <declandury@gmail.com> (#152)
- Co-authored-by: Denis Štogl <destogl@users.noreply.github.com> (#152)
- Co-authored-by: pabloinigoblasco <pablo@ibrobotics.com> (#116)
```

```rst
Section_49
==========

Added
-----
- Added .reps dependencies and fixed build errors.
- Added dependency to ur5 client.
- Added QOS durability to SmaccPublisherClient.
- Added reliability QOS config.
- Added husky launch file in sm_dance_bot.
- Added dependencies for husky simulation.
- Added Waypoint Inputs.
- Added default values.
- Added missing files from warehouse2.
- Added missing subscriber publisher components.
- Added more components to smacc core for autoware demo.
- Added improvements in smacc core for autoware demo.

Changed
-------
- Updated format.
- Refactored docker.
- Improved dockerfile for building local tests.
- Moved reference library SMs to smacc2_performance_tools.
- Reworked sm_multi_stage_1.
- Renamed sm_advanced_recovery_1.
- Redoing sm_dance_bot_warehouse_3 waypoints.
- Finetuned waypoints.
- Tuned warehouse3.
- Tuned and fixed warehouse3 problems.
- Tuned and fixed minor issues.
- Tuned and fixed warehouse2.
- Tuned and fixed core issues.
- Replanned for all examples.
- Improved undo motion navigation in warehouse2.
- Fixed formatting issues.

Fixed
----
- Fixed linting warnings.
- Fixed compiling issues.
- Fixed pipeline error.
- Fixed broken master build.
- Fixed broken build.
- Fixed some formatting and templating on SrConditional.
- Fixed move trigger logic into headers.
- Fixed lint errors.
- Fixed linking errors for foxy CI.
- Fixed minor broken build.

Removed
------
- Removed test from main moveit cmake.
- Removed line in refactor.
- Removed weird moveit not downloaded repo.

Contributors
------------
- Co-authored-by: Ubuntu 20-04-02-amd64 <brett@robosoft.ai>
- Co-authored-by: Denis Štogl <denis@stogl.de>
- Co-authored-by: Denis Štogl <destogl@users.noreply.github.com>
- Co-authored-by: Declan Dury <44791484+DecDury@users.noreply.github.com>
- Co-authored-by: DecDury <declandury@gmail.com>
- Co-authored-by: reelrbtx <brett2@reelrobotics.com>
- Co-authored-by: brettpac <brett@robosoft.ai>
- Co-authored-by: David Revay <MrBlenny@users.noreply.github.com>

pabloinigoblasco
```

```rst
Section_50
==========

Added
-----
- Docker build files for all versions.
- Barrel demo.
- Barrel search build fix and Warehouse3.
- Progress in Barrel Husky.
- Feature/barrel - do not merge yet (#233).
- First ensure you have the necessary package installed.
  ```
  sudo apt-get install ros-rolling-ros2trace
  ```
  Then run this command.
- Workflow for checking doc build.
- Workflow for testing prerelease builds.
- Use docs/ as source folder for documentation.
- Use docs/ as output directory.
- Added setupTracing.sh. Installs necessary packages and configures tracing group.
- Created alternative ManualTracing.
- Added new SM markdowns.
- Added a Dockerfile for Rolling and Galactic.
- README tutorial for Dockerfile.

Changed
-------
- Fixing Docker for Foxy and Galactic.
- Fixing startup problems in Warehouse 3.
- Fixing broken build.
- Replanning for all our examples.
- Backport to Foxy.
- Correct codespell.
- Correct Python linters warnings.
- Add Galactic CI build because Navigation2 is broken in Rolling.
- Add partial changes for ament_cpplint.
- Add tf2_ros as dependency to find include.
- Disable ament_cpplint.
- Disable some packages and update workflows.
- Bump ccache version.
- Ignore further packages.
- Satisfy ament_lint_cmake.
- Add missing licenses.
- Disable cpplint and cppcheck linters.
- Correct formatters.
- Branching example.
- Disable disabled packages.
- Update ci-build-source.yml.
- Change extension of imports.
- Enable cppcheck.
- Correct formatting of Python file.
- Included necessary package and edited Threesome launch.
- Rename header files and correct format.
- Rename to SMACC2 and SMACC2_msgs.
- Correct GitHub branch reference.
- Update name of package and package.xml to pass liter.
- Execute on master update.
- Reset all versions to 0.0.0.
- Ignore all packages except SMACC2 and SMACC2_msgs.
- Update changelogs.
- Revert "Ignore all packages except SMACC2 and SMACC2_msgs".
- Update description table.
- Update table.
- Copy initial docs.
- Changed wording "SMACC application" to "SMACC2 library".
- Edit from HTML to markdown syntax.
- Reactivating SMACC2 nav clients for Rolling via submodules.
- Renamed tracing events after.
- Bug in SMACC2 component.
- Reverted markdowns to HTML.
- Added README tutorial for Dockerfile.
- Enable build of missing Rolling repositories.
- Enable Navigation2 for semi-binary build.
- Remove Galactic builds from master and keep only Rolling. Remove submodules and use .repos file.
- Updated mentions of SMACC/ROS to SMACC2/ROS2.
- Some progress on Navigation Rolling.
- Renamed folders, deleted tracing.md, edited README.md.
- Added SMACC2_performance_tools.
- Performance tests improvements.
- More on performance and other issues.
- SM_respira_1 format cleanup.
- SM_respira_test_2.
- More changes on performance tests.
- Do not execute clang-format on SMACC2_sm_reference_library package.
- SM_reference_library reformatting.
- SM_atomic_24hr.
- SM_atomic_performance_trace_1.
- Update SMACC2_rta command across readmes.
- Clean up of SM_atomic_24hr.
- Optimized dependencies in move_base_z_planners_common.
- Renaming of event generator library.
- Changed launch command to ros2 launch SM_respira_1 SM_respira_1.launch (#69). Also noticed a note I had made while producing these that was not removed.
- Update doxygen links (#70).
- More Readme Updates (#72).
- More Readme (#74).

Fixed
-----
- Fix trailing spaces.
- Fix source CI and correct README overview (#62).

Removed
-------
- Disable some packages and update workflows.
- Disable cpplint and cppcheck linters.
- Disable ament_cpplint.
- Ignore further packages.
- Disable disabled packages.
- Remove Galactic builds from master and keep only Rolling. Remove submodules and use .repos file.

Authors
-------
- Denis Štogl <denis@stogl.de>
- Denis Štogl <destogl@users.noreply.github.com>
- Declan Dury <44791484+DecDury@users.noreply.github.com>
- DecDury <declandury@gmail.com>
- Reelrbtx <brett2@reelrobotics.com>
- Brettpac <brett@robosoft.ai>
- David Revay <MrBlenny@users.noreply.github.com>
- Pablo Iñigo Blasco <pabloinigoblasco@ibrobotics.com>
```

```rst
Section_51
==========

Added
-----

- Created new sm from sm_respira_1 (#76)
- Feature/core and navigation fixes (#78)
- Feature/aws demo progress (#80)
- More sm_advanced_recovery_1 work (#85)
- Brettpac branch (#87)
- sm_atomic_performance_test_c_1 (#88)
- sm_multi_stage_1 (#90)
- Update README.md with updated launch command
- Feature/wait nav2 nodes client behavior (#82)
- Feature/aws demo progress (#92)
- Feature/sm dance bot fixes (#93)
- Feature/sm aws warehouse (#94)
- Feature/sm dance bot fixes (#95)

Changed
-------

- Progress in aws navigation
- Several core improvements during navigation testing
- Formatting improvements
- Progress in aws navigation demo
- More on navigation
- New feature, cb_wait_topic_message: asynchronous client behavior that waits a topic message and optionally checks its contents to success
- Adding new client behavior add for nav2, wait nav2 nodes subscribing to the /bond topic and waiting they are alive. You optionally can select the nodes to wait
- Corrected all linters and formatters
- Navigation parameters fixes on sm_dance_bot
- Merge and progress
- Fix format

Fixed
-----

- Fix pre-commit
- Attempting pre-commit fixes
- Fixing precommit

Collaborators
-------------

- Co-authored-by: Ubuntu 20-04-02-amd64 <brett@robosoft.ai>
- Co-authored-by: Denis Štogl <destogl@users.noreply.github.com>
- Co-authored-by: Denis Štogl <denis@stogl.de>
``` 

*pabloinigoblasco*

```rst
Section_52
==========

Added
-----
- New client behavior for nav2: Wait for nav2 nodes to subscribe to the /bond topic and confirm they are alive. Optional node selection available.
- New feature: cb_wait_topic_message. Asynchronous client behavior that waits for a topic message and optionally checks its contents for success.
- Base for the sm_aws_warehouse navigation.
- Gazebo fixes to show the robot and lidar.
- First working version of sm template and template generator.
- Waypoints navigator bug: Minor tuning to mitigate overshot issue cases.
- Added SVGs to READMEs of atomic, dance_bot, and others.
- Added remaining SVGs to READMEs.

Changed
-------
- Progress in AWS navigation demo.
- Navigation parameters fixes on sm_dance_bot.
- Minor formatting improvements.
- Progress in navigation, slam toggle client behaviors, and slam_toolbox components.
- Introducing slam pausing/resuming functionality in sm_dance_bot.
- Polishing sm_dance_bot and s-pattern.
- More refinement in sm_dance_bot.
- Minor tweaks.
- Minor navigation improvements.
- Using local action messages.

Fixed
-----
- Remove some compile warnings.
- Remove neo_simulation2 package.
- Correct formatting.
- Remove merge markers from a Python file.
- Move method after the method it calls to prevent recursion.
- Minor format issues.

Removed
-------
- Remove neo_simulation2 package.
- Removing sm_dance_bot_msgs.
- Removing parameters smacc.

Contributors
------------
- Co-authored-by: Ubuntu 20-04-02-amd64 <brett@robosoft.ai>
- Co-authored-by: pabloinigoblasco <pablo@ibrobotics.com>
```

```rst
Section_53
==========

Added
-----
- Add SM Atomic SM generator. (#143)
- Add SM Atomic SM generator. (#143)
- Add QOS durability to SmaccPublisherClient (#163)
- Add dependencies for husky simulation.
- Add dependency to ur5 client
- Add .reps dependencies and fix build errors
- Add husky launch file in sm_dance_bot
- Add warehouse2 progress (#179)
- Add missing file from warehouse2 (#205)

Changed
-------
- Update Docker environment to be executed from any environment (#154)
- Refactor SM dance bot strikes back (#152)
- Refactor SM warehouse 2 13 dec 2 (#182)
- Refactor CB pure spinning (#188)
- Refactor planner changes 16 12 (#191)
- Refactor replanning 16 dec (#193)
- Refactor undo motion 20 12 (#196)
- Refactor undo motion 20 12 (#198)
- Refactor sync 21 12 (#199)
- Refactor warehouse2 22 12 (#200)
- Refactor warehouse2 23 12 (#201)
- Refactor minor tune (#203)
- Refactor warehouse 3 problems and core improvements (#204)

Fixed
-----
- Fix launch command for sm_dance_bot_strikes_back in README.md
- Fix CI: format fix python version (#148)
- Fix node creation and create only a logger. (#149)
- Fix compiling issues
- Fix broken master build
- Fix pipeline error
- Fix broken build

Removed
-------
- Remove parameters smacc
- Remove test from main moveit cmake
- Remove some comments in the past
- Remove node creation and create only a logger

Collaborators
-------------
- Co-authored-by: DecDury <declandury@gmail.com>
- Co-authored-by: Denis Štogl <destogl@users.noreply.github.com>
- Co-authored-by: Ubuntu 20-04-02-amd64 <brett@robosoft.ai>
- Co-authored-by: Denis Štogl <denis@stogl.de>
``` 

*pabloinigoblasco*

```rst
Section_54
==========

Added:
------
- Feature/docker improvements march 2022 (#235)
- First ensure you have the necessary package installed.
  ```
  sudo apt-get install ros-rolling-ros2trace
  ```
  Then run this command.
- Rename header files and correct format.
- Add workflow for checking doc build.
- Update doxygen-check-build.yml
- Create doxygen-deploy.yml
- Use manual deployment for now.
- Create workflow for testing prerelease builds
- Use docs/ as source folder for documentation
- Use docs/ as output directory.
- Dockerfile w/ ROS distro as argument
  use this command "sudo docker build --build-arg ROS2_DISTRO=(desiredRosTag) (directoryHoldingDockerfile)/"
- Opened new folder for additional tracing contents
- added setupTracing.sh
  Installs necessary packages and configures tracing group.
- Created alternative ManualTracing
- added new sm markdowns
- added a dockerfile for Rolling and Galactic
- Enable build of missing rolling repositories.
- Enable Navigation2 for semi-binary build.
- updated mentions of SMACC/ROS to SMACC2/ROS2
- added smacc2_performance_tools
- performance tests improvements

Changed:
--------
- ros2 launch sm_three_some sm_three_some
  to
  ros2 launch sm_three_some sm_three_some.launch
- changed wording "smacc application" to "SMACC2 library"

Fixed:
------
- Fix trailing spaces.
- Correct codespell.
- Correct python linters warnings.
- Fixing docker for foxy and galactic
- fixing startup problems in warehouse 3
- fixing format and minor
- bug in smacc2 component

Removed:
--------
- Disable ament_cpplint.
- Disable some packages and update workflows.
- Ignore further packages
- Disable cpplint and cppcheck linters.
- Disable disabled packages
- Revert "Ignore all packages except smacc2 and smacc2_msgs"
  This reverts commit f603166a4b3ccdfe96c64d9f9fb9d8b49fbf0e61.

Authors:
--------
- Pablo Iñigo Blasco
- Denis Štogl <denis@stogl.de>
- Denis Štogl <destogl@users.noreply.github.com>
- Declan Dury <44791484+DecDury@users.noreply.github.com>
- DecDury <declandury@gmail.com>
- reelrbtx <brett2@reelrobotics.com>
- brettpac <brett@robosoft.ai>
- David Revay <MrBlenny@users.noreply.github.com>
```

```rst
Section_55
==========

Added
-----

- Added galactic CI setup and renamed rolling files. (#58)
- Added new feature, cb_wait_topic_message: asynchronous client behavior that waits a topic message and optionally checks its contents for success.
- Added new client behavior for nav2, wait nav2 nodes subscribing to the /bond topic and waiting for them to be alive. Optionally select the nodes to wait. (#82)
- Added navigation parameters fixes on sm_dance_bot. (#93)

Changed
-------

- Changed launch command to ros2 launch sm_respira_1 sm_respira_1.launch (#69)
- Updated doxygen links (#70)
- Updated README.md launch command.
- Updated smacc2_rta command across readmes.

Fixed
-----

- Fixed source CI and corrected README overview. (#62)
- Corrected trailing spaces.
- Corrected all linters and formatters.

Removed
-------

- Removed execution of clang-format on smacc2_sm_reference_library package.

Other
-----

- Cleaned up sm_atomic_24hr.
- Optimized dependencies in move_base_z_planners_common.
- Renamed event generator library.
- Minor formatting improvements.
- Noticed and removed a note while producing these changes.
- Attempted pre-commit fixes.

Collaborators
-------------

- Co-authored-by: Ubuntu 20-04-02-amd64 <brett@robosoft.ai>
- Co-authored-by: Denis Štogl <destogl@users.noreply.github.com>
- Co-authored-by: Denis Štogl <denis@stogl.de>
```

*pabloinigoblasco*

```rst
Section_56
==========

Added
-----
- New feature: `cb_wait_topic_message`: asynchronous client behavior that waits for a topic message and optionally checks its contents for success
- New client behavior for nav2: `add` behavior waits for nav2 nodes subscribing to the `/bond` topic and ensures they are alive; optional node selection available
- Progress in AWS navigation demo

Changed
-------
- Minor formatting improvements
- Navigation parameters fixes on `sm_dance_bot`
- `cb_pause_slam` client behavior added
- `sm_dance_bot_lite` improvements
- Visualizing `turtlebot3` in `sm_dance_bot`
- Cleaning and lidar show/hide option in `sm_dance_bot`
- Gazebo fixes to show the robot and lidar in various dance bot scenarios
- `sm_multi_stage_1` enhancements

Fixed
-----
- Remove some compile warnings
- Correct formatting in various files
- Remove `neo_simulation2` package
- Adjust build packages for source CI
- Linting and formatting improvements
- Fix recursion possibility in method calls

Removed
-------
- `neo_simulation2` package removed

Authors
-------
- Pablo Iñigo Blasco
- Co-authored-by: Ubuntu 20-04-02-amd64 <brett@robosoft.ai>
- Co-authored-by: pabloinigoblasco <pablo@ibrobotics.com>
```

```rst
Section_57
==========

Added
-----
- Progress in the sm_dance_bot tests (#135)
- Added SM core test (#138)
- Added SVGs to READMEs of atomic, dance_bot, and others (#140)
- Added remaining SVGs to READMEs (#145)
- Added QOS durability to SmaccPublisherClient (#163)
- Added SM Atomic SM generator (#143)
- Added dependencies for husky simulation in AWS navigation (#174)
- Added Waypoint Inputs (#178)
- Added more Waypoints to sm_dance_bot_warehouse_3 (#184)
- Added SrConditional fixes and formatting (#168)
- Added finetuning waypoints (#187)
- Added pure spinning behavior missing files (#189)
- Added replanning for all examples (#193)
- Added several fixes (#194)
- Added improving undo motion navigation warehouse2 (#198)

Changed
-------
- Minor tuning to mitigate overshot issue cases
- Some progress on markers cleanup
- Minor format issues (#134)
- Minor navigation improvements (#141)
- Using local action messages
- Feature/nav2z renaming (#144)
- Resolve compile warnings (#137)
- Fix CI: format fix python version (#148)
- Fixing launch command in README.md
- Fixing compiling issues
- Update package list (#142)
- Update readme (#164)
- Moved reference library SMs to smacc2_performance_tools (#166)
- Rolling Docker environment to be executed from any environment (#154)
- Progress on move_it PR
- Progress on moveit migration testing
- Progress on aws navigation and refactorings on navigation clients and behaviors
- Progress on aws demo
- Progress on warehouse2
- Progress on warehouse3
- Progress on undo motion navigation warehouse2

Fixed
-----
- Noticed launch command was incorrect in README.md

Removed
-------
- Removing sm_dance_bot_msgs
- Removing parameters smacc
- Removing test from main moveit cmake
- Removing node creation and create only a logger

Authors
-------
- Pablo Iñigo Blasco
- Co-authored-by: Ubuntu 20-04-02-amd64 <brett@robosoft.ai>
- Co-authored-by: DecDury <declandury@gmail.com>
- Co-authored-by: Denis Štogl <destogl@users.noreply.github.com>
- Co-authored-by: Denis Štogl <denis@stogl.de>
```

```rst
Section_58
==========

Added
-----
- Feature/sync 21 12 (#199): Added synchronization feature.
- Feature/warehouse2 22 12 (#200): Added warehouse2 feature.
- Feature/warehouse2 23 12 (#201): Added warehouse2 finishing touches.
- Feature/minor tune (#203): Added minor tuning feature.
- Added missing file from warehouse2 (#205): Added missing file.

Changed
-------
- Use correct upstream .repos files for source builds (#243): Updated upstream files for builds.
- Correct mergify branch names (#246): Corrected branch names.
- Update galactic source build job name (#250): Updated job name for galactic build.
- Galactic source build: update .repos file, bump action version and use correct version of upstream packages (backport #241) (#248): Updated galactic source build.
- Fix checkout branches for scheduled builds (#254): Corrected branch checkout.
- Update foxy-source-build.yml: Updated foxy source build.
- Feature/fixing husky build rolling (#257): Fixed husky project build.
- Feature/fixing husky build rolling (#258): Fixed husky project build.
- Update README.md (#262): Updated README.
- Feature/fixing ur demos (#261): Fixed UR demos.
- Feature/fixing type string walker (#263): Fixed type string walker.
- Update README.md (#266): Updated README.
- Update README.md (#267): Updated README.
- Update README.md (#268): Updated README.
- Significant update in Getting Started Instructions (#269): Significantly updated instructions.
- Fix urls to index.ros.org (#284): Fixed URLs.
- Fix foxy source build config to use repos file from foxy branch. (#285): Fixed foxy source build config.

Fixed
-----
- fixing warehouse 3 problems, and other core improvements (#204): Fixed warehouse 3 issues and core improvements.
- fixing docker for foxy and galactic: Fixed docker for foxy and galactic.
- fixing startup problems in warehouse 3: Fixed startup problems in warehouse 3.
- fixing format and minor: Fixed format and minor issues.
- fixing broken build: Fixed broken build.
- fix: initialise conditionFlag as false (#274): Initialized conditionFlag as false.
- precommit fix (#280): Fixed precommit.
- Fixing sm_dance_bot examples: Fixed sm_dance_bot examples.
- working on fix of image messages for husky_barrel demo: Fixed image messages for husky_barrel demo.

Removed
-------
- Revert "Ignore packages which should not be released.": Reverted package ignore.

Co-authored-by
-------------
- Denis Štogl <denis@stogl.de>
- Denis Štogl <destogl@users.noreply.github.com>
- Declan Dury <44791484+DecDury@users.noreply.github.com>
- DecDury <declandury@gmail.com>
- reelrbtx <brett2@reelrobotics.com>
- brettpac <brett@robosoft.ai>
- David Revay <MrBlenny@users.noreply.github.com>
- pabloinigoblasco <pabloinigoblasco@ibrobotics.com>
- mergify[bot] <37929162+mergify[bot]@users.noreply.github.com>
- brettpac <brettpac@users.noreply.github.com>
```

Section_59
==========

Added
-----
- Updated mentions of SMACC/ROS to SMACC2/ROS2.
- Added `smacc2_performance_tools`.
- Performance tests improvements.
- Added `sm_respira_1` format cleanup.
- Added `sm_respira_test_2`.
- Added `sm_atomic_24hr`.
- Added `sm_atomic_performance_trace_1`.
- Added `sm_advanced_recovery_1` reworked.
- Added `sm_atomic_performance_test_a_2`.
- Added `sm_atomic_performance_test_a_1`.
- Added `sm_atomic_performance_test_c_1`.
- Added `sm_multi_stage_1`.
- Added new feature, `cb_wait_topic_message`: asynchronous client behavior that waits a topic message and optionally checks its contents to success.
- Added new client behavior for nav2, `wait nav2 nodes subscribing to the /bond topic and waiting they are alive`. You optionally can select the nodes to wait.

Changed
-------
- Renamed folders, deleted `tracing.md`, edited `README.md`.
- Updated `smacc2_rta` command across readmes.
- Changed launch command to `ros2 launch sm_respira_1 sm_respira_1.launch`.
- Updated `README.md` launch command.

Fixed
-----
- Do not execute `clang-format` on `smacc2_sm_reference_library` package.
- Corrected trailing spaces.
- Optimized dependencies in `move_base_z_planners_common`.
- Corrected all linters and formatters.

Removed
-------
- Ignored packages which should not be released.

Other
-----
- Several core improvements during navigation testing.
- Minor formatting improvements.
- Noticed a note that was not removed.
- Attempted pre-commit fixes.

Co-authored-by: Ubuntu 20-04-02-amd64 <brett@robosoft.ai>
Co-authored-by: Denis Štogl <destogl@users.noreply.github.com>
Co-authored-by: Denis Štogl <denis@stogl.de>

```rst
Section_60
==========

Added
-----
- New client behavior `cb_wait_topic_message`: asynchronous behavior that waits for a topic message and optionally checks its contents for success.
- New client behavior for nav2: waits for nav2 nodes to subscribe to the `/bond` topic and ensures they are alive, with the option to select nodes to wait for.
- Base for the `sm_aws_warehouse` navigation.
- `cb_pause_slam` client behavior.
- `sm_dance_bot_lite` feature with gazebo fixes, lidar show/hide option, and formatting improvements.
- `sm_multi_stage_1` doubling feature.
- `sm_dance_bot_strikes_back` gazebo fixes.
- AWS demo progress.
- `sm_multi_stage_1` improvements.
- Diverse improvements in navigation and performance.
- Progress in navigation, slam toggle client behaviors, and `slam_toolbox` components.
- Introducing slam pausing/resuming functionality in `sm_dance_bot`.
- `smacc2::deep_history` syntax support.

Changed
-------
- Navigation parameters fixes on `sm_dance_bot`.
- Minor format improvements.
- Format fixes for gazebo to show the robot and lidar.

Fixed
----
- Removed some compile warnings.
- Removed `neo_simulation2` package.
- Corrected formatting issues.
- Enabled source build on PR for testing.
- Adjusted build packages of source CI.
- Removed merge markers from a Python file.
- Moved method after the method it calls to prevent recursion.

Removed
-------
- `neo_simulation2` package.

Contributors
------------
- Pablo Iñigo Blasco <pablo@ibrobotics.com>
- Ubuntu 20-04-02-amd64 <brett@robosoft.ai>
```

Section_61
-----------

### Added
- First working version of sm template and template generator. (#127)
- Added SM Atomic SM generator. (#143)
- Added QOS durability to SmaccPublisherClient (#163)
- Added SVGs to READMEs of atomic, dance_bot, and others (#140)
- Added remaining SVGs to READMEs (#145)
- Added SM core test (#138)
- Added SM Atomic SM generator. (#143)
- Added dependencies for husky simulation in AWS navigation (#174)
- Added Waypoint Inputs (#178)

### Changed
- Renamed sm_advanced_recovery_1 (#171)
- Reworked sm_multi_stage_1 (#172)
- Refactored AWS navigation and navigation clients and behaviors (#174)
- Finetuned waypoints (#187)

### Fixed
- Fixed launch command in README.md for sm_dance_bot_strikes_back (#148)
- Fixed CI format for Python version (#148)
- Fixed compiling issues (#154)
- Fixed broken master build (#167)
- Fixed broken build in AWS navigation (#174)
- Fixed some formatting and linting issues in SrConditional (#168)

### Removed
- Removed parameters in smacc (#147)
- Removed node creation and created only a logger (#149)
- Removed sm_dance_bot_msgs in nav2z renaming (#144)
- Removed test from main moveit CMake (#151)

### Miscellaneous
- Minor tweaks (#130)
- Minor format issues (#134)
- Minor navigation improvements (#141)
- Minor configuration in moveit testing (#167)
- Minor changes in various features and refinements
- Progressed in various features and tests
- Precommit cleanup in multiple features
- Updated package list (#142)
- Updated READMEs in multiple features
- Updated format in moveit migration testing
- Updated Docker environment to be executed from any environment (#154)
- Updated format in various features
- Updated dependencies in various features
- Updated workflows in various features
- Updated references library SMs to smacc2_performance_tools (#166)
- Updated launch command in README.md for sm_dance_bot_strikes_back (#148)
- Updated default values in sm_dance_bot_warehouse_3 (#182)
- Redid waypoints in sm_dance_bot_warehouse_3 (#184)
- More waypoints in sm_dance_bot_warehouse_3 (#184)
- Moved reference library SMs to smacc2_performance_tools (#166)
- Progressed in sm_dance_bot tests (#135)
- Mitigated overshot issue cases in sm_dance_bot (#135)
- Added .reps dependencies and fixed build errors in moveit migration (#151)
- Added dependency to ur5 client in moveit migration (#151)
- Improved Dockerfile for building local tests in moveit migration (#151)
- Fixed pipeline error in moveit testing (#167)
- Fixed some more linting warnings in moveit migration (#151)
- Fixed some formatting errors introduced in moveit migration (#151)
- Fixed some formatting and templating on SrConditional (#168)
- Moved trigger logic into headers in SrConditional (#168)
- Progressed in moveit migration testing (#167)
- Progressed in various features and sequences
- Finishing touches in sm_multi_stage_1 (#172)
- Warehouse2 progress (#179)
- Warehouse3 progress in sm_dance_bot (#181)
- Warehouse3 progress in sm_dance_bot with more waypoints (#184)
- Warehouse3 progress in sm_dance_bot with redoing waypoints (#184)
- Warehouse3 progress in sm_dance_bot with even more waypoints (#184)
- Warehouse2 progress in various features (#185)
- Warehouse2 progress in various features with minor changes (#185)
- Warehouse2 progress in various features with finetuning waypoints (#187)

### Contributors
- Co-authored-by: Ubuntu 20-04-02-amd64 <brett@robosoft.ai>
- Co-authored-by: DecDury <declandury@gmail.com>
- Co-authored-by: Denis Štogl <destogl@users.noreply.github.com>
- Co-authored-by: Denis Štogl <denis@stogl.de>

```rst
Section_62
==========

Added
-----
- Feature/planner changes 16 12 (#191)
- Feature/replanning 16 dec (#193)
- Feature/undo motion 20 12 (#196)
- Feature/undo motion 20 12 (#198)
- Feature/sync 21 12 (#199)
- Feature/warehouse2 22 12 (#200)
- Feature/warehouse2 23 12 (#201)
- Feature/minor tune (#203)
- Foxy backport (#206)
- Add galactic CI build because Navigation2 is broken in rolling.
- Add partial changes for ament_cpplint.
- Add tf2_ros as dependency to find include.
- Create workflow for testing prerelease builds
- Use docs/ as source folder for documentation
- Use docs/ as output directory.
- Dockerfile w/ ROS distro as argument
- Opened new folder for additional tracing contents
- added setupTracing.sh
- Created alternative ManualTracing
- added new sm markdowns
- added a dockerfile for Rolling and Galactic
- Enable build of missing rolling repositories.
- Enable Navigation2 for semi-binary build.
- Remove galactic builds from master and keep only rolling. Remove submodules and use .repos file
- updated mentions of SMACC/ROS to SMACC2/ROS2
- sm_respira_1 format cleanup
- sm_respira_test_2
- sm_atomic_24hr
- sm_atomic_performance_trace_1
- Clean up of sm_atomic_24hr
- Optimized deps in move_base_z_planners_common.
- Renaming of event generator library

Changed
-------
- ros2 launch sm_three_some sm_three_some to ros2 launch sm_three_some sm_three_some.launch
- First ensure you have the necessary package installed.
- Rename header files and correct format.
- Add workflow for checking doc build.
- Update doxygen-check-build.yml
- Create doxygen-deploy.yml
- Use manual deployment for now.
- Rename to smacc2 and smacc2_msgs
- Correct GitHub branch reference.
- Update name of package and package.xml to pass liter.
- Execute on master update
- Reset all versions to 0.0.0
- Update description table.
- Update table
- Copy initial docs
- changed wording "smacc application" to "SMACC2 library"
- Update smacc_sm_reference_library/sm_atomic/README.md edit from html to markdown syntax
- Update tracing/ManualTracing.md
- Revert "Ignore all packages except smacc2 and smacc2_msgs"
- Correct trailing spaces.
- Update smacc2_rta command across readmes
- minor formatting
- Correct codespell.
- Correct python linters warnings.
- Bump ccache version.
- Satisfy ament_lint_cmake
- Add missing licences.
- Correct formatters.
- Enable cppcheck
- Correct formatting of python file.
- Include necessary package and edited Threesome launch
- Enable clang-format on smacc2_sm_reference_library package.

Fixed
-----
- several fixes (#194)
- tuning and fixes (#202)
- fixing warehouse 3 problems, and other core improvements (#204)
- Fix trailing spaces.
- minor format
- minor linking errors foxy
- minor formatting fixes
- format issues
- fixing warehouse 3 problems, and other core improvements to remove dead lock, also making continuous integration green
- weird moveit not downloaded repo
- added missing file from warehouse2

Removed
-------
- Disable ament_cpplint.
- Disable some packages and update workflows.
- Ignore further packages
- Disable cpplint and cppcheck linters.
- Disable disabled packages
- Update ci-build-source.yml
- Change extension
- Change extension of imports.
- Ignore all packages except smacc2 and smacc2_msgs
- Update changelogs
- Revert "Ignore all packages except smacc2 and smacc2_msgs"
- This reverts commit f603166a4b3ccdfe96c64d9f9fb9d8b49fbf0e61.
- Delete tracing directory
- Moved tracing.md to tracing directory
- Removed manual installation of ros-rolling-ros2trace
- This is now automated in setupTracing.sh
- location of sh file assumed if user follows README.md under "Getting started"
- added README tutorial for Dockerfile
- additional cleanup
- cleanup
- cleanup
- edited tracing.md to reflect new tracing event names
- Remove galactic builds from master and keep only rolling. Remove submodules and use .repos file
- some progress on navigation rolling
- renamed folders, deleted tracing.md, edited README.md
- performance tests improvements
- more on performance and other issues
- Do not execute clang-format on smacc2_sm_reference_library package.
- sm_reference_library reformatting
- more sm_atomic_24hr cleanup
``` 

*pabloinigoblasco*

```rst
Section_63
==========

Added
-----

- Added new feature, cb_wait_topic_message: asynchronous client behavior that waits a topic message and optionally checks its contents for success.
- Added new client behavior for nav2, wait nav2 nodes subscribing to the /bond topic and waiting for them to be alive. Optionally select the nodes to wait.

Changed
-------

- Updated launch command to ros2 launch sm_respira_1 sm_respira_1.launch. (#69)
- Updated doxygen links. (#70)
- Updated README.md.

Fixed
-----

- Fixed source CI and corrected README overview. (#62)
- Fixed pre-commit issues.
- Corrected all linters and formatters.

Removed
-------

- Removed note not removed while producing changes.

Collaborators
-------------

- Co-authored-by: Ubuntu 20-04-02-amd64 <brett@robosoft.ai>
- Co-authored-by: Denis Štogl <destogl@users.noreply.github.com>
- Co-authored-by: Denis Štogl <denis@stogl.de>
```

*Autoría de Pablo Iñigo Blasco (pabloinigoblasco)*

```rst
Section_64
==========

Added
-----
- New feature: `cb_wait_topic_message`: asynchronous client behavior that waits for a topic message and optionally checks its contents for success.
- New client behavior for nav2: `add` for waiting nav2 nodes subscribing to the `/bond` topic and ensuring they are alive. Optional node selection available.
- Base for the `sm_aws_warehouse` navigation.
- Gazebo fixes for showing the robot and the lidar.
- Progress in navigation, slam toggle client behaviors, and slam_toolbox components. Also `smacc2::deep_history` syntax.
- First working version of `sm` template and template generator.
- Minor tuning to mitigate overshot issue cases.
- SM core test.

Changed
-------
- Progress in AWS navigation demo.
- Navigation parameters fixes on `sm_dance_bot`.
- Cleaning and lidar show/hide option.
- More fixes in `sm_dance_bot`.
- Polishing `sm_dance_bot` and `s-pattern`.
- Refinement in `sm_dance_bot`.
- Waypoints navigator bug.

Fixed
-----
- Remove some compile warnings. (#96)
- Remove `neo_simulation2` package.
- Correct formatting.
- Enable source build on PR for testing.
- Adjust build packages of source CI.
- Remove merge markers from a Python file.
- Move method after the method it calls to prevent recursion.
- Minor format issues.

Removed
-------
- Remove `sm_dance_bot_msgs`.

Authors
-------
- Pablo Iñigo Blasco <pablo@ibrobotics.com>
- Ubuntu 20-04-02-amd64 <brett@robosoft.ai>
```

```rst
Section_65
==========

Added
-----
- Added SVGs to READMEs of atomic, dance_bot, and others (#140)
- Added remaining SVGs to READMEs (#145)
- Added SM Atomic SM generator. (#143)
- Add QOS durability to SmaccPublisherClient (#163)
- Feature/aws navigation sm dance bot (#174)
- Feature/testing moveit behaviors (#167)
- Feature/sm warehouse 2 13 dec 2 (#182)
- Feature/cb pure spinning (#188)
- Feature/planner changes 16 12 (#191)
- Feature/replanning 16 dec (#193)
- Feature/undo motion 20 12 (#196)
- Feature/sync 21 12 (#199)
- Feature/warehouse2 22 12 (#200)
- Feature/warehouse2 23 12 (#201)
- Feature/minor tune (#203)

Changed
-------
- Renamed navigation 2 stack
- Updated package list. (#142)
- Moved reference library SMs to smacc2_performance_tools (#166)
- Refactored SM dance bot strikes back (#152)
- Reworked sm_multi_stage_1 (#172)
- Redoing sm_dance_bot_warehouse_3 waypoints
- Finetuned waypoints (#187)
- Tuning warehouse3 (#197)

Fixed
-----
- Fixed launch command in README.md
- Fixed CI: format fix python version (#148)
- Fixed compiling issues
- Fixed broken master build
- Fixed pipeline error
- Fixed broken build
- Fixed formatting
- Fixed missing colon
- Fixed linting
- Fixed some errors introduced on formatting
- Fixed some more linting warnings
- Fixed compiling issues

Removed
-------
- Removed sm_dance_bot_msgs
- Removed parameters smacc
- Removed test from main moveit cmake
- Removed node creation and create only a logger
- Removed parameters smacc
- Removed sm_advanced_recovery_1 renaming
- Removed husky launch file in sm_dance_bot
- Removed dependencies for husky in rolling and galactic

Other
-----
- Precommit cleanup
- Workflows update
- Progress on move_it PR
- Progress on moveit migration testing
- Progress on aws navigation and some other refactorings on navigation clients and behaviors
- More on aws demo
- More testing on moveit
- More testing on moveit behaviors
- More readme updates
- More changes and headless
- More changes and headless
- More changes and headless
- More changes and headless
- More changes and headless
- More changes and headless
- More changes and headless
- More changes and headless
- More changes and headless
- More changes and headless
- More changes and headless
- More changes and headless
- More changes and headless
- More changes and headless
- More changes and headless
- More changes and headless
- More changes and headless
- More changes and headless
- More changes and headless
- More changes and headless
- More changes and headless
- More changes and headless
- More changes and headless
- More changes and headless
- More changes and headless
- More changes and headless
- More changes and headless
- More changes and headless
- More changes and headless
- More changes and headless
- More changes and headless
- More changes and headless
- More changes and headless
- More changes and headless
- More changes and headless
- More changes and headless
- More changes and headless
- More changes and headless
- More changes and headless
- More changes and headless
- More changes and headless
- More changes and headless
- More changes and headless
- More changes and headless
- More changes and headless
- More changes and headless
- More changes and headless
- More changes and headless
- More changes and headless
- More changes and headless
- More changes and headless
- More changes and headless
- More changes and headless
- More changes and headless
- More changes and headless
- More changes and headless
- More changes and headless
- More changes and headless
- More changes and headless
- More changes and headless
- More changes and headless
- More changes and headless
- More changes and headless
- More changes and headless
- More changes and headless
- More changes and headless
- More changes and headless
- More changes and headless
- More changes and headless
- More changes and headless
- More changes and headless
- More changes and headless
- More changes and headless
- More changes and headless
- More changes and headless
- More changes and headless
- More changes and headless
- More changes and headless
- More changes and headless
- More changes and headless
- More changes and headless
- More changes and headless
- More changes and headless
- More changes and headless
- More changes and headless
- More changes and headless
- More changes and headless
- More changes and headless
- More changes and headless
- More changes and headless
- More changes and headless
- More changes and headless
- More changes and headless
- More changes and headless
- More changes and headless
- More changes and headless
- More changes and headless
- More changes and headless
- More changes and headless
- More changes and headless
- More changes and headless
- More changes and headless
- More changes and headless
- More changes and headless
- More changes and headless
- More changes and headless
- More changes and headless
- More changes and headless
- More changes and headless
- More changes and headless
- More changes and headless
- More changes and headless
- More changes and headless
- More changes and headless
- More changes and headless
- More changes and headless
- More changes and headless
- More changes and headless
- More changes and headless
- More changes and headless
- More changes and headless
- More changes and headless
- More changes and headless
- More changes and headless
- More changes and headless
- More changes and headless
- More changes and headless
- More changes and headless
- More changes and headless
- More changes and headless
- More changes and headless
- More changes and headless
- More changes and headless
- More changes and headless
- More changes and headless
- More changes and headless
- More changes and headless
- More changes and headless
- More changes and headless
- More changes and headless
- More changes and headless
- More changes and headless
- More changes and headless
- More changes and headless
- More changes and headless
- More changes and headless
- More changes and headless
- More changes and headless
- More changes and headless
- More changes and headless
- More changes and headless
- More changes and headless
- More changes and headless
- More changes and headless
- More changes and headless
- More changes and headless
- More changes and headless
- More changes and headless
- More changes and headless
- More changes and headless
- More changes and headless
- More changes and headless
- More changes and headless
- More changes and headless
- More changes and headless
- More changes and headless
- More changes and headless
- More changes and headless
- More changes and headless
- More changes and headless
- More changes and headless
- More changes and headless
- More changes and headless
- More changes and headless
- More changes and headless
- More changes and headless
- More changes and headless
- More changes and headless
- More changes and headless
- More changes and headless
- More changes and headless
- More changes and headless
- More changes and headless
- More changes and headless
- More changes and headless
- More changes and headless
- More changes and headless
- More changes and headless
- More changes and headless
- More changes and headless
- More changes and headless
- More changes and headless
- More changes and headless
- More changes and headless
- More changes and headless
- More changes and headless
- More changes and headless
- More changes and headless
- More changes and headless
- More changes and headless
- More changes and headless
- More changes and headless
- More changes and headless
- More changes and headless
- More changes and headless
- More changes and headless
- More changes and headless
- More changes and headless
- More changes and headless
- More changes and headless
- More changes and headless
- More changes and headless
- More changes and headless
- More changes and headless
- More changes and headless
- More changes and headless
- More changes and headless
- More changes and headless
- More changes and headless
- More changes and headless
- More changes and headless
- More changes and headless
- More changes and headless
- More changes and headless
- More changes and headless
- More changes and headless
- More changes and headless
- More changes and headless
- More changes and headless
- More changes and headless
- More changes and headless
- More changes and headless
- More changes and headless
- More changes and headless
- More changes and headless
- More changes and headless
- More changes and headless
- More changes and headless
- More changes and headless
- More changes and headless
- More changes and headless
- More changes and headless
- More changes and headless
- More changes and headless
- More changes and headless
- More changes and headless
- More changes and headless
- More changes and headless
- More changes and headless
- More changes and headless
- More changes and headless
- More changes and headless
- More changes and headless
- More changes and headless
- More changes and headless
- More changes and headless
- More changes and headless
- More changes and headless
- More changes and headless
- More changes and headless
- More changes and headless
- More changes and headless
- More changes and headless
- More changes and headless
- More changes and headless
- More changes and headless
- More changes and headless
- More changes and headless
- More changes and headless
- More changes and headless
- More changes and headless
- More changes and headless
- More changes and headless
- More changes and headless
- More changes and headless
- More changes and headless
- More changes and headless
- More changes and headless
- More changes and headless
- More changes and headless
- More changes and headless
- More changes and headless
- More changes and headless
- More changes and headless
- More changes and headless
- More changes and headless
- More changes and headless
- More changes and headless
- More changes and headless
- More changes and headless
- More changes and headless
- More changes and headless
- More changes and headless
- More changes and headless
- More changes and headless
- More changes and headless
- More changes and headless
- More changes and headless
- More changes and headless
- More changes and headless
- More changes and headless
- More changes and headless
- More changes and headless
- More changes and headless
- More changes and headless
- More changes and headless
- More changes and headless
- More changes and headless
- More changes and headless
- More changes and headless
- More changes and headless
- More changes and headless
- More changes and headless
- More changes and headless
- More changes and headless
- More changes and headless
- More changes and headless
- More changes and headless
- More changes and headless
- More changes and headless
- More changes and headless
- More changes and headless
- More changes and headless
- More changes and headless
- More changes and headless
- More changes and headless
- More changes and headless
- More changes and headless
- More changes and headless
- More changes and headless
- More changes and headless
- More changes and headless
- More changes and headless
- More changes and headless
- More changes and headless
- More changes and headless
- More changes and headless
- More changes and headless
- More changes and headless
- More changes and headless
- More changes and headless
- More changes and headless
- More changes and headless
- More changes and headless
- More changes and headless
- More changes and headless
- More changes and headless
- More changes and headless
- More changes and headless
- More changes and headless
- More changes and headless
- More changes and headless
- More changes and headless
- More changes and headless
- More changes and headless
- More changes and headless
- More changes and headless
- More changes and headless

```rst
Section_66
==========

Added
-----
- Added missing file from warehouse2 (#205)
- Added galactic CI build because Navigation2 is broken in rolling
- Added partial changes for ament_cpplint
- Added tf2_ros as dependency to find include
- Added workflow for checking doc build
- Added setupTracing.sh to automate installation of ros-rolling-ros2trace
- Added new sm markdowns
- Added a dockerfile for Rolling and Galactic

Changed
-------
- Tuning and fixes
- Minor tune
- Fixed warehouse 3 problems and other core improvements (#204)
- Fixed warehouse 3 problems and other core improvements to remove dead lock and make continuous integration green
- Updated subscriber publisher components
- Progress in autoware machine
- Refining cp subscriber cp publisher
- Improvements in smacc core adding more components mostly developed for autoware demo
- Replanning for all examples
- Merging code from backport foxy and updates about autoware (#208)
- Renamed "sm_three_some" launch command to "sm_three_some.launch"
- Renamed header files and corrected format
- Renamed to "smacc2" and "smacc2_msgs"
- Renamed wording from "smacc application" to "SMACC2 library"
- Updated name of package and package.xml to pass liter
- Reset all versions to 0.0.0
- Updated description table
- Updated table
- Updated changelogs
- Updated mentions of SMACC/ROS to SMACC2/ROS2
- Updated smacc2_rta command across readmes
- Cleaned up sm_atomic_24hr
- Optimized dependencies in move_base_z_planners_common
- Renamed event generator library
- Minor formatting changes
- Renamed launch command to "ros2 launch sm_respira_1 sm_respira_1.launch" (#69)

Fixed
-----
- Minor broken build
- Fix trailing spaces
- Correct codespell
- Correct python linters warnings
- Correct formatters
- Correct formatting of python file
- Enable cppcheck
- Enable build of missing rolling repositories
- Enable Navigation2 for semi-binary build
- Enable build of missing rolling repositories
- Enable cppcheck
- Enable build of missing rolling repositories
- Enable Navigation2 for semi-binary build

Removed
-------
- Disable ament_cpplint
- Disable cpplint and cppcheck linters
- Disable some packages and update workflows
- Disable disabled packages
- Ignore further packages
- Ignore all packages except smacc2 and smacc2_msgs
- Do not execute clang-format on smacc2_sm_reference_library package

Co-Authored-By
--------------
- Denis Štogl <denis@stogl.de>
- Denis Štogl <destogl@users.noreply.github.com>
- Declan Dury <44791484+DecDury@users.noreply.github.com>
- DecDury <declandury@gmail.com>
- reelrbtx <brett2@reelrobotics.com>
- brettpac <brett@robosoft.ai>
- David Revay <MrBlenny@users.noreply.github.com>
``` 

--- 

**Autor:** Pablo Iñigo Blasco (pabloinigoblasco)

```rst
Section_67
==========

Added
-----
- Update doxygen links (#70) by Pablo Iñigo Blasco and Ubuntu 20-04-02-amd64 <brett@robosoft.ai>
- More Readme Updates (#72) by Pablo Iñigo Blasco and Ubuntu 20-04-02-amd64 <brett@robosoft.ai>
- More Readme (#74) by Pablo Iñigo Blasco and Ubuntu 20-04-02-amd64 <brett@robosoft.ai>
- Created new sm from sm_respira_1 (#76)
- Feature/core and navigation fixes (#78)
- Base for the sm_aws_aarehouse navigation
- Progressing in AWS navigation
- Several core improvements during navigation testing
- Formatting improvements
- Progress in AWS navigation demo
- Feature/aws demo progress (#80)
- More on navigation
- New feature, cb_wait_topic_message: asynchronous client behavior that waits a topic message and optionally checks its contents to success
- Adding new client behavior add for nav2, wait nav2 nodes subscribing to the /bond topic and waiting they are alive. You optionally can select the nodes to wait
- Progress in AWS navigation demo
- Navigation parameters fixes on sm_dance_bot
- Merge and progress

Changed
-------
- Sm_advanced_recovery_1 reworked (#83) by Pablo Iñigo Blasco and Ubuntu 20-04-02-amd64 <brett@robosoft.ai>
- More sm_advanced_recovery_1 (#84) by Pablo Iñigo Blasco and Ubuntu 20-04-02-amd64 <brett@robosoft.ai>
- More sm_advanced_recovery_1 work (#85) by Pablo Iñigo Blasco and Ubuntu 20-04-02-amd64 <brett@robosoft.ai>
- Sm_advanced_recovery_1 round 4 (#86) by Pablo Iñigo Blasco and Ubuntu 20-04-02-amd64 <brett@robosoft.ai>
- Brettpac branch (#87)
- Sm_atomic_performance_test_a_2
- Sm_atomic_performance_test_a_1
- Sm_atomic_performance_test_c_1 (#88) by Pablo Iñigo Blasco and Ubuntu 20-04-02-amd64 <brett@robosoft.ai>
- Modifying sm_atomic_performance_test_a_2 (#89) by Pablo Iñigo Blasco and Ubuntu 20-04-02-amd64 <brett@robosoft.ai>
- Sm_multi_stage_1 (#90) by Pablo Iñigo Blasco and Ubuntu 20-04-02-amd64 <brett@robosoft.ai>
- More sm_multi_stage_1 (#91) by Pablo Iñigo Blasco and Ubuntu 20-04-02-amd64 <brett@robosoft.ai>
- Update README.md: updated launch command
- Wait topic message client behavior (#81)
- Correct all linters and formaters.

Removed
-------
- None
```

```rst
Section_68
==========

Added
-----
- New feature: `cb_wait_topic_message`: asynchronous client behavior that waits for a topic message and optionally checks its contents for success
- New client behavior for `nav2`: wait for `nav2` nodes subscribing to the `/bond` topic and wait for them to be alive, with optional node selection
- Base for the `sm_aws_warehouse` navigation
- Gazebo fixes to show the robot and the lidar
- `sm_multi_stage_1` doubling
- `sm_dance_bot_strikes_back` gazebo fixes
- `Brettpac` branch
- `sm_multi_stage_1` working progress
- `sm_dance_bot` visualizing `turtlebot3`
- `sm_dance_bot` strikes back gazebo fixes
- `sm_dance_bot` refine 2
- Waypoints navigator bug minor tuning to mitigate overshot issue cases
- Minor navigation improvements
- Added SM core test
- Progress in the `sm_dance_bot` tests
- Progress in navigation, `slam` toggle client behaviors, and `slam_toolbox` components
- First working version of `sm` template and template generator
- Progress in AWS navigation demo
- Diverse improvements in navigation and performance
- `slam` toggle and `smacc` deep history feature
- `dance bot s` pattern feature

Changed
-------
- Formatting improvements
- Navigation parameters fixes on `sm_dance_bot`
- Minor format improvements
- Minor hotfix
- Minor format fixes
- Minor tweaks
- Minor format issues

Removed
-------
- Removed some compile warnings
- Removed `neo_simulation2` package
- Removed merge markers from a Python file
- Removed `sm_dance_bot_msgs`
- Pending references

Fixed
-----
- Move method after the method it calls to prevent recursion
- Correct formatting
- Enable source build on PR for testing
- Adjust build packages of source CI
- Additional linting and formatting
- Cleaning files and making formatting work
- More fixes

Authors
-------
- Pablo Iñigo Blasco
- Ubuntu 20-04-02-amd64 <brett@robosoft.ai>
```

Section_69
==========

Added
-----
- Added SVGs to READMEs of atomic, dance_bot, and others (#140, #145)
- Added remaining SVGs to READMEs
- Added SM Atomic SM generator (#143)
- Added QOS durability to SmaccPublisherClient (#163)
- Added SM warehouse 2 13 dec 2 (#182)
- Added CB pure spinning (#188, #189)
- Added planner changes 16 12 (#191)
- Added replanning 16 dec (#193)
- Added undo motion 20 12 (#196, #198)
- Added sync 21 12 (#199)
- Added warehouse2 22 12 (#200)
- Added warehouse2 23 12 (#201)
- Added minor tune (#203)

Changed
-------
- Updated package list (#142)
- Fixed launch command for sm_dance_bot_strikes_back in README.md
- Fixed CI: format fix python version (#148)
- Removed node creation and created only a logger (#149)
- Rolling Docker environment to be executed from any environment (#154)
- Moved reference library SMs to smacc2_performance_tools (#166)
- Refactored SM dance bot strikes back (#152)
- Reworked sm_multi_stage_1 (#172)
- Redoing sm_dance_bot_warehouse_3 waypoints (#184)
- Finetuned waypoints (#187)
- Tuning warehouse3 (#197)
- Tuning and fixes (#202, #203, #204)

Fixed
-----
- Noticed launch command was incorrect in README.md
- Fixed compiling issues
- Fixed broken master build
- Fixed pipeline error
- Fixed formatting
- Fixed broken build
- Fixed some formatting and templating on SrConditional
- Fixed linting

Removed
-------
- Removed parameters smacc (#147)
- Removed test from main moveit cmake

Workflows
---------
- Precommit cleanup
- Workflows update
- Docker refactoring
- Improving Dockerfile for building local tests

Collaborators
-------------
- Co-authored-by: DecDury <declandury@gmail.com>
- Co-authored-by: Denis Štogl <destogl@users.noreply.github.com>
- Co-authored-by: Ubuntu 20-04-02-amd64 <brett@robosoft.ai>
- Co-authored-by: Denis Štogl <denis@stogl.de>

```rst
Section_70
==========

Added
-----
- Added missing file from warehouse2 (#205).
- Added mergify rules file.
- Added Autoware Auto Msgs into not-released dependencies. (#220).
- Added workflow for checking doc build.
- Added doxygen-deploy.yml.
- Added workflow for testing prerelease builds.
- Added setupTracing.sh to install necessary packages and configure tracing group.
- Added new sm markdowns.
- Added a Dockerfile for Rolling and Galactic.

Changed
-------
- Changed "ros2 launch sm_three_some sm_three_some" to "ros2 launch sm_three_some sm_three_some.launch".
- Changed wording "smacc application" to "SMACC2 library".
- Renamed tracing events after.
- Reactivated smacc2 nav clients for rolling via submodules.
- Updated mentions of SMACC/ROS to SMACC2/ROS2.

Fixed
-----
- Fixed warehouse 3 problems and other core improvements to remove deadlocks, also making continuous integration green.
- Fixed weird moveit not downloaded repo.
- Fixed Foxy CI.
- Fixed minor broken build.
- Fixed trailing spaces.
- Fixed codespell.
- Fixed python linters warnings.
- Fixed rolling builds (#222).
- Fixed bug in smacc2 component.
- Fixed missing rolling repositories build.
- Fixed Navigation2 for semi-binary build.

Removed
-------
- Removed example things from Foxy CI setup. (#214).
- Removed warnings (#213).
- Removed manual installation of ros-rolling-ros2trace, now automated in setupTracing.sh.
- Removed galactic builds from master and kept only rolling. Removed submodules and used .repos file.

Other
-----
- Backported changes to Foxy.
- Minor formatting improvements.
- Updated subscriber publisher components.
- Progress in autoware machine.
- Refining cp subscriber cp publisher.
- Improvements in smacc core adding more components mostly developed for autoware demo.
- Autoware demo.
- Docker files for different revisions, warnings removal, and more testing on navigation.
- Replanning for all our examples.
- Branching example.
- Ignored further packages.
- Satisfied ament_lint_cmake.
- Added missing licenses.
- Disabled cpplint and cppcheck linters.
- Corrected formatters.
- Disabled disabled packages.
- Updated ci-build-source.yml.
- Changed extension of imports.
- Enabled cppcheck.
- Corrected formatting of python file.
- Included necessary package and edited Threesome launch.
- Reset all versions to 0.0.0.
- Updated changelogs.
- Reverted "Ignore all packages except smacc2 and smacc2_msgs".
- Updated description table.
- Updated table.
- Copied initial docs.
- Opened new folder for additional tracing contents.
- Deleted tracing directory.
- Moved tracing.md to tracing directory.
- Created alternative ManualTracing.
- Edited tracing.md to reflect new tracing event names.
- More on performance and other issues.

Co-authored-by
--------------
- Denis Štogl <denis@stogl.de>
- Denis Štogl <destogl@users.noreply.github.com>
- Declan Dury <44791484+DecDury@users.noreply.github.com>
- DecDury <declandury@gmail.com>
- reelrbtx <brett2@reelrobotics.com>
- brettpac <brett@robosoft.ai>
- David Revay <MrBlenny@users.noreply.github.com>
- pabloinigoblasco <pabloinigoblasco@ibrobotics.com>
```

# Changelog

## [Unreleased]

### Added
- New feature: `cb_wait_topic_message` asynchronous client behavior that waits for a topic message and optionally checks its contents for success.
- New client behavior for Nav2: `wait nav2 nodes` subscribes to the `/bond` topic and waits for them to be alive, with optional node selection.

### Changed
- Updated launch command to `ros2 launch sm_respira_1 sm_respira_1.launch` (#69).
- Renamed event generator library.
- Optimized dependencies in `move_base_z_planners_common`.
- Corrected trailing spaces in code.
- Cleaned up formatting in various packages.
- Updated `smacc2_rta` command across README files.

### Fixed
- Fixed source CI and corrected README overview (#62).
- Corrected all linters and formatters.
- Fixed pre-commit issues in multiple packages.

### Removed
- Removed execution of `clang-format` on `smacc2_sm_reference_library` package.

## [1.0.0] - 2022-01-01

### Added
- Initial release with various features and improvements.

### Changed
- Major overhaul of `sm_advanced_recovery_1`.
- Refactored `sm_atomic_performance_test_a_2`.
- Updated `sm_multi_stage_1` with fixes and enhancements.
- Enhanced navigation parameters in `sm_dance_bot`.

### Fixed
- Resolved issues with `sm_atomic_performance_test_a_1` and `sm_atomic_performance_test_c_1`.

### Removed
- Eliminated redundant code in `sm_respira_1` and `sm_respira_test_2`.

## [0.5.0] - 2021-12-01

### Added
- Introduced `sm_aws_aarehouse` navigation base.
- Implemented new features for AWS navigation and demo progress.

### Changed
- Improved core functionality during navigation testing.
- Enhanced formatting in navigation-related packages.

### Fixed
- Addressed minor issues in AWS navigation demo.

### Removed
- Removed unnecessary elements in navigation-related code.

## [0.4.0] - 2021-11-01

### Added
- Added support for `cb_wait_topic_message` feature.
- Implemented new client behavior for Nav2 nodes.

### Changed
- Updated README.md with revised launch command.

### Fixed
- Fixed behavior in `cb_wait_topic_message` for topic message waiting.

### Removed
- Removed obsolete code and configurations.

## [0.3.0] - 2021-10-01

### Added
- Implemented `sm_atomic_performance_trace_1` for performance monitoring.

### Changed
- Updated `c_cpp_properties.json` for improved configuration.

### Fixed
- Resolved issues with `sm_atomic_24hr` package.

### Removed
- Eliminated redundant files and configurations.

## [0.2.0] - 2021-09-01

### Added
- Added `sm_respira_1` format cleanup and pre-commit changes.

### Changed
- Updated formatting in `sm_reference_library`.

### Fixed
- Fixed formatting issues in various packages.

### Removed
- Stopped executing `clang-format` on specific packages.

## [0.1.0] - 2021-08-01

### Added
- Initial changes and improvements to the project.

### Changed
- Various updates and enhancements across different components.

### Fixed
- Resolved minor issues and bugs in the codebase.

### Removed
- Removed unnecessary elements and redundant code.

## [0.0.1] - 2021-07-01

### Added
- Project initialization and setup.

### Changed
- Initial project structure and configurations.

### Fixed
- Fixed initial bugs and issues.

### Removed
- Removed unused files and configurations.

## Author
- Pablo Iñigo Blasco

## Contributors
- Ubuntu 20-04-02-amd64 <brett@robosoft.ai>
- Denis Štogl <destogl@users.noreply.github.com>
- Denis Štogl <denis@stogl.de>

```rst
Section_72
==========

Added
-----
- New feature: `cb_wait_topic_message`: asynchronous client behavior that waits for a topic message and optionally checks its contents for success
- New client behavior for nav2: `add` for waiting nav2 nodes subscribing to the `/bond` topic and ensuring they are alive. Nodes to wait can be optionally selected
- Base for the `sm_aws_aarehouse` navigation
- Gazebo fixes for showing the robot and the lidar
- Gazebo fixes for `sm_dance_bot_strikes_back`
- AWS demo progress
- Progress in navigation, slam toggle client behaviors, and `slam_toolbox` components. Also `smacc2::deep_history` syntax
- Introducing slam pausing/resuming functionality in testing `sm_dance_bot`
- First working version of `sm` template and template generator

Changed
-------
- Minor format improvements
- Navigation parameters fixes on `sm_dance_bot`
- Cleaning and lidar show/hide option in `sm_dance_bot`
- Polishing `sm_dance_bot` and `s-pattern`
- Noticed typo correction: "Finnaly" to "Finally"
- Method moved after the method it calls to prevent recursion

Fixed
----
- Remove some compile warnings
- Remove `neo_simulation2` package
- Correct formatting issues
- Enable source build on PR for testing
- Adjust build packages of source CI
- Remove merge markers from a Python file
- Additional linting and formatting tweaks
- Minor tweaks

Removed
-------
- Removed `neo_simulation2` package

Contributors
------------
- Co-authored by: Ubuntu 20-04-02-amd64 <brett@robosoft.ai>
- Co-authored by: pabloinigoblasco <pablo@ibrobotics.com>
```

Section_73
==========

Added
-----
- Feature/sm dance bot refine 2 (#132)
- Progress in sm_dance_bot tests (#135)
- Feature/nav2z renaming (#144)
- Added SVGs to READMEs of atomic, dance_bot, and others (#140)
- Added remaining SVGs to READMEs (#145)
- Update package list. (#142)
- Add SM Atomic SM generator. (#143)
- Rolling Docker environment to be executed from any environment (#154)
- Add QOS durability to SmaccPublisherClient (#163)
- Feature/testing moveit behaviors (#167)
- Feature/aws navigation sm dance bot (#174)
- Waypoint Inputs (#178)
- Feature/sm warehouse 2 13 dec 2 (#182)
- SrConditional fixes and formatting (#168)
- Feature/wharehouse2 dec 14 (#185)
- Feature/cb pure spinning (#188)
- Feature/planner changes 16 12 (#191)
- Feature/replanning 16 dec (#193)
- Feature/undo motion 20 12 (#196)

Changed
-------
- Minor format issues (#134)
- Minor navigation improvements (#141)
- Using local action msgs (#139)
- Resolve compile warnings (#137)
- Fix CI: format fix python version (#148)
- Remove node creation and create only a logger. (#149)
- Initial migration to smacc2
- Fixing some errors introduced on formatting
- Fixing some more linting warnings
- Update readme (#164)
- Moved reference library SMs to smacc2_performance_tools (#166)
- Finetuning waypoints (#187)

Fixed
-----
- Waypoints navigator bug (#133)
- Fixing pipeline error
- Fixing broken master build
- Fixing broken build
- Several fixes (#194)

Removed
-------
- Removing sm_dance_bot_msgs
- Removing parameters smacc
- Removing test from main moveit cmake

Collaborators
-------------
- Co-authored-by: Ubuntu 20-04-02-amd64 <brett@robosoft.ai>
- Co-authored-by: DecDury <declandury@gmail.com>
- Co-authored-by: Denis Štogl <destogl@users.noreply.github.com>
- Co-authored-by: Denis Štogl <denis@stogl.de>

```rst
Section_74
==========

Added
-----
- Feature/undo motion 20 12 (#198)
- Feature/sync 21 12 (#199)
- Feature/warehouse2 22 12 (#200)
- Feature/warehouse2 23 12 (#201)
- Feature/minor tune (#203)
- Feature/retry behavior warehouse 1 (#226)
- dockerfiles (#225)
- Fix code generators (#221)
- Foxy backport (#206)
- Added missing file from warehouse2 (#205)
- Added tf2_ros as dependency to find include
- First ensure you have the necessary package installed.
  ```
  sudo apt-get install ros-rolling-ros2trace
  ```
  Then run this command.
- Include necessary package and edit Threesome launch
- Create workflow for testing prerelease builds
- Use docs/ as source folder for documentation
- Use docs/ as output directory
- Dockerfile w/ ROS distro as argument
  Use this command "sudo docker build --build-arg ROS2_DISTRO=(desiredRosTag) (directoryHoldingDockerfile)/"
- Open new folder for additional tracing contents
- Add setupTracing.sh
  Installs necessary packages and configures tracing group
- Created alternative ManualTracing
- Added new sm markdowns
- Added a dockerfile for Rolling and Galactic

Changed
-------
- Progress in autowarrrrrrrrrrrrrrrrrrrrrrrrrrrrrrrrrre machine
- Refining cp subscriber cp publisher
- Improvements in smacc core adding more components mostly developed for autoware demo
- Change wording "smacc application" to "SMACC2 library"
- Update smacc_sm_reference_library/sm_atomic/README.md
  Edit from html to markdown syntax
- Rename header files and correct format
- Update SM template and make example code clearly visible
- Remove use of node in the sm performance template
- Update template to resolve the global data correctly
- Update sm_name.hpp
- Update tracing/ManualTracing.md

Fixed
-----
- Fix trailing spaces
- Correct codespell
- Correct python linters warnings
- Fix other build issues
- Fixing warehouse 3 problems, and other core improvements to remove dead lock, also making continuous integration green
- Fix minor broken build
- Fixing docker for foxy and galactic

Removed
-------
- Weird moveit not downloaded repo
- Disable ament_cpplint
- Disable some packages and update workflows
- Ignore further packages
- Disable cpplint and cppcheck linters
- Disable disabled packages
- Revert "Ignore all packages except smacc2 and smacc2_msgs"
  This reverts commit f603166a4b3ccdfe96c64d9f9fb9d8b49fbf0e61

Co-Authored-By
--------------
- Denis Štogl <denis@stogl.de>
- Denis Štogl <destogl@users.noreply.github.com>
- Declan Dury <44791484+DecDury@users.noreply.github.com>
- DecDury <declandury@gmail.com>
- reelrbtx <brett2@reelrobotics.com>
- brettpac <brett@robosoft.ai>
- David Revay <MrBlenny@users.noreply.github.com>
- pabloinigoblasco <pabloinigoblasco@ibrobotics.com>
```

```rst
Section_75
==========

Added
-----
- Reactivated smacc2 nav clients for rolling via submodules.
- Added README tutorial for Dockerfile.
- Added smacc2_performance_tools.
- Added new client behavior for nav2, wait nav2 nodes subscribing to the /bond topic and waiting they are alive. You can optionally select the nodes to wait.
- Added new feature, cb_wait_topic_message: asynchronous client behavior that waits a topic message and optionally checks its contents for success.

Changed
-------
- Renamed tracing events.
- Updated mentions of SMACC/ROS to SMACC2/ROS2.
- Renamed folders, deleted tracing.md, and edited README.md.
- Renamed sm_atomic_24hr to sm_atomic_performance_trace_1.
- Renamed event generator library.
- Updated launch command to ros2 launch sm_respira_1 sm_respira_1.launch.
- Corrected all linters and formatters.
- Optimized dependencies in move_base_z_planners_common.

Fixed
-----
- Bug in smacc2 component.
- Reverted markdowns to HTML.
- Fixed source CI and corrected README overview.
- Corrected trailing spaces.
- Do not execute clang-format on smacc2_sm_reference_library package.
- Fixed pre-commit issues.

Removed
-------
- Removed galactic builds from master and kept only rolling. Removed submodules and used .repos file.

Collaborators
-------------
- Denis Štogl <destogl@users.noreply.github.com>
- Ubuntu 20-04-02-amd64 <brett@robosoft.ai>
```

```rst
Section_76
==========

Added
-----
- New feature: `cb_wait_topic_message`: asynchronous client behavior that waits for a topic message and optionally checks its contents for success
- New client behavior for nav2: `add` for waiting nav2 nodes subscribing to the `/bond` topic and ensuring they are alive (optional node selection)

Changed
-------
- Navigation parameters fixes on `sm_dance_bot`
- `cb_pause_slam` client behavior added
- `sm_dance_bot_lite` visualizing TurtleBot3
- Gazebo fixes for showing the robot and the lidar
- Progress in navigation, `slam_toggle` client behaviors, and `slam_toolbox` components

Fixed
----
- Removed some compile warnings
- Removed `neo_simulation2` package
- Corrected formatting
- Enabled source build on PR for testing
- Adjusted build packages of source CI
- Removed merge markers from a Python file
- Additional linting and formatting

Removed
-------
- Removed `neo_simulation2` package

Other
-----
- Several core improvements during navigation testing
- Formatting improvements
- Progress in AWS navigation demo
- Minor format fixes
- Merge and progress
- Precommit cleanup run
- Got `sm_multi_stage_1` working (barely)
- Gaining traction in `sm_multi_stage_1`
- More work on `sm_multi_stage_1`
- Keep hammering on stages
- Added 5th stage to `sm_multi_stage_1`
- Diverse improvements in navigation and performance
- Progress in navigation, `slam_toggle` client behaviors, and `slam_toolbox` components
``` 

*pabloinigoblasco*

```rst
Section_77
==========

Added
-----
- Introducing slam pausing/resuming functionality to sm_dance_bot (#124, #125, #126, #128, #129, #131, #132, #135, #136, #137, #138, #141, #144, #145, #147, #149, #152, #155, #163, #167, #169, #170, #171, #174, #175, #177, #178, #179, #180, #181, #182, #184, #185, #186)
- First working version of sm template and template generator (#127)
- Add SM Atomic SM generator (#143)
- Add QOS durability to SmaccPublisherClient (#163)

Changed
-------
- Move method after the method it calls to prevent recursion (#126)
- Renamed Finnaly to Finally
- Moved reference library SMs to smacc2_performance_tools (#166)
- Reworked sm_multi_stage_1 (#172)
- Updated package list (#142)
- Updated READMEs with SVGs (#140, #145, #164)
- Rolling Docker environment to be executed from any environment (#154)
- Minor navigation improvements (#141)
- Added durability and reliability qos configurations to SmaccPublisherClient (#163)

Fixed
-----
- Minor format issues (#134)
- Fixed launch command in README.md for sm_dance_bot_strikes_back (#148)
- Fixed CI format for Python version (#148)
- Fixed compiling issues (#154)
- Fixed broken master build (#167)
- Fixed warehouse2 formatting (#180)

Removed
-------
- Removed node creation and created only a logger (#149)
- Removed parameters smacc (#147)
- Removed test from main moveit cmake
- Removed sm_dance_bot_msgs
- Removed some comments in the past from README.md

Authors
-------
- Pablo Iñigo Blasco
- Co-authored-by: Ubuntu 20-04-02-amd64 <brett@robosoft.ai>
- Co-authored-by: DecDury <declandury@gmail.com>
- Co-authored-by: Denis Štogl <destogl@users.noreply.github.com>
- Co-authored-by: Denis Štogl <denis@stogl.de>
```

```rst
Section_78
==========

Added
-----
- Feature/cb pure spinning (#188)
- Feature/cb pure spinning (#189)
- Feature/replanning 16 dec (#193)
- Feature/undo motion 20 12 (#196)
- Feature/sync 21 12 (#199)
- Feature/warehouse2 22 12 (#200)
- Feature/warehouse2 23 12 (#201)
- Feature/minor tune (#203)
- Feature/improvements warehouse3 (#228)
- Foxy backport (#206)
- Add ignition file and update repos files.
- Include necessary package and edit Threesome launch

Changed
-------
- Progress in autoware machine
- Refining cp subscriber cp publisher
- Improvements in smacc core adding more components
- Retry behavior warehouse 1
- Progress in barrel husky
- Correct Focal-Rolling builds by fixing the version of rosdep yaml
- Multiple controllable leds plugin
- Progress in husky demo
- Improving navigation behaviors
- Correct codespell
- Correct python linters warnings
- Add galactic CI build because Navigation2 is broken in rolling
- Add partial changes for ament_cpplint
- Add tf2_ros as dependency to find include
- Disable ament_cpplint
- Disable some packages and update workflows
- Bump ccache version
- Ignore further packages
- Satisfy ament_lint_cmake
- Add missing licences
- Disable cpplint and cppcheck linters
- Correct formatters
- Change extension of imports
- Enable cppcheck
- Correct formatting of python file
- Rename header files and correct format
- Add workflow for checking doc build
- Update doxygen-check-build.yml
- Create doxygen-deploy.yml
- Create workflow for testing prerelease builds
- Use docs/ as source folder for documentation
- Use docs/ as output directory
- Rename to smacc2 and smacc2_msgs
- Correct GitHub branch reference
- Update name of package and package.xml to pass liter
- Execute on master update

Fixed
-----
- Minor changes (#190)
- Several fixes (#194)
- Fix broken source build (#227)
- Fix trailing spaces
- Minor formatting fixes

Removed
-------
- Only rolling version should be pre-released on master (#230)
``` 

*pabloinigoblasco*

```rst
Section_79
==========

Added
-----
- Reset all versions to 0.0.0
- Ignore all packages except smacc2 and smacc2_msgs
- Update changelogs
- Dockerfile now accepts ROS distro as argument
- Opened new folder for additional tracing contents
- Added setupTracing.sh for automated installation of ros-rolling-ros2trace
- Created alternative ManualTracing
- Added new sm markdowns
- Added a dockerfile for Rolling and Galactic
- Enable build of missing rolling repositories
- Enable Navigation2 for semi-binary build
- Renamed tracing events
- Added README tutorial for Dockerfile
- Added smacc2_performance_tools
- Performance tests improvements
- Optimized dependencies in move_base_z_planners_common
- Renaming of event generator library
- Add galactic CI setup and rename rolling files
- Fix source CI and correct README overview
- More on navigation
- New feature: cb_wait_topic_message for asynchronous client behavior
- Feature/wait nav2 nodes client behavior

Changed
-------
- Reverted "Ignore all packages except smacc2 and smacc2_msgs"
- Updated description table
- Updated table
- Changed wording "smacc application" to "SMACC2 library"
- Updated mentions of SMACC/ROS to SMACC2/ROS2
- Reactivated smacc2 nav clients for rolling via submodules
- Edited tracing.md to reflect new tracing event names
- Update smacc2_rta command across readmes
- Clean up of sm_atomic_24hr
- Minor formatting changes
- Correct trailing spaces
- Update c_cpp_properties.json
- Changed launch command to ros2 launch sm_respira_1 sm_respira_1.launch

Fixed
-----
- Bug in smacc2 component
- Do not execute clang-format on smacc2_sm_reference_library package

Removed
-------
- Manual installation of ros-rolling-ros2trace (now automated in setupTracing.sh)
- Removed galactic builds from master and kept only rolling
- Removed submodules and use .repos file
- Deleted tracing directory
- Removed tracing.md

Authors
-------
- Pablo Iñigo Blasco
- Denis Štogl <destogl@users.noreply.github.com>
- Ubuntu 20-04-02-amd64 <brett@robosoft.ai>
```

```rst
Section_80
==========

Added
-----
- New feature: `cb_wait_topic_message`, an asynchronous client behavior that waits for a topic message and optionally checks its contents for success.
- New client behavior for `nav2`: `add`, which waits for `nav2` nodes subscribing to the `/bond` topic and ensures they are alive. Optional node selection available.
- `cb_pause_slam` client behavior.

Changed
-------
- Minor format improvements.
- Navigation parameters fixes on `sm_dance_bot`.
- `sm_dance_bot_lite` gazebo fixes to show the robot and lidar.
- `sm_dance_bot_strikes_back` gazebo fixes.
- `sm_multi_stage_1` doubling.

Fixed
----
- Corrected all linters and formatters.
- Removed some compile warnings.

Removed
-------
- Unused `doxygen` deployment workflow.

Collaborators
-------------
- Co-authored-by: Denis Štogl <denis@stogl.de>
- Co-authored-by: Denis Štogl <destogl@users.noreply.github.com>
- Co-authored-by: Ubuntu 20-04-02-amd64 <brett@robosoft.ai>

Commits
-------
- Feature/aws demo progress (#92)
- Feature/sm dance bot fixes (#93)
- Feature/sm aws warehouse (#94)
- Feature/sm dance bot fixes (#95)
- Remove some compile warnings. (#96)
- Feature/cb pause slam (#98)
- Rename doxygen deployment workflow (#100)
- sm_dance_bot visualizing turtlebot3 (#101)
- Feature/dance bot launch gz lidar choice (#102)
- Feature/sm dance bot lite gazebo fixes (#104)
- Feature/sm dance bot strikes back gazebo fixes (#105)
- precommit cleanup run (#106)
- aws demo (#108)
- Brettpac branch (#110)
``` 

*pabloinigoblasco*

## Section_81

### Added
- Brettpac branch (#111)
- a3 (#113)
- Feature/diverse improvements navigation performance (#117)
- Feature/slam toggle and smacc deep history (#122)
- Feature/dance bot s pattern (#128)
- First working version of sm template and template generator. (#127)
- Feature/sm dance bot refine (#131)
- Feature/sm dance bot refine 2 (#132)
- Add SM core test (#138)
- Feature/nav2z renaming (#144)
- Add SM Atomic SM generator. (#143)
- Rolling Docker environment to be executed from any environment (#154)
- Feature/sm dance bot strikes back refactoring (#152)
- Feature/migration moveit client (#151)
- Feature/testing moveit behaviors (#167)

### Changed
- Move method after the method it calls. Otherwise recursion could happen. (#126)
- Resolve compile warnings (#137)
- Add QOS durability to SmaccPublisherClient (#163)
- Initial state machine transition timestamp (#165)
- Moved reference library SMs to smacc2_performance_tools (#166)

### Fixed
- Minor tuning to mitigate overshot issue cases (#133)
- Minor format issues (#134)
- Fix CI: format fix python version (#148)
- Noticed launch command was incorrect in README.md, fixed launch command for sm_dance_bot_strikes_back and removed some comments (#147)
- Update package list (#142)
- Update readme (#164)

### Removed
- Remove neo_simulation2 package (#112)
- Remove merge markers from a python file (#119)
- Remove node creation and create only a logger (#149)
- Remove parameters smacc (#147)
- Remove sm_dance_bot_msgs (#144)

### Miscellaneous
- Various improvements in navigation and performance
- Progress in navigation, slam toggle client behaviors, and slam_toolbox components
- Progress in testing sm_dance_bot introducing slam pausing/resuming functionality
- Progress on moveit migration testing
- Progress on move_it PR
- Progress on moveit
- Progress on moveit behaviors
- Progress in the sm_dance_bot tests
- Progress on markers cleanup
- Progress on moveit
- Progress on moveit behaviors
- Progress on moveit migration testing
- Progress on moveit PR
- Progress on moveit
- Progress on moveit behaviors
- Progress on moveit migration testing
- Progress on moveit PR
- Progress on moveit
- Progress on moveit behaviors
- Progress on moveit migration testing
- Progress on moveit PR
- Progress on moveit
- Progress on moveit behaviors
- Progress on moveit migration testing
- Progress on moveit PR
- Progress on moveit
- Progress on moveit behaviors
- Progress on moveit migration testing
- Progress on moveit PR
- Progress on moveit
- Progress on moveit behaviors
- Progress on moveit migration testing
- Progress on moveit PR
- Progress on moveit
- Progress on moveit behaviors
- Progress on moveit migration testing
- Progress on moveit PR
- Progress on moveit
- Progress on moveit behaviors
- Progress on moveit migration testing
- Progress on moveit PR
- Progress on moveit
- Progress on moveit behaviors
- Progress on moveit migration testing
- Progress on moveit PR
- Progress on moveit
- Progress on moveit behaviors
- Progress on moveit migration testing
- Progress on moveit PR
- Progress on moveit
- Progress on moveit behaviors
- Progress on moveit migration testing
- Progress on moveit PR
- Progress on moveit
- Progress on moveit behaviors
- Progress on moveit migration testing
- Progress on moveit PR
- Progress on moveit
- Progress on moveit behaviors
- Progress on moveit migration testing
- Progress on moveit PR
- Progress on moveit
- Progress on moveit behaviors
- Progress on moveit migration testing
- Progress on moveit PR
- Progress on moveit
- Progress on moveit behaviors
- Progress on moveit migration testing
- Progress on moveit PR
- Progress on moveit
- Progress on moveit behaviors
- Progress on moveit migration testing
- Progress on moveit PR
- Progress on moveit
- Progress on moveit behaviors
- Progress on moveit migration testing
- Progress on moveit PR
- Progress on moveit
- Progress on moveit behaviors
- Progress on moveit migration testing
- Progress on moveit PR
- Progress on moveit
- Progress on moveit behaviors
- Progress on moveit migration testing
- Progress on moveit PR
- Progress on moveit
- Progress on moveit behaviors
- Progress on moveit migration testing
- Progress on moveit PR
- Progress on moveit
- Progress on moveit behaviors
- Progress on moveit migration testing
- Progress on moveit PR
- Progress on moveit
- Progress on moveit behaviors
- Progress on moveit migration testing
- Progress on moveit PR
- Progress on moveit
- Progress on moveit behaviors
- Progress on moveit migration testing
- Progress on moveit PR
- Progress on moveit
- Progress on moveit behaviors
- Progress on moveit migration testing
- Progress on moveit PR
- Progress on moveit
- Progress on moveit behaviors
- Progress on moveit migration testing
- Progress on moveit PR
- Progress on moveit
- Progress on moveit behaviors
- Progress on moveit migration testing
- Progress on moveit PR
- Progress on moveit
- Progress on moveit behaviors
- Progress on moveit migration testing
- Progress on moveit PR
- Progress on moveit
- Progress on moveit behaviors
- Progress on moveit migration testing
- Progress on moveit PR
- Progress on moveit
- Progress on moveit behaviors
- Progress on moveit migration testing
- Progress on moveit PR
- Progress on moveit
- Progress on moveit behaviors
- Progress on moveit migration testing
- Progress on moveit PR
- Progress on moveit
- Progress on moveit behaviors
- Progress on moveit migration testing
- Progress on moveit PR
- Progress on moveit
- Progress on moveit behaviors
- Progress on moveit migration testing
- Progress on moveit PR
- Progress on moveit
- Progress on moveit behaviors
- Progress on moveit migration testing
- Progress on moveit PR
- Progress on moveit
- Progress on moveit behaviors
- Progress on moveit migration testing
- Progress on moveit PR
- Progress on moveit
- Progress on moveit behaviors
- Progress on moveit migration testing
- Progress on moveit PR
- Progress on moveit
- Progress on moveit behaviors
- Progress on moveit migration testing
- Progress on moveit PR
- Progress on moveit
- Progress on moveit behaviors
- Progress on moveit migration testing
- Progress on moveit PR
- Progress on moveit
- Progress on moveit behaviors
- Progress on moveit migration testing
- Progress on moveit PR
- Progress on moveit
- Progress on moveit behaviors
- Progress on moveit migration testing
- Progress on moveit PR
- Progress on moveit
- Progress on moveit behaviors
- Progress on moveit migration testing
- Progress on moveit PR
- Progress on moveit
- Progress on moveit behaviors
- Progress on moveit migration testing
- Progress on moveit PR
- Progress on moveit
- Progress on moveit behaviors
- Progress on moveit migration testing
- Progress on moveit PR
- Progress on moveit
- Progress on moveit behaviors
- Progress on moveit migration testing
- Progress on moveit PR
- Progress on moveit
- Progress on moveit behaviors
- Progress on moveit migration testing
- Progress on moveit PR
- Progress on moveit
- Progress on moveit behaviors
- Progress on moveit migration testing
- Progress on moveit PR
- Progress on moveit
- Progress on moveit behaviors
- Progress on moveit migration testing
- Progress on moveit PR
- Progress on moveit
- Progress on moveit behaviors
- Progress on moveit migration testing
- Progress on moveit PR
- Progress on moveit
- Progress on moveit behaviors
- Progress on moveit migration testing
- Progress on moveit PR
- Progress on moveit
- Progress on moveit behaviors
- Progress on moveit migration testing
- Progress on moveit PR
- Progress on moveit
- Progress on moveit behaviors
- Progress on moveit migration testing
- Progress on moveit PR
- Progress on moveit
- Progress on moveit behaviors
- Progress on moveit migration testing
- Progress on moveit PR
- Progress on moveit
- Progress on moveit behaviors
- Progress on moveit migration testing
- Progress on moveit PR
- Progress on moveit
- Progress on moveit behaviors
- Progress on moveit migration testing
- Progress on moveit PR
- Progress on moveit
- Progress on moveit behaviors
- Progress on moveit migration testing
- Progress on moveit PR
- Progress on moveit
- Progress on moveit behaviors
- Progress on moveit migration testing
- Progress on moveit PR
- Progress on moveit
- Progress on moveit behaviors
- Progress on moveit migration testing
- Progress on moveit PR
- Progress on moveit
- Progress on moveit behaviors
- Progress on moveit migration testing
- Progress on moveit PR
- Progress on moveit
- Progress on moveit behaviors
- Progress on moveit migration testing
- Progress on moveit PR
- Progress on moveit
- Progress on moveit behaviors
- Progress on moveit migration testing
- Progress on moveit PR
- Progress on moveit
- Progress on moveit behaviors
- Progress on moveit migration testing
- Progress on moveit PR
- Progress on moveit
- Progress on moveit behaviors
- Progress on moveit migration testing
- Progress on moveit PR
- Progress on moveit
- Progress on moveit behaviors
- Progress on moveit migration testing
- Progress on moveit PR
- Progress on moveit
- Progress on moveit behaviors
- Progress on moveit migration testing
- Progress on moveit PR
- Progress on moveit
- Progress on moveit behaviors
- Progress on moveit migration testing
- Progress on moveit PR
- Progress on moveit
- Progress on moveit behaviors
- Progress on moveit migration testing
- Progress on moveit PR
- Progress on moveit
- Progress on moveit behaviors
- Progress on moveit migration testing
- Progress on moveit PR
- Progress on moveit
- Progress on moveit behaviors
- Progress on moveit migration testing
- Progress on moveit PR
- Progress on moveit
- Progress on moveit behaviors
- Progress on moveit migration testing
- Progress on moveit PR
- Progress on moveit
- Progress on moveit behaviors
- Progress on moveit migration testing
- Progress on moveit PR
- Progress on moveit
- Progress on moveit behaviors
- Progress on moveit migration testing
- Progress on moveit PR
- Progress on moveit
- Progress on moveit behaviors
- Progress on moveit migration testing
- Progress on moveit PR
- Progress on moveit
- Progress on moveit behaviors
- Progress on moveit migration testing
- Progress on moveit PR
- Progress on moveit
- Progress on moveit behaviors
- Progress on moveit migration testing
- Progress on moveit PR
- Progress on moveit
- Progress on moveit behaviors
- Progress on moveit migration testing
- Progress on moveit PR
- Progress on moveit
- Progress on moveit behaviors
- Progress on moveit migration testing
- Progress on moveit PR
- Progress on moveit
- Progress on moveit behaviors
- Progress on moveit migration testing
- Progress on moveit PR
- Progress on moveit
- Progress on moveit behaviors
- Progress on moveit migration testing
- Progress on moveit PR
- Progress on moveit
- Progress on moveit behaviors
- Progress on moveit migration testing
- Progress on moveit PR
- Progress on moveit
- Progress on moveit behaviors
- Progress on moveit migration testing
- Progress on moveit PR
- Progress on moveit
- Progress on moveit behaviors
- Progress on moveit migration testing
- Progress on moveit PR
- Progress on moveit
- Progress on moveit behaviors
- Progress on moveit migration testing
- Progress on moveit PR
- Progress on moveit
- Progress on moveit behaviors
- Progress on moveit migration testing
- Progress on moveit PR
- Progress on moveit
- Progress on moveit behaviors
- Progress on moveit migration testing
- Progress on moveit PR
- Progress on moveit
- Progress on moveit behaviors
- Progress on moveit migration testing
- Progress on moveit PR
- Progress on moveit
- Progress on moveit behaviors
- Progress on moveit migration testing
- Progress on moveit PR
- Progress on moveit
- Progress on moveit behaviors
- Progress on moveit migration testing
- Progress on moveit PR
- Progress on moveit
- Progress on moveit behaviors
- Progress on moveit migration testing
- Progress on moveit PR
- Progress on moveit
- Progress on moveit behaviors
- Progress on moveit migration testing
- Progress on moveit PR
- Progress on moveit
- Progress on moveit behaviors
- Progress on moveit migration testing
- Progress on moveit PR
- Progress on moveit
- Progress on moveit behaviors
- Progress on moveit migration testing
- Progress on moveit PR
- Progress on moveit
- Progress on moveit behaviors
- Progress on moveit migration testing
- Progress on moveit PR
- Progress on moveit
- Progress on moveit behaviors

Section_82
===========

Added
-----

- Feature/aws navigation sm dance bot (#174): Added repo dependency and husky launch file in sm_dance_bot. Dependencies for husky simulation were included. Also, updated dependencies for husky in rolling and galactic.

Changed
-------

- Minor changes (#175): Minor adjustments made.
- Warehouse2 (#177): Progress made in warehouse2.
- Waypoint Inputs (#178): Introduced waypoint inputs.
- Warehouse2 progress (#179): Continued progress in warehouse2.
- Sm_dance_bot_warehouse_3 (#181): Redone waypoints in sm_dance_bot_warehouse_3.
- Finetuning waypoints (#187): Fine-tuned waypoints.
- Several fixes (#194): Various fixes implemented.
- Tuning warehouse3 (#197): Tuned warehouse3.
- Tuning and fixes (#202): Tuned and fixed issues.
- Minor tune (#203): Minor tuning.
- Fixing warehouse 3 problems, and other core improvements (#204): Resolved warehouse 3 problems and made core improvements to remove deadlocks, ensuring continuous integration remains functional.

Fixed
-----

- SrConditional fixes and formatting (#168): Fixed formatting and templating issues on SrConditional. Moved trigger logic into headers and performed linting.
- Pure spinning behavior missing files (#189): Addressed missing files related to pure spinning behavior.
- Undo tuning and errors (#198): Tuned undo functionality and fixed errors.
- Format issues (#199, #200): Resolved format issues in both features.
- Fixing startup problems in warehouse 3 (#206): Fixed startup issues in warehouse 3.

Removed
-------

- Missing sm: Removed references to missing sm.
- Progress in autowarrrrrrrrrrrrrrrrrrrrrrrrrrrrrrrrrre machine: Removed mention of progress in autowarrrrrrrrrrrrrrrrrrrrrrrrrrrrrrrrrre machine.
- Autoware demo: Removed reference to autoware demo.
- Missing: Removed references to missing components.
- Fix: Removed mention of a fix.
- Minor broken build: Removed reference to a minor broken build.

Other
-----

- Contributors: Denis Štogl, Pablo Iñigo Blasco.
